@extends('admin.admin-base')

@section('admin-main-content')
<!-- Content Body Start -->
<div class="content-body">

    <!-- Page Headings Start -->
    <div class="row justify-content-between align-items-center mb-10">

        <!-- Page Heading Start -->
        <div class="col-12 col-lg-auto mb-20">
            <div class="page-heading">
                <h3>Admin Profile</h3>
            </div>
        </div><!-- Page Heading End -->

    </div><!-- Page Headings End -->
	<!-- Page-header end -->
    <div class="page-body">
        <div class="row">
            <div class="card col-md-12">
                <div class="card-header">
                    @if (Session::has('error'))
                    <div class="alert alert-danger alert-block">{{ Session::get('error') }}</div>
                    @endif
                    @if (Session::has('success'))
                        <div class="alert alert-success alert-block">{{ Session::get('success') }}</div>
                    @endif
                    <h5>Manage Your Profile</h5>
                    <div class="card-header-right">
                        <ul class="list-unstyled card-option">
                            <li><i class="feather icon-maximize full-card"></i></li>
                            <li><i class="feather icon-minus minimize-card"></i></li>
                            <li><i class="feather icon-trash-2 close-card"></i></li>
                        </ul>
                    </div>
                    
                    <hr>

                </div>
                <div class="card-block">
                    <form method="POST" action="{{ url('/submit_profile_details') }}"  enctype="multipart/form-data">
                        @csrf
                        <div class="row">
                            <div class="col-md-8">
                                <div class="row mt-10">
                                    <label class="col-sm-4 col-lg-2 col-form-label">Full Name</label>
                                    <div class="col-sm-8 col-lg-10">
                                        <div class="input-group">
                                            <input type="hidden" name="admin_id" value="{{ $adminProfileDetails->id }}" required>
                                            <input type="text" name="name" class="form-control" placeholder="" value="{{ $adminProfileDetails->name }}" required>
                                        </div>
                                    </div>
                                </div>
                                
{{--                                <div class="row">--}}
{{--                                    <label class="col-sm-4 col-lg-2 col-form-label"> Phone</label>--}}
{{--                                    <div class="col-sm-8 col-lg-10">--}}
{{--                                        <div class="input-group">--}}
{{--                                            <input type="text" name="mobile" class="form-control" placeholder="" value="{{ $adminProfileDetails->mobile }}" required>--}}
{{--                                        </div>--}}
{{--                                    </div>--}}
{{--                                </div>--}}
{{--                                --}}
{{--                                <div class="row">--}}
{{--                                    <label class="col-sm-4 col-lg-2 col-form-label"> City</label>--}}
{{--                                    <div class="col-sm-8 col-lg-10">--}}
{{--                                        <div class="input-group">--}}
{{--                                            <input type="text" name="city" class="form-control" placeholder="" value="{{ $adminProfileDetails->city }}" required>--}}
{{--                                        </div>--}}
{{--                                    </div>--}}
{{--                                </div>--}}
                                
                                <div class="row">
                                    <label class="col-sm-4 col-lg-2 col-form-label"> Email</label>
                                    <div class="col-sm-8 col-lg-10">
                                        <div class="input-group">
                                            <input type="text" name="email" class="form-control" placeholder="" value="{{ $adminProfileDetails->email }}" required>
                                        </div>
                                    </div>
                                </div>
                                
                                <div class="row">
                                    <label class="col-sm-4 col-lg-2 col-form-label"> Password</label>
                                    <div class="col-sm-8 col-lg-10">
                                        <div class="input-group">
                                            <input type="password" name="password" class="form-control" placeholder="" value="{{ $adminProfileDetails->password }}" required>
                                        </div>
                                    </div>
                                </div>
                                
{{--                                <div class="form-group row">--}}
{{--                                    <label class="col-sm-2 col-form-label">Address</label>--}}
{{--                                    <div class="col-sm-8 col-lg-10  ">--}}
{{--                                        <textarea rows="5" cols="6" name="address" class="form-control"--}}
{{--                                                  placeholder="Address">{{ $adminProfileDetails->address }} </textarea>--}}
{{--                                    </div>--}}
{{--                                </div>--}}
                                <br>

                                
                                
                                <div class="form-group row mt-10">
                                    <label class="col-sm-4 col-lg-2 col-form-label"> </label>
                                    <div class="col-sm-8 col-lg-10">
                                        <div class="input-group">
                                            <button type="submit" class="btn btn-success">Update Profile</button>
                                        </div>
                                    </div>
                                </div>
                                
                            </div>
                            
                            <div class=" col-md-4 mt-30">
                                <center>
                                    @if(empty($adminProfileDetails->profile_image))
                                          <img src="{{ Config::get('base_urls.admin_profile_base_url').'admin_default.png' }}" style="width:200px;">
                                    @else
                                        <img src="{{ Config::get('base_urls.admin_profile_base_url').$adminProfileDetails->profile_image }}" style="width:200px;">
                                    @endif
                                    <br/>
                                    <br/>
                                    
                                    <div class="input-group  col-md-10 col-md-offset-1">
                                        <input type="file" name="user_image" class="form-control"/>
                                    </div>

                                </center>
                            </div>
                        </div>
                    </form>

                    
                </div>
            </div>
        </div>
    </div>

</div><!-- Content Body End -->
@endsection
