@extends('layout.admin.list_master')

@section('content')
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.2/css/bootstrap.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.12.1/css/dataTables.bootstrap4.min.css">
    <?php $system_currency    = DB::table('system_settings')->select('description')->where('type', 'system_currency')->get()->first(); ?>
    
    <style>
        input{
           border-radius: 20px;
        }
        .avatar {
          vertical-align: middle;
          width: 50px;
          height: 50px;
          border-radius: 50%;
        }
        .imageUpload
        {
            display: none;
        }

        .profileImage
        {
            /* margin-top: -40px; */
            cursor: pointer;
            width: 100%;
        }

        #profile-container {
            margin: 20px auto;
            width: 130px;
            height: 130px;
            color: white;
            justify-content: center;
            border: 1px solid #8f8989;
            overflow: hidden;
        }

        #profile-container img {
            width: 150px;
            height: 150px;
           
        }
    </style>
	<!--**********************************
        Chat box End
    ***********************************-->
    <div class="content-body">
        <div class="container-fluid">
            <div class="row page-titles mb-n5">
                <div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
                    <ol class="breadcrumb">
                        @section('titleBar')
                        <span class="ml-2">Bookings</span>
                        @endsection
                    </ol>
                </div>
                    
            </div>
        
            <!-- row -->
            <div class="row">
                <div class="col-lg-12">
                    <a class="btn <?php if($filter == '') { echo 'btn-primary'; }  else { echo "btn-info"; }?>" href="{{ url('admin/bookings') }}" style="color: white; margin-bottom: 20px;">All</a>
                    <a class="btn <?php if($filter == 'Pending') { echo 'btn-primary'; }  else { echo "btn-info"; }?>" href="{{ url('admin/bookings') }}?filter=Pending" style="color: white; margin-bottom: 20px;">Pending</a>
                    <a class="btn <?php if($filter == 'Accepted') { echo 'btn-primary'; }  else { echo "btn-info"; }?>" href="{{ url('admin/bookings') }}?filter=Accepted" style="ccolor: white; margin-bottom: 20px;">Accepted</a>
                    <a class="btn <?php if($filter == 'Rejected') { echo 'btn-primary'; }  else { echo "btn-info"; }?>" href="{{ url('admin/bookings') }}?filter=Rejected" style="color: white; margin-bottom: 20px;">Rejected</a>     
                    <a class="btn <?php if($filter == 'Deleted') { echo 'btn-primary'; }  else { echo "btn-info"; }?>" href="{{ url('admin/bookings') }}?filter=Deleted" style="color: white; margin-bottom: 20px;">Deleted</a>     
                    <br>

                    <div class="card"> 
                        <div class="card-body">
                            <div class="basic-form">
                                <div class="table-responsive">
                                   <table id="example" class="table table-striped table-bordered">
                                        <thead>
                                            <tr>
                                                <th>#</th>
                                                <th>Booking ID</th>
                                                <th>Booking Date</th>
                                                <th>Vehical Name and Brand</th>
                                                <th>Total Fee</th>
                                                <th>Status</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody id="exampleid">
                                            @foreach($data as $key => $item)
                                            <tr>
                                                <td>{{ $key + 1 }}</td>
                                                <td>{{$item->bookings_id}}</td>
                                                <td>{{$item->bookings_date}}</td>
                                                <td>{{$item->vehical_name}} - {{$item->vehical_brand}}</td>
                                                <td><?php echo $system_currency->description; ?>{{$item->total_cost}}</td>
                                                <td>
                                                    @if ($item->status=='Pending')
                                                    <span class="btn btn-info">Pending</span>
                                                    @elseif ($item->status=='Accepted')
                                                    <span class="btn btn-success">Accepted</span>
                                                    @elseif ($item->status=='Rejected')
                                                    <span class="btn btn-warning">Rejected</span>
                                                    @elseif ($item->status=='Deleted')
                                                    <span class="btn btn-danger">Deleted</span>
                                                    @else 
                                                    <span class="btn btn-warning">Cancelled</span>
                                                    @endif
                                                </td>
                                                <td>
                                                    <a class="btn btn-success" href="{{url('admin/bookings_details', $item->bookings_id)}}"> <i class="fa fa-arrow-right"></i></a>
                                                    <a class="btn btn-danger" href="{{url('admin/bookings_delete', $item->bookings_id)}}"> <i class="fa fa-trash"></i></a>
                                                </td>
                                            </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
					
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.12.1/js/dataTables.bootstrap4.min.js"></script>
    <script>
        $(document).ready(function () {
            $('#example').DataTable();
            
        });
    </script>   
@endsection