@extends('layout.admin.list_master')
@section('content')
    <style>
        .btn-light{
          padding-left:10px;

        }
        .fs-14{font-weight:bold;}

    </style>
    <div class="content-body">
        <div class="container-fluid">
            <div class="page-titles mb-n5">
				<ol class="breadcrumb">
                    @section('titleBar')
                    <span class="ml-2 text-white">Manage Bookings</span>
                    @endsection
				</ol>
            </div>
            <!-- row -->

            <!-- row -->
            <div class="row">
                <div class="col-lg-4 col-md-6 col-sm-8">
                    <div class="card">
                        <div class="card-body">
                            <div class="d-flex justify-content-between align-items-center">
                                <div class="d-flex align-items-center">
                                    <div
                                        class="bg-white width70 height70 rounded-pill d-flex justify-content-center align-items-center mr-3">                                     
                                            <i class="fa fa-tag fs-24 text-primary"></i>
                                       
                                    </div>
                                    <h6>Total Bookings</h6>
                                </div>
                                <h1>{{$total_event_bookings}}</h1>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="table-responsive">
                                <div class="col-md-12 row">
                                    <table id="example" class="table dt-responsive nowrap display min-w850">
                                        <thead>
                                            <tr>
                                                <th>#</th>
                                                <th>Booking ID</th>
                                                <th>User Info</th>
                                                <th>Event Info</th>
                                                <th>Location</th>
                                                <th>Event Time</th>
                                                <th>Pre Booking</th>   
                                                <th>Paid Amount</th>   
                                                <th>Discounts</th>
                                                <th>Date Added</th>
                                                <th>Status</th>
                                                {{-- <th>Action</th> --}}
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach ($fetch_data as $key => $items)

                                            <?php $customer_data = DB::table('users_customers')->where('users_customers_id', $items->user_id)->first();
                                            $event_data = DB::table('events')->where('events_id', $items->events_id)->first();?>
                                            <tr>
                                                <td>{{$key+1}}</td>
                                                <td>{{$items->event_booking_id}}</td>
                                                <td>
                                                    <?php if(!empty($customer_data)){ ?>
                                                    <img src="{{ url('public') }}/{{ $customer_data->profile_picture }}" alt="" style="width: 20%;"> 
                                                    {{$customer_data->username}} <br>
                                                    {{$customer_data->email}} <br>
                                                    {{$customer_data->full_name}} <br>
                                                    {{$customer_data->status}}
                                                    <?php } else { ?> 
                                                        N/A
                                                    <?php } ?>   
                                                </td>
                                                <td>
                                                    Name: {{$event_data->name}} <br>
                                                    Venue Name: {{$event_data->venue_name}} <br>
                                                    {{-- Starting Time: {{$event_data->event_start_time}} <br>
                                                    Closing Time: {{$event_data->event_end_time}} <br>
                                                    Location: {{$event_data->location}} <br> --}}
                                                    <!--
                                                    <a class="btn btn-primary btn-sm" href="{{ url('business/manage_venues_views') }}/{{ $items->events_id }}"><i class="fa fa-eye"></i></a>
                                                    -->
                                                    <?php 
                                                        $users_business_packages_id = DB::table('users_business')->where('users_business_id', session('id'))->get()->first()->packages_id; 
                                                        $business_packages_details = DB::table('packages')->where('packages_id', $users_business_packages_id)->get()->first(); 
                                                    ?>
                                                    <?php if($business_packages_details->events_bookings == 'Yes'){ ?>
                                                    <a class="btn btn-info btn-sm" href="{{ url('admin/venues_chat') }}/{{ $items->events_id }}">
                                                        <i class="fa fa-commenting">
                                                            <?php 
                                                                $unreads = DB::table('chat_messages')->where('receiver_id', session('id'))->where('sender_id', $items->users_customers_id)->where('venues_id', $items->venues_id)->where('sender_type', 'Users')->where('status', 'Unread')->count(); 
                                                                if($unreads > 0){ 
                                                                    echo $unreads.' New Messages.'; 
                                                                } 
                                                            ?>
                                                        </i>
                                                    </a>
                                                    <?php } ?>
                                                </td>
                                                <td>{{$event_data->location}}</td>
                                                <td>{{$event_data->event_start_time}} - {{$event_data->event_end_time}}</td>
                                                <td>{{$items->booking_percentage .'%'}}</td>
                                                <td>{{$items->paid_amount}}</td>
                                                <td>{{$items->claim_discounts}}</td>
                                                <td>{{$items->date_added}}</td>
                                                <td>{{$items->status}}</td>
                                                {{-- <td>
                                                    <?php if($items->status == 'Pending') { ?>
                                                    <a class="btn btn-primary btn-sm" href="{{ url('admin/venue_bookings_status') }}/{{ $items->event_booking_id }}/Accepted"><i class="fa fa-check"></i></a>
                                                    <a class="btn btn-warning btn-sm" href="{{ url('admin/venue_bookings_status') }}/{{ $items->event_booking_id }}/Rejected"><i class="fa fa-close"></i></a>
                                                    <a class="btn btn-info btn-sm" href="{{ url('admin/venue_bookings_status') }}/{{ $items->event_booking_id }}/Cancelled"><i class="fa fa-minus"></i></a>
                                                    <?php } else if($items->status == 'Accepted') { ?>
                                                    <a class="btn btn-warning btn-sm" href="{{ url('admin/venue_bookings_status') }}/{{ $items->event_booking_id }}/Rejected"><i class="fa fa-close"></i></a>
                                                    <a class="btn btn-warning btn-sm" href="{{ url('admin/venue_bookings_status') }}/{{ $items->event_booking_id }}/Completed"><i class="fa fa-check"></i></a>
                                                    <?php } else if($items->status == 'Rejected') { ?>
                                                    <a class="btn btn-primary btn-sm" href="{{ url('admin/venue_bookings_status') }}/{{ $items->event_booking_id }}/Accepted"><i class="fa fa-check"></i></a>
                                                    <?php } else if($items->status == 'Cancelled') { ?>
                                                    <a class="btn btn-primary btn-sm" href="{{ url('admin/venue_bookings_status') }}/{{ $items->event_booking_id }}/Accepted"><i class="fa fa-check"></i></a>
                                                    <?php } ?>

                                                    <a class="btn btn-danger btn-sm" href="{{ url('admin/venue_bookings_status') }}/{{ $items->event_booking_id }}/Deleted"><i class="fa fa-trash"></i></a>
                                                </td> --}}
                                            </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
          	</div>
        </div>
    </div>
@endsection