@extends('layout.admin.list_master')
@section('content')
    <style>
        .btn-light{
          padding-left:10px;
        }
        input[type="checkbox"]:checked:after {
        background: #22222E;
        }
        input[type="checkbox"]:after {
        width: 20px;
        height: 20px;    
    
        background: #22222E;
        border: 1px solid rgba(52, 177, 246, 0.1); /* Border color with 10% opacity */
        border-radius: 3.34px; /* Border radius */
        box-shadow: 0px 0px 10px rgba(52, 177, 246, 0.1); /* Box shadow */
        }
        .col-form-label {
        color: #8C8C8C !important;
        }
    </style>
    <div class="content-body">
        <div class="container-fluid">
            <div class="page-titles mb-n5">
				<ol class="breadcrumb">
                    @section('titleBar')
                    <span class="ml-2 text-white">Add Events</span>
                    @endsection
				</ol>
            </div>
            <!-- row -->

            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                                
                            <div class="col-md-12 row">
                                <form class="form-valide" action="{{ url('admin/manage_events_save') }}" method="post" enctype="multipart/form-data">
                                    @csrf
                                    <div class="row">
                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12" for="val-username">Select Business <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <select class="form-control" id="users_business_id" name="users_business_id" required>
                                                    <?php foreach($users_business as $business) { ?>
                                                        <option value="<?php echo $business->users_business_id; ?>" <?php echo ($business->first_name === 'Crowd Admin') ? 'selected' : ''; ?>>
                                                            <?php echo $business->first_name; ?>
                                                        </option>
                                                    <?php } ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-xl-6 form-group">
                                            <label class="col-lg-12" for="val-username">Event Name <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="name" name="name" placeholder="Enter a Event Name" required>
                                            </div>
                                        </div>

                                        <div class="col-xl-6 form-group">
                                            <label class="col-lg-12" for="val-username">Venue Name <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="venue_name" name="venue_name" placeholder="Enter a Venue Name" required>
                                            </div>
                                        </div>
                                        @php
                                        $event_type = DB::table('event_type')->where('status', '!=', 'Inactive')->orderBy('event_type_id', 'DESC')->get();
                                        @endphp
                                    
                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12" for="val-username">Event Experience <span class="text-danger">*</span></label>
                                            <div class="col-lg-12">
                                                <div class="row">
                                                    @foreach($event_type as $type)
                                                        <div class="col-md-3 mb-3">
                                                            <div class="form-check">
                                                                <input class="form-check-input custom-input" type="checkbox" id="event_type_{{ $type->event_type_id }}" name="event_type[]" value="{{ $type->event_type }}">
                                                                <label class="form-check-label" for="event_type_{{ $type->event_type_id }}">{{ $type->event_type }}</label>
                                                            </div>
                                                        </div>
                                                    @endforeach
                                                </div>
                                            </div>
                                        </div>
                                        @php
                                        $events_music = DB::table('event_music')->where('status', '!=', 'Inactive')->orderBy('event_music_id', 'DESC')->get();
                                        @endphp

                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12" for="val-username">Event Music <span class="text-danger">*</span></label>
                                            <div class="col-lg-12">
                                                <div class="row">
                                                    @foreach($events_music as $type)
                                                        <div class="col-md-3 mb-3">
                                                            <div class="form-check">
                                                                <input class="form-check-input custom-input" type="checkbox" id="event_music_{{ $type->event_music_id }}" name="event_music[]" value="{{ $type->event_music }}">
                                                                <label class="form-check-label" for="event_music_{{ $type->event_music_id }}">{{ $type->event_music }}</label>
                                                            </div>
                                                        </div>
                                                    @endforeach
                                                </div>
                                            </div>
                                        </div>
                                    
                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12" for="val-username">Location <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="location" name="location" onkeyup="initialize_map(this);" placeholder="Enter a location" required>
                                            </div>
                                        </div>

                                        <div class="col-xl-6 form-group">
                                            <label class="col-lg-12" for="val-username">Lattitude <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="lattitude" name="lattitude" placeholder="Enter a lattitude" required readonly>
                                            </div>
                                        </div>

                                        <div class="col-xl-6 form-group">
                                            <label class="col-lg-12" for="val-username">Longitude <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="longitude" name="longitude" placeholder="Enter a longitude" required readonly>
                                            </div>
                                        </div>
                                        
                                        <div class="col-xl-3 form-group">
                                            <label class="col-lg-12" for="val-username">Event Date <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="date" class="form-control" id="event_date" name="event_date" placeholder="Enter a Event Date" required min="<?php echo date('Y-m-d'); ?>">
                                            </div>
                                        </div>

                                        <div class="col-xl-3 form-group">
                                            <label class="col-lg-12" for="val-username">Event Start Time <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="time" class="form-control" id="event_start_time" name="event_start_time" placeholder="Enter a Event Time" required>
                                            </div>
                                        </div>
                                        <div class="col-xl-3 form-group">
                                            <label class="col-lg-12" for="val-username">Event End Time <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="time" class="form-control" id="event_end_time" name="event_end_time" placeholder="Enter a Event Time" required>
                                            </div>
                                        </div>

                                        <div class="col-xl-6 form-group">
                                            <label class="col-lg-12" for="val-username">Discount Percentage <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="number" max="100.00" class="form-control" id="discount_percentage" name="discount_percentage" placeholder="Enter a Discount Percentage" required>
                                            </div>
                                        </div>

                                        <div class="col-xl-6 form-group">
                                            <label class="col-lg-12" for="val-username">Website <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="url" class="form-control" id="website" name="website" placeholder="Enter a Website" required>
                                            </div>
                                        </div>

                                        <div class="col-xl-6 form-group">
                                            <label class="col-lg-12" for="val-username">Phone Number <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="phone_number" name="phone_number" placeholder="Enter a Phone Number" required>
                                            </div>
                                        </div>

                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12" for="val-username">Description <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <textarea class="form-control" id="description" name="description" placeholder="Enter a Description" rows="10" required></textarea>
                                            </div>
                                        </div>
                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12" for="val-username">Refund Policy <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <textarea class="form-control" id="refund_policy" name="refund_policy" placeholder="Enter the Refund Policy" rows="10" required></textarea>
                                            </div>
                                        </div>

                                        <div class="col-xl-6 form-group">
                                            <label class="col-lg-12" for="val-username">Status <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <select class="form-control" id="status" name="status" required>
                                                    <option value="Active">Active</option>
                                                    <option value="Inactive">Inactive</option>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-xl-6 form-group">
                                            <label class="col-lg-12" for="val-username">Event Images <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="file" class="form-control" id="images" name="images[]" multiple required>
                                            </div>
                                        </div>
                                        <div id="image-preview-container" class="col-xl-12"></div>        

                                        <div class="col-lg-12 form-group text-right">
                                            <button type="submit" name="add" class="btn btn-primary rounded-pill mt-4 col-lg-4 col-md-6">Add</button>
                                        </div>

                                       
                                    </div>
                                </form>
                            </div>

                        </div>
                    </div>
                </div>
          	</div>
        </div>
    </div>
@endsection
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script>
    $(document).ready(function() {
        // Listen for change in the file input
        $('#images').on('change', function(e) {
            // Clear previous previews
            $('#image-preview-container').empty();

            // Loop through selected files
            for (let i = 0; i < e.target.files.length; i++) {
                // Create a FileReader object
                let reader = new FileReader();

                // Listen for FileReader's load event
                reader.onload = function(event) {
                    // Create an image element and set its source to the FileReader result
                    let image = $('<img>').attr('src', event.target.result).addClass('preview-image');

                    // Append the image to the preview container
                    $('#image-preview-container').append(image);
                };

                // Read the selected file as a data URL
                reader.readAsDataURL(e.target.files[i]);
            }
        });
    });
</script>
<style>
    .preview-image {
        max-width: 100px;
        max-height: 100px;
        margin: 5px;
    }
</style>