@extends('layout.admin.list_master')
@section('content')
    <style>
        .btn-light{
          padding-left:10px;
        }
        .remove-button {
        position: absolute;
        top: 12px;
        right: -6px;
        transform: translate(-50%, -50%);
        background-color: lightblue;
        border: none;
        color: red;
        cursor: pointer;
        z-index: 2; /* Ensure the button is above the image */
        width: 25px; /* Set width and height to create a circle */
        height: 25px; /* Adjust as needed */
        border-radius: 40%; /* Set border-radius to 50% for a circle */
        text-align: center; /* Center the content horizontally */
        line-height: 25px; /* Center the content vertically */
    }
        input[type="checkbox"]:checked:after {
        background: #22222E;
        }
        input[type="checkbox"]:after {
        width: 20px;
        height: 20px;    
    
        background: #22222E;
        border: 1px solid rgba(52, 177, 246, 0.1); /* Border color with 10% opacity */
        border-radius: 3.34px; /* Border radius */
        box-shadow: 0px 0px 10px rgba(52, 177, 246, 0.1); /* Box shadow */
        }
        .col-form-label {
        color: #8C8C8C !important;
        }
    </style>
    <div class="content-body">
        <div class="container-fluid">
            <div class="page-titles mb-n5">
				<ol class="breadcrumb">
                    @section('titleBar')
                    <span class="ml-2 text-white">Manage Events</span>
                    @endsection
				</ol>
            </div>
            <!-- row -->

            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">

                            <div class="col-md-12 row">
                                @foreach ($fetch_data as $key => $items)
                                <form class="form-valide" action="{{ url('admin/manage_events_update', [$items->events_id]) }}" method="post" enctype="multipart/form-data">
                                    @csrf
                                    <div class="row">
                                        <div class="col-xl-6 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Event Name <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="name" name="name" placeholder="Enter a Event Name" value="{{ $items->name }}" required>
                                            </div>
                                        </div>

                                        <div class="col-xl-6 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Venue Name <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="venue_name" name="venue_name" placeholder="Enter a Venue Name" value="{{ $items->venue_name }}" required>
                                            </div>
                                        </div>
                                        @php
                                        $event_type = DB::table('event_type')->where('status', '!=', 'Inactive')->orderBy('event_type_id', 'DESC')->get();
                                        $selected_venue_keywords = DB::table('events_keywords')->where('events_id', $items->events_id)->where('keyword_type','event_exp')->pluck('keyword_value')->toArray();
                                        @endphp
                                    
                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Event Experience <span class="text-danger">*</span></label>
                                            <div class="col-lg-12">
                                                <div class="row">
                                                    @foreach($event_type as $type)
                                                        <div class="col-md-3 mb-3">
                                                            <div class="form-check">
                                                                <input class="form-check-input custom-input" type="checkbox" id="event_type_{{ $type->event_type_id }}" name="event_type[]" value="{{ $type->event_type }}" {{ in_array($type->event_type, $selected_venue_keywords) ? 'checked' : '' }}>
                                                                <label class="form-check-label" for="event_type_{{ $type->event_type_id }}">{{ $type->event_type }}</label>
                                                            </div>
                                                        </div>
                                                    @endforeach
                                                </div>
                                            </div>
                                        </div>
                                        @php
                                        $event_music = DB::table('event_music')->where('status', '!=', 'Inactive')->orderBy('event_music_id', 'DESC')->get();
                                        $selected_venue_keywords = DB::table('events_keywords')->where('events_id', $items->events_id)->where('keyword_type','event_music')->pluck('keyword_value')->toArray();
                                        @endphp
                                    
                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Event Music <span class="text-danger">*</span></label>
                                            <div class="col-lg-12">
                                                <div class="row">
                                                    @foreach($event_music as $type)
                                                        <div class="col-md-3 mb-3">
                                                            <div class="form-check">
                                                                <input class="form-check-input custom-input" type="checkbox" id="event_music_{{ $type->event_music_id }}" name="event_music[]" value="{{ $type->event_music }}" {{ in_array($type->event_music, $selected_venue_keywords) ? 'checked' : '' }}>
                                                                <label class="form-check-label" for="event_music_{{ $type->event_music_id }}">{{ $type->event_music }}</label>
                                                            </div>
                                                        </div>
                                                    @endforeach
                                                </div>
                                            </div>
                                        </div>
                                    
                                        <div class="col-xl-12 form-group">
                                            <?php 
                                            $images = db::table('events_images')->where('events_id', '=', $items->events_id)->get();
                                            $imageCount = count($images);
                                            ?>
                                            <div class="row">
                                                @foreach($images as $index => $image)
                                                    <div class="col-{{ $imageCount > 1 ? '2' : '12' }}">
                                                        <div class="image-container">
                                                            <img class="mr-4 food-image rounded" src="{{ url('public') . '/' . $image->name }}" alt="" width="140" height="140">
                                                            <button class="remove-button" data-image-id="{{ $image->events_images_id }}">X</button>
                                                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                                            <input type="hidden" name="imageIds[]" value="{{ $image->events_images_id }}">
                                                        </div>
                                                    </div>
                                                    @if(($index + 1) % 6 == 0) <!-- Close row and start a new one every six images -->
                                                        </div><div class="row">
                                                    @endif
                                                @endforeach
                                            </div>
                                        </div>

                                        <div class="col-xl-6 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Events Images <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="file" class="form-control" id="images" name="images[]" multiple>
                                            </div>
                                        </div>

                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Location <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="location" name="location" onkeyup="initialize_map(this);" placeholder="Enter a location" value="{{ $items->location }}" required>
                                            </div>
                                        </div>

                                        <div class="col-xl-6 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Lattitude <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="lattitude" name="lattitude" placeholder="Enter a lattitude" value="{{ $items->lattitude }}" required readonly>
                                            </div>
                                        </div>

                                        <div class="col-xl-6 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Longitude <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="longitude" name="longitude" placeholder="Enter a longitude" value="{{ $items->longitude }}" required readonly>
                                            </div>
                                        </div>
                                        
                                        <div class="col-xl-3 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Event Date <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="date" class="form-control" id="event_date" name="event_date" placeholder="Enter a Event Date" value="{{ $items->event_date }}" required min="{{ date('Y-m-d') }}">
                                            </div>
                                        </div>
                                        

                                        <div class="col-xl-3 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Event Start Time <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="time" class="form-control" id="event_time" name="event_start_time" placeholder="Enter a Event Time" value="{{ $items->event_start_time }}" required>
                                            </div>
                                        </div>

                                        <div class="col-xl-3 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Event End Time <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="time" class="form-control" id="event_time" name="event_end_time" placeholder="Enter a Event Time" value="{{ $items->event_end_time }}" required>
                                            </div>
                                        </div>

                                        <div class="col-xl-6 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Discount Percentage <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="number" max="100.00" class="form-control" id="discount_percentage" name="discount_percentage" placeholder="Enter a Discount Percentage" value="{{ $items->discount_percentage }}" required>
                                            </div>
                                        </div>

                                        <div class="col-xl-6 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Website <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="url" class="form-control" id="website" name="website" placeholder="Enter a Website" value="{{ $items->website }}" required>
                                            </div>
                                        </div>

                                        <div class="col-xl-6 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Phone Number <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="phone_number" name="phone_number" placeholder="Enter a Phone Number" value="{{ $items->phone_number }}" required>
                                            </div>
                                        </div>

                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Description <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <textarea class="form-control" id="description" name="description" placeholder="Enter a Description" rows="10" required>{{ $items->description }}</textarea>
                                            </div>
                                        </div>

                                        
                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Refund Policy <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <textarea class="form-control" id="refund_policy" name="refund_policy" placeholder="Enter a Description" rows="10" required>{{ $items->refund_policy}}</textarea>
                                            </div>
                                        </div>

                                        <div class="col-xl-6 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Status <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <select class="form-control" id="status" name="status" required>
                                                    <option value="Active" <?php if($items->status == 'Active') echo "selected"; ?>>Active</option>
                                                    <option value="Inactive" <?php if($items->status == 'Inactive') echo "selected"; ?>>Inactive</option>
                                                    <option value="Deleted" <?php if($items->status == 'Deleted') echo "selected"; ?>>Deleted</option>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-xl-12 form-group row">
                                            <div class="col-lg-12 ml-auto">
                                                <input type="hidden" class="form-control" id="events_id" name="events_id" value="{{ $items->events_id }}">
                                                <button type="submit" name="update" class="btn btn-primary pull-right" style="margin: 15px;">Update</button>
                                                <button type="submit" name="Delete" class="btn btn-danger pull-right" style="margin: 15px;">Delete</button>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                                @endforeach
                            </div>

                        </div>
                    </div>
                </div>
          	</div>
        </div>
    </div>
@endsection
<script>
document.addEventListener('DOMContentLoaded', function() {
    var removeButtons = document.querySelectorAll('.remove-button');

    removeButtons.forEach(function(button) {
        button.addEventListener('click', function(event) {
            event.preventDefault(); // Prevent default form submission behavior
            
            var imageId = this.getAttribute('data-image-id');
            var imageContainer = this.closest('.image-container');
            var csrfToken = document.querySelector('input[name="_token"]').value;

            deleteImage(imageId, csrfToken,imageContainer) ;
        });
    });

    function deleteImage(imageId, csrfToken , imageContainer) {
        fetch('/delete-event-image/' + imageId, {
            method: 'DELETE',
            headers: {
                'X-CSRF-TOKEN': csrfToken,
                'Content-Type': 'application/json'
            }
        })
        .then(response => {
            if (response.ok) {
                // Image deleted successfully
                // Remove the image container element from the DOM
                imageContainer.remove();
                console.log('Image container element removed from the DOM');
            }  else {
                console.error('Error deleting image');
            }
        })
        .catch(error => {
            console.error('Error deleting image:', error);
        });
    }
});

</script>