@extends('layout.admin.list_master')

    @section('content')
    <style>
        input{
           border-radius: 20px;
        }
        .avatar {
          vertical-align: middle;
          width: 50px;
          height: 50px;
          border-radius: 50%;
        }
        .imageUpload
        {
            display: none;
        }

        .profileImage
        {
            /* margin-top: -40px; */
            cursor: pointer;
            width: 100%;
        }

        #profile-container {
            margin: 20px auto;
            width: 130px;
            height: 130px;
            color: white;
            justify-content: center;
            border: 1px solid #8f8989;
            overflow: hidden;
        }

        #profile-container img {
            width: 150px;
            height: 150px;
           
        }
    </style>
	
    <!--**********************************
            Chat box End
        ***********************************-->
    
    <div class="content-body">
        <div class="container-fluid">
            <div class="row page-titles mb-n5">
                <div class="col-sm-6 p-md-0">
                    <div class="welcome-text">
                        <!-- <h4>Hi, welcome back!</h4> -->
                     
                        {{-- <p class="mb-0">Validation</p> --}}
                    </div>
                </div>
                <div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
                    <ol class="breadcrumb">
                        @section('titleBar')
                        <span class="ml-2">Edit Cars Models</span>
                        @endsection
                    </ol>
                </div>
            </div>
            
            <!-- row -->
            <div class="row">
                <div class="col-lg-12">
                    @include('layout.admin.settings')
                    <div class="card">
                        <div class="card-body">
                            <div class="basic-form">
                                <form action="{{url('/admin/manage_models_update', $data['models_data']->cars_models_id)}}" method="POST" enctype="multipart/form-data">
                                    @csrf

                                    <div class="row col-md-12"> 
                                        <div class="form-group col-md-6">
                                            <b>Name</b>
                                            <b><input style="border:1px solid" type="text" name="name" class="form-control" placeholder="Enter Name" value="{{$data['models_data']->name}}" required></b>
                                        </div>

                                        <div class="form-group col-md-6">
                                            <b>Select Makes</b>
                                            <b>
                                                <select style="border:1px solid" name="cars_makes_id" class="form-control" required>
                                                    <?php foreach($data['makes_list'] as $makes){ ?>
                                                    <option value="{{$makes->cars_makes_id}}" {{$data['models_data']->cars_makes_id == $makes->cars_makes_id ? "selected" : ''}}>{{$makes->name}}</option>
                                                    <?php } ?>
                                                </select>
                                            </b>
                                        </div>
                                    </div>

                                    <div class="row col-md-12"> 
                                        <div class="form-group col-md-6">
                                            <b>Status</b>
                                            <b>
                                                <select style="border:1px solid" name="status" class="form-control" required>
                                                    <option value="Active" {{$data['models_data']->status == 'Active' ? "selected" : ''}}>Active</option>
                                                    <option value="Inactive" {{$data['models_data']->status == 'Inactive' ? "selected" : ''}}>Inactive</option>
                                                </select>
                                            </b>
                                        </div>

                                        <div class="form-group col-md-6">
                                            <div id="profile-container">
                                                <image id="imagePreview" class="imagePreview" src="{{ asset($data['models_data']->image) }}" />
                                             </div>
                                             <input id="imageUpload" class="form-control imageUpload" type="file" name="image" placeholder="Photo" onchange="loadFile(event)" value="{{$data['models_data']->image}}" capture>
                                        </div>
                                    </div>
                                            
                                    <button type="submit" class="btn btn-primary px-5 float-right mt-4">Update</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
			 </div>
        </div>
    </div>
	
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script>
        $("#imagePreview").click(function(e) {
            $("#imageUpload").click();
        });

        function fasterPreview( uploader ) {
            if ( uploader.files && uploader.files[0] ){
                $('#imagePreview').attr('src', window.URL.createObjectURL(uploader.files[0]) );
            }
        }

        $("#imageUpload").change(function(){
            fasterPreview( "#imageUpload" );
        });

        function loadFile(event) {
             var image = document.getElementById('imagePreview');
             image.src = URL.createObjectURL(event.target.files[0]);
        }
    </script>
@endsection