@extends('layout.admin.list_master')
@section('content')
    <style>
        .btn-light{
          padding-left:10px;
        }
    input[type="checkbox"]:checked:after {
    background: #22222E;
    }
    input[type="checkbox"]:after {
    width: 20px;
    height: 20px;    
   
    background: #22222E;
    border: 1px solid rgba(52, 177, 246, 0.1); /* Border color with 10% opacity */
    border-radius: 3.34px; /* Border radius */
    box-shadow: 0px 0px 10px rgba(52, 177, 246, 0.1); /* Box shadow */
    }
    .col-form-label {
        color: #8C8C8C !important;
        }
    </style>
    <div class="content-body">
        <div class="container-fluid">
            <div class="page-titles mb-n5">
				<ol class="breadcrumb">
                    @section('titleBar')
                    <span class="ml-2 text-white">Manage Venues</span>
                    @endsection
				</ol>
            </div>
            <!-- row -->

            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="form-validation">
                                <form class="form-valide" action="{{ url('admin/manage_venues_save') }}" method="post" enctype="multipart/form-data">
                                    @csrf
                                    <div class="row">
                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12" for="val-username">Select Business <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <select class="form-control" id="users_business_id" name="users_business_id" required>
                                                    @foreach($users_business as $business)
                                                        <option value="{{ $business->users_business_id }}" {{ $business->first_name === 'Crowd Admin' ? 'selected' : '' }}>
                                                            {{ $business->first_name }}
                                                        </option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-xl-6 form-group">
                                            <label class="col-lg-12" for="val-username">Venue Name <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="name" name="name" placeholder="Enter a Venue Name" required>
                                            </div>
                                        </div>
                                    
                                        <div class="col-xl-6 form-group">
                                            <label class="col-lg-12" for="val-username">Venue Capacity <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="number" class="form-control" id="capacity" name="capacity" placeholder="Enter a Capacity" required>
                                            </div>
                                        </div>
                                        @php
                                        $venue_type = DB::table('venues_type')->where('status', '!=', 'Inactive')->orderBy('venues_type_id', 'DESC')->get();
                                        @endphp
                                        
                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12" for="val-username">Venue Type <span class="text-danger">*</span></label>
                                            <div class="col-lg-12">
                                                <div class="row">
                                                    @foreach($venue_type as $type)
                                                        <div class="col-md-3 mb-3">
                                                            <div class="form-check">
                                                                <input class="form-check-input custom-input" type="checkbox" id="venue_type_{{ $type->venues_type_id }}" name="venue_type[]" value="{{ $type->venues_type_name }}">
                                                                <label class="form-check-label" for="venue_type_{{ $type->venues_type_id }}">{{ $type->venues_type_name }}</label>
                                                            </div>
                                                        </div>
                                                    @endforeach
                                                </div>
                                            </div>
                                        </div>
                                        @php
                                        $venues_music = DB::table('venues_music')->where('status', '!=', 'Inactive')->orderBy('venues_music_id', 'DESC')->get();
                                        @endphp

                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12" for="venues_music">Venue Music <span class="text-danger">*</span></label>
                                            <div class="col-lg-12">
                                                <div class="row">
                                                    @foreach($venues_music as $type)
                                                    <div class="col-md-3 mb-3">
                                                        <div class="form-check">
                                                            <input class="form-check-input custom-input" type="checkbox" id="venues_music_{{ $type->music_type }}" name="venues_music[]" value="{{ $type->music_type }}">
                                                            <label class="form-check-label" for="venues_music_{{ $type->music_type }}">{{ $type->music_type }}</label>
                                                        </div>
                                                    </div>
                                                    @endforeach
                                                </div>
                                            </div>
                                        </div>
                                        @php
                                        $venues_budget = DB::table('venues_budget')->where('status', '!=', 'Inactive')->orderBy('venues_budget_id', 'DESC')->get();
                                        @endphp
                                        
                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12" for="venues_budget">Venue Budget <span class="text-danger">*</span></label>
                                            <div class="col-lg-12">
                                                <div class="row">
                                                    @foreach($venues_budget as $type)
                                                    <div class="col-md-3 mb-3">
                                                        <div class="form-check">
                                                            <input class="form-check-input custom-input" type="checkbox" id="venues_budget_{{ $type->budget_range }}" name="venues_budget[]" value="{{ $type->budget_range }}">
                                                            <label class="form-check-label" for="venues_budget_{{ $type->budget_range }}">{{ $type->budget_range }}</label>
                                                        </div>
                                                    </div>
                                                    @endforeach
                                                </div>
                                            </div>
                                        </div>
                                        @php
                                        $venues_cusine = DB::table('venues_cusine')->where('status', '!=', 'Inactive')->orderBy('venues_cusine_id', 'DESC')->get();
                                        @endphp

                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12" for="venues_cusine">Venue Cuisine <span class="text-danger">*</span></label>
                                            <div class="col-lg-12">
                                                <div class="row">
                                                    @foreach($venues_cusine as $type)
                                                    <div class="col-md-3 mb-3">
                                                        <div class="form-check">
                                                            <input class="form-check-input custom-input" type="checkbox" id="venues_cusine_{{ $type->cusine }}" name="venues_cusine[]" value="{{ $type->cusine }}">
                                                            <label class="form-check-label" for="venues_cusine_{{ $type->cusine }}">{{ $type->cusine }}</label>
                                                        </div>
                                                    </div>
                                                    @endforeach
                                                </div>
                                            </div>
                                        </div>
                                        @php
                                        $venues_food = DB::table('venues_food')->where('status', '!=', 'Inactive')->orderBy('venues_food_id', 'DESC')->get();
                                        @endphp

                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12" for="venues_food">Venue Food <span class="text-danger">*</span></label>
                                            <div class="col-lg-12">
                                                <div class="row">
                                                    @foreach($venues_food as $type)
                                                    <div class="col-md-3 mb-3">
                                                        <div class="form-check">
                                                            <input class="form-check-input custom-input" type="checkbox" id="venues_food_{{ $type->food_type }}" name="venues_food[]" value="{{ $type->food_type }}">
                                                            <label class="form-check-label" for="venues_food_{{ $type->food_type }}">{{ $type->food_type }}</label>
                                                        </div>
                                                    </div>
                                                    @endforeach
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12" for="payment_method">Payment Method <span class="text-danger">*</span></label>
                                            <div class="col-lg-12">
                                                <div class="row">
                                                    <div class="col-md-3 mb-3">
                                                        <div class="form-check">
                                                            <input class="form-check-input custom-input" type="checkbox" id="payment_method_cash" name="payment_method[]" value="cash">
                                                            <label class="form-check-label" for="payment_method_cash">Cash Payment</label>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 mb-3">
                                                        <div class="form-check">
                                                            <input class="form-check-input custom-input" type="checkbox" id="payment_method_card" name="payment_method[]" value="card">
                                                            <label class="form-check-label" for="payment_method_card">Card Payment</label>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12" for="val-username">Location <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="location" name="location" onkeyup="initialize_map(this);" placeholder="Enter a location" required>
                                            </div>
                                        </div>

                                        <div class="col-xl-4 form-group">
                                            <label class="col-lg-12" for="val-username">Lattitude <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="lattitude" name="lattitude" placeholder="Enter a lattitude" required readonly>
                                            </div>
                                        </div>

                                        <div class="col-xl-4 form-group">
                                            <label class="col-lg-12" for="val-username">Longitude <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="longitude" name="longitude" placeholder="Enter a longitude" required readonly>
                                            </div>
                                        </div>

                                        <div class="col-xl-4 form-group">
                                            <label class="col-lg-12" for="val-username">Google Place ID <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="google_place_id" name="google_place_id" placeholder="Enter a Google Place ID" required readonly>
                                            </div>
                                        </div>
                                    </div>
                                    <legend class="row col-md-12"> Add Hours</legend>
                                    <div class="row col-md-12"> 
                                        @php
                                        $VenueDays = DB::table('venues_days')->where('status', 'Active')->get();
                                        @endphp
                                    
                                      <table class="table">
                                        <thead>
                                            <tr>
                                                <th class="form-group col-md-4">Day</th>
                                                <th class="form-group col-md-4">Start Hours</th>
                                                <th class="form-group col-md-4">Close Hours</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach($VenueDays as $day)
                                            <tr>
                                                <td class="form-group col-md-4">{{ $day->days_name }}</td>
                                                <td class="form-group col-md-4">
                                                    <label>
                                                    <input type="time" class="form-control" name="hours[{{$loop->iteration}}][start]" value="">  
                                                    </label>
                                                </td>
                                                <td class="form-group col-md-4">
                                                    <label>
                                                <input type="time" class="form-control" name="hours[{{$loop->iteration}}][close]" value=""></label>
                                                </td>
                                            </tr>
                                        @endforeach
                                        </tbody>
                                      </table>
                                    </div> 

                                    <div class="col-xl-12 form-group" id="discountPercentageDiv">   
                                        <label class="col-lg-12" for="val-username">Discount Percentage <span class="text-danger">*</span> </label>
                                        <div class="col-lg-12" id="st">
                                        <input type="number" min="0" max="100" step="1" class="form-control" id="discount_percentage" name="discount_percentage" placeholder="Enter a Discount Percentage">
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-xl-4 form-group">
                                            <label class="col-lg-12" for="val-username">Website <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="url" class="form-control" id="website" name="website" placeholder="Enter a Website" required>
                                            </div>
                                        </div>

                                        <div class="col-xl-4 form-group">
                                            <label class="col-lg-12" for="val-username">Menu Link <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="menu_link" name="menu_link" placeholder="Enter a Menu Link" required>
                                            </div>
                                        </div>

                                        <div class="col-xl-4 form-group">
                                            <label class="col-lg-12" for="val-username">Phone Number <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="phone_number" name="phone_number" placeholder="Enter a Phone Number" required>
                                            </div>
                                        </div>

                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12" for="val-username">Description <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <textarea class="form-control" id="description" name="description" placeholder="Enter a Description" rows="10" required></textarea>
                                            </div>
                                        </div>

                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12" for="val-username">Important Information <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <textarea class="form-control" id="important_info" name="important_info" placeholder="Enter a Description" rows="10" required></textarea>
                                            </div>
                                        </div>

                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12" for="val-username">Restaurant Note <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <textarea class="form-control" id="restaurant_note" name="restaurant_note" placeholder="Enter a Description" rows="10" required></textarea>
                                            </div>
                                        </div>

                                        <!-- <div class="col-xl-4 form-group">
                                            <label class="col-lg-12" for="availability">Availability <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <select class="form-control" id="availability" name="availability" required>
                                                    <option value="Quite">Quite</option>
                                                    <option value="Busy">Busy</option>
                                                    <option value="Very Busy">Very Busy</option>
                                                </select>
                                            </div>
                                        </div> -->

                                        <div class="col-xl-4 form-group">
                                            <label class="col-lg-12" for="val-username"> Status <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <select class="form-control" id="status" name="status" required>
                                                    <option value="Active">Active</option>
                                                    <option value="Inactive">Inactive</option>
                                                </select>                                                
                                            </div>
                                        </div>

                                        <div class="col-xl-4 form-group">
                                        
                                            <label class="col-lg-12" for="val-username">Venues Images <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                
                                                    <input type="file" class="form-control" id="images" name="images[]" multiple required>
                                                                                              
                                            </div>
                                        </div>
                                        <div id="image-preview-container" class="col-xl-12"></div>

                                        <div class="col-lg-12 form-group text-right">
                                                <button type="submit" name="add" class="btn btn-primary rounded-pill mt-4 col-lg-4 col-md-6">Add</button>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
          	</div>
        </div>
    </div>
@endsection

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script>
    $(document).ready(function() {
        // Listen for change in the file input
        $('#images').on('change', function(e) {
            // Clear previous previews
            $('#image-preview-container').empty();

            // Loop through selected files
            for (let i = 0; i < e.target.files.length; i++) {
                // Create a FileReader object
                let reader = new FileReader();

                // Listen for FileReader's load event
                reader.onload = function(event) {
                    // Create an image element and set its source to the FileReader result
                    let image = $('<img>').attr('src', event.target.result).addClass('preview-image');

                    // Append the image to the preview container
                    $('#image-preview-container').append(image);
                };

                // Read the selected file as a data URL
                reader.readAsDataURL(e.target.files[i]);
            }
        });
    });
</script>

<style>
    .preview-image {
        max-width: 100px;
        max-height: 100px;
        margin: 5px;
    }
</style>

<script>
    document.addEventListener('DOMContentLoaded', function() {
        var usersBusinessId = document.getElementById('users_business_id');
        var discountPercentageDiv = document.getElementById('discountPercentageDiv');

        // Function to handle the change event
        function handleBusinessIdChange() {
            var selectedBusinessId = usersBusinessId.value;
            console.log(selectedBusinessId);
            // Check if the selected business id is Crowd Admin (id 27)
            if (selectedBusinessId == 27) {
                discountPercentageDiv.style.display = 'none'; 
            } else {
                discountPercentageDiv.style.display = 'block'; 
            }
        }

        // Add event listener for the change event
        usersBusinessId.addEventListener('change', handleBusinessIdChange);

        // Trigger the change event manually after the page is loaded
        handleBusinessIdChange();
    });
</script>

