@extends('layout.admin.list_master')

@section('content')
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.2/css/bootstrap.css">
<link rel="stylesheet" href="https://cdn.datatables.net/1.12.1/css/dataTables.bootstrap4.min.css">
<style>
    input {
        border-radius: 20px;
    }

    .avatar {
        vertical-align: middle;
        width: 50px;
        height: 50px;
        border-radius: 50%;
    }

    .imageUpload {
        display: none;
    }

    .profileImage {
        /* margin-top: -40px; */
        cursor: pointer;
        width: 100%;
    }

    #profile-container {
        margin: 20px auto;
        width: 130px;
        height: 130px;
        color: white;
        justify-content: center;
        border: 1px solid #8f8989;
        overflow: hidden;
    }

    #profile-container img {
        width: 150px;
        height: 150px;

    }

    .color_widget {
        color: white;
    }
</style>
<?php
$data_bookings_txns = DB::table('bookings_txns')->get();
$system_currency    = DB::table('system_settings')->select('description')->where('type', 'system_currency')->get()->first();
?>
<!--**********************************
            Chat box End
    ***********************************-->
<div class="col-lg-12">
    <div class="content-body">
        @section('titleBar')
        <span class="ml-2">Manage Payments</span>
        @endsection
        <div class="row mb-0 justify-content-between p-3 pb-0">
            <div class="col-sm-6">
                <div class="card rounded-xxl border-0 bg-danger">
                    <div class="card-body">
                        <div class="d-flex justify-content-between align-items-center">
                            <div class="d-flex align-items-center">
                                <div class="card-item m-3 mr-4">
                                    <div class="icon bg-1">
                                        <img src="/public/images/path33.svg" class="img-fluid" alt="image">
                                    </div>
                                </div>
                                <div>
                                    <?php $totalEarning = $system_currency->description . number_format(DB::table('bookings')->where('status', 'Accepted')->sum('total_cost'), 2); ?>
                                    <div>
                                        <h4 class="color_widget">{{$totalEarning}}</h4>
                                    </div>
                                    <div><small class="color_widget">Total Earning So Far</small></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

            <div class="col-sm-6">
                <div class="card rounded-xxl border-0 shadow-none bg-primary">
                    <div class="card-body">
                        <div class="row align-items-center">
                            <div class="col-md-12"> 
                                <div class="d-flex align-items-center">
                                    <div class="card-item m-3 mr-4">
                                        <div class="icon bg-1">
                                            <img src="/public/images/money_withdraw_icon.svg" class="img-fluid" alt="image">
                                        </div>
                                    </div>
                                    <div>
                                        <?php $pending_total_Earning = $system_currency->description . number_format(DB::table('bookings')->where('status', 'Pending')->sum('total_cost'), 2); ?>
                                        <div>
                                            <h4 class="color_widget">{{$pending_total_Earning}}</h4>
                                        </div>
                                        <div><small class="color_widget">Upcoming Earnings</small></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row" style="padding-bottom: 30px;">
            <div class="col-lg-12">
                <div class="card border-0 bg-transparent shadow-none">
                    <div class="card-body">
                        <div class="basic-form">
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="basic-form">
                                        <div class="table-responsive">
                                            <table id="example" class="table table-striped bg-white">
                                                <thead>
                                                    <tr>
                                                        <th>SR.No</th>
                                                        <th>Booking ID</th>
                                                        <th>Booking Date</th>
                                                        <th>Vehical Name and Brand</th>
                                                        <th>Total Fees</th>
                                                        <th>Admin %</th>
                                                        <th>Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody id="exampleid">
                                                    @foreach($data_bookings_txns as $key => $item)
                                                    <tr>
                                                        <?php
                                                        $data_bookings = DB::table('bookings')
                                                            ->join('cars', 'cars.cars_id', '=', 'bookings.cars_id')
                                                            ->join('users_customers', 'users_customers.users_customers_id', '=', 'bookings.users_customers_id')
                                                            ->join('users_companies', 'users_companies.users_companies_id', '=', 'cars.users_companies_id')
                                                            ->select('bookings.*', 'cars.vehical_name as vehical_name', 'users_companies.company_name as company_name', 'users_customers.first_name as username')
                                                            ->orderBy('bookings.bookings_id', 'DESC')
                                                            ->where('bookings.bookings_id', $item->bookings_id)
                                                            ->get()->first();
                                                        ?>
                                                        <td>{{$key + 1}}</td>
                                                        <td>{{$item->bookings_id}}</td>
                                                        <td>{{$data_bookings->bookings_date}}</td>
                                                        <td>{{$data_bookings->vehical_name}}</td>
                                                        <td>{{$system_currency->description}}{{$data_bookings->total_cost}}</td>
                                                        <td>{{$item->admin_share}}%</td>
                                                        <td><a class="btn btn-success" href="{{url('admin/bookings_details', $data_bookings->bookings_id)}}"> <i class="fa fa-arrow-right"></i></a></td>
                                                    </tr>
                                                    @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
<script src="https://code.jquery.com/jquery-3.5.1.js"></script>
<script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.12.1/js/dataTables.bootstrap4.min.js"></script>
<script>
    $(document).ready(function() {
        $('#example').DataTable();
    });
</script>
@endsection