@extends('layout.admin.list_master')
@section('content')
    <style>
        .btn-light{
          padding-left:10px;
        }
    </style>
    <div class="content-body">
        <div class="container-fluid">
            <div class="page-titles mb-n5">
				<ol class="breadcrumb">
                    @section('titleBar')
                    <span class="ml-2 text-white">Manage Business</span>
                    @endsection
				</ol>
            </div>
            <!-- row -->

            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="table-responsive">
                                <table id="example" class="table dt-responsive nowrap display min-w850">
                                    <thead> 
                                        <tr>
                                            <th>#</th>
                                            <th>Business Name</th>
                                            <th>Email</th>
                                            <th>Address</th>
                                            <th>Status</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($users as $key => $items)
                                        <tr class="odd gradeX">
                                            <td>{{ $items->users_business_id }}</td>
                                            <td>{{ $items->first_name }} </td>
                                            <td>{{ $items->email }}</td>
                                            <td>{{ $items->address }} <br> {{ $items->city }}</td>
                                            <td>
                                                @if ($items->status=='Active')
                                                <span class="btn btn-primary">Active</span>
                                                @elseif ($items->status=='Deleted')
                                                <span class="btn btn-danger">Deleted</span>
                                                @else 
                                                <span class="btn btn-warning">In Active</span>
                                                @endif
                                            </td>
                                            <td>
                                                @if ($items->status=='Inactive')
                                                <a class="btn btn-primary icon-btn" href="{{url('admin/users_business_update/' . $items->users_business_id.'/Active')}}"> <i class="fa fa-check"></i> </a>
                                                @endif

                                                @if ($items->status=='Active')
                                                <a class="btn btn-outline-dark icon-btn" href="{{url('admin/users_business_update/' . $items->users_business_id.'/Inactive')}}"> <i class="fa fa-check"></i> </a>
                                                @endif

                                                <a class="btn btn-outline-danger icon-btn" href="{{url('admin/users_business_delete/' . $items->users_business_id)}}"> <i class="far fa-times-circle"></i> </a>
                                            </td>
                                        </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
          	</div>
        </div>
    </div>
@endsection