@extends('layout.admin.list_master')
@section('content')
    <style>
        .btn-light{
          padding-left:10px;
        }
    </style>
    <div class="content-body">
        <div class="container-fluid">
            <div class="page-titles mb-n5">
                <ol class="breadcrumb">
                    @section('titleBar')
                    <span class="ml-2">Manage Companies</span>
                    @endsection
                </ol>
            </div>
            <!-- row -->

            <div class="row">
                <div class="col-12">
                    <div class="card bg-transparent border-0 shadow-none">
                        <div class="card-body p-0">
                            <!-- Nav tabs -->
                            <div class="custom-tab-1">
                                <ul class="nav nav-tabs align-items-end">
                                    <li class="nav-item mr-3">
                                        <a class="nav-link active bg-transparent px-2" data-toggle="tab" href="#approved_company">
                                        <img src="/public/icons/sidebar/bookings.svg" class="tab-icon mr-2" alt=""><img src="/public/icons/sidebar/bookings-active.svg" class="tab-icon-active mr-2" alt=""> Approved Companies</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link bg-transparent px-2" data-toggle="tab" href="#pending_company">
                                        <img src="/public/icons/sidebar/timer.svg" class="tab-icon mr-2" alt=""><img src="/public/icons/sidebar/timer-active.svg" class="tab-icon-active mr-2" alt=""> Companies waiting for approval</a>
                                    </li>
                                </ul>
                                <div class="tab-content">
                                    <div class="tab-pane fade active show" id="approved_company" role="tabpanel">
                                        <br><br>
                                        <div class="table-responsive">
                                            <table class="table dt-responsive nowrap min-w850 example bg-white">
                                                <thead>
                                                    <tr>
                                                        <th>#</th>
                                                        <th>Company Name</th>
                                                        <th>Total Vehicles</th>
                                                        <th>Booked Vehicles</th>
                                                        <th>Free Vehicles</th>
                                                        <!--<th>Total Earning</th>-->
                                                        <th>Status</th>
                                                        <th>Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @foreach ($users_all as $key => $items)

                                                    <?php 
                                                        $my_cars            = number_format(DB::table('cars')->select('cars_id')->where('users_companies_id', $items->users_companies_id)->count());
                                                        $my_cars_ids        = DB::table('cars')->select('cars_id')->where('users_companies_id', $items->users_companies_id)->get();
                                                        $my_cars_array      = json_decode(json_encode($my_cars_ids), true);
                                                        $system_currency    = DB::table('system_settings')->select('description')->where('type', 'system_currency')->get()->first();
                                                    ?>

                                                    <tr class="odd gradeX">
                                                        <td>{{ $key + 1 }}</td>
                                                        <td>{{ $items->company_name }}</td>
                                                        <td>
                                                            <?php 
                                                                $total_cars = DB::table('cars')->where('users_companies_id', '=', $items->users_companies_id)->count();
                                                                echo $total_cars;
                                                            ?>
                                                        </td>
                                                        <td>
                                                            <?php 
                                                                $booked_cars = DB::table('bookings')->where('status', 'Accepted')->whereIn('cars_id', $my_cars_array)->count();
                                                                echo $booked_cars;
                                                            ?>
                                                        </td>

                                                        <td>
                                                            <?php 
                                                                $reamining_cars = $total_cars - $booked_cars;
                                                                echo $reamining_cars;
                                                            ?>
                                                        </td>

                                                        <!--
                                                        <td>
                                                            <?php
                                                                $total_earning       = $system_currency->description . number_format(DB::table('bookings')->where('status', 'Accepted')->whereIn('cars_id', $my_cars_array)->sum('total_cost'), 2);
                                                                echo $total_earning;
                                                            ?>
                                                        </td>
                                                        -->
                                                        
                                                        <td>
                                                            @if ($items->status=='Active')
                                                            <span class="btn btn-success">Active</span>
                                                            @elseif ($items->status=='Deleted')
                                                            <span class="btn btn-danger">Deleted</span>
                                                            @elseif ($items->status=='Inactive')
                                                            <span class="btn btn-warning">In Active</span>
                                                            @elseif ($items->status=='Pending')
                                                            <span class="btn btn-info">Pending</span>
                                                            @endif
                                                        </td>
                                                        <td>
                                                            <a class="btn btn-info" href="{{url('admin/users_companies_view/' . $items->users_companies_id)}}"> 
                                                                <i class="fa fa-arrow-right"></i>
                                                            </a>

                                                            @if ($items->status!='Active')
                                                            <a class="btn btn-primary" href="{{url('admin/users_companies_update/' . $items->users_companies_id.'/Active')}}"> 
                                                                <i class="fa fa-check"></i>
                                                            </a>
                                                            @endif

                                                            @if ($items->status!='Inactive')
                                                            <a class="btn btn-warning" href="{{url('admin/users_companies_update/' . $items->users_companies_id.'/Inactive')}}"> 
                                                                <i class="fa fa-times"></i>
                                                            </a>
                                                            @endif

                                                            @if ($items->status!='Deleted')
                                                            <a class="btn btn-danger" href="{{url('admin/users_companies_delete/' . $items->users_companies_id)}}"> 
                                                                <i class="fa fa-trash"></i>
                                                            </a>
                                                            @endif
                                                        </td>
                                                    </tr>
                                                    @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                    <div class="tab-pane fade" id="pending_company">
                                        <br><br>
                                        <div class="table-responsive">
                                            <table class="table dt-responsive nowra min-w850 example bg-white">
                                                <thead>
                                                    <tr>
                                                        <th>#</th>
                                                        <th>Company Name</th>
                                                        <th>Total Vehicles</th>
                                                        <th>Booked Vehicles</th>
                                                        <th>Free Vehicles</th>
                                                        <!--<th>Total Earning</th>-->
                                                        <th>Status</th>
                                                        <th>Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @foreach ($users_pending as $key => $items)
                                                    <?php 
                                                        $my_cars            = number_format(DB::table('cars')->select('cars_id')->where('users_companies_id', $items->users_companies_id)->count());
                                                        $my_cars_ids        = DB::table('cars')->select('cars_id')->where('users_companies_id', $items->users_companies_id)->get();
                                                        $my_cars_array      = json_decode(json_encode($my_cars_ids), true);
                                                        $system_currency    = DB::table('system_settings')->select('description')->where('type', 'system_currency')->get()->first();
                                                    ?>

                                                    <tr class="odd gradeX">
                                                        <td>{{ $key + 1 }}</td>
                                                        <td>{{ $items->company_name }}</td>
                                                        <td>
                                                            <?php 
                                                                $total_cars = DB::table('cars')->where('users_companies_id', '=', $items->users_companies_id)->count();
                                                                echo $total_cars;
                                                            ?>
                                                        </td>
                                                        <td>
                                                            <?php 
                                                                $booked_cars = DB::table('bookings')->where('status', 'Accepted')->whereIn('cars_id', $my_cars_array)->count();
                                                                echo $booked_cars;
                                                            ?>
                                                        </td>

                                                        <td>
                                                            <?php 
                                                                $reamining_cars = $total_cars - $booked_cars;
                                                                echo $reamining_cars;
                                                            ?>
                                                        </td>

                                                        <!--
                                                        <td>
                                                            <?php
                                                                $total_earning       = $system_currency->description . number_format(DB::table('bookings')->where('status', 'Accepted')->whereIn('cars_id', $my_cars_array)->sum('total_cost'), 2);
                                                                echo $total_earning;
                                                            ?>
                                                        </td>
                                                        -->

                                                        <td>
                                                            @if ($items->status=='Active')
                                                            <span class="btn btn-success">Active</span>
                                                            @elseif ($items->status=='Deleted')
                                                            <span class="btn btn-danger">Deleted</span>
                                                            @elseif ($items->status=='Inactive')
                                                            <span class="btn btn-warning">In Active</span>
                                                            @elseif ($items->status=='Pending')
                                                            <span class="btn btn-info">Pending</span>
                                                            @endif
                                                        </td>
                                                        <td style="display: flex;">
                                                            <a class="btn btn-info" href="{{url('admin/users_companies_view/' . $items->users_companies_id)}}" style="margin: 5px;"> 
                                                                <i class="fa fa-arrow-right"></i>
                                                            </a>

                                                            @if ($items->status!='Active')
                                                            <a class="btn btn-primary" href="{{url('admin/users_companies_update/' . $items->users_companies_id.'/Active')}}" style="margin: 5px;"> 
                                                                <i class="fa fa-check"></i>
                                                            </a>
                                                            @endif

                                                            @if ($items->status!='Inactive')
                                                            <a class="btn btn-warning" href="{{url('admin/users_companies_update/' . $items->users_companies_id.'/Inactive')}}" style="margin: 5px;"> 
                                                                <i class="fa fa-times"></i>
                                                            </a>
                                                            @endif

                                                            @if ($items->status!='Deleted')
                                                            <a class="btn btn-danger" href="{{url('admin/users_companies_delete/' . $items->users_companies_id)}}" style="margin: 5px;"> 
                                                                <i class="fa fa-trash"></i>
                                                            </a>
                                                            @endif
                                                        </td>
                                                    </tr>
                                                    @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.12.1/js/dataTables.bootstrap4.min.js"></script>
    <script>
        $(document).ready(function () {
            $('.example').DataTable();
        });
    </script>
@endsection