@extends('layout.admin.list_master')
@section('content')
    <style>
        .btn-light{
          padding-left:10px;
        }

        .heading{
            font-weight: bolder;
        }
    </style>

    <!--********************************** Content body start ***********************************-->
    <div class="content-body">
        <div class="container-fluid">
            <div class="page-titles mb-n5">
                <ol class="breadcrumb">
                    @section('titleBar')
                    <span class="ml-2">Manage Companies</span>
                    @endsection
                </ol>
            </div>
            <!-- row -->

            <!-- Content Heading Section -->
            <div class="page-titles">
				<ol class="breadcrumb">
					<li class="breadcrumb-item"><a href="javascript:void(0)">Companies</a></li>
					<li class="breadcrumb-item active"><a href="javascript:void(0)">View Profile</a></li>
				</ol>
            </div>

            <!-- row -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="profile card card-body px-3 pt-3 pb-0">
                        <div class="profile-head">

                            <div class="photo-content">
                                <div class="cover-photo">
                                	<!-- Cover Button -->
                                	<div class="d-flex cover_button">
										<a href="{{ url('/admin/users_companies/') }}" class="btn btn-primary shadow btn-xs sharp mr-1" id="btn_go_back"><i class="fa fa-arrow-left"></i></a>
                                    </div>
                                	<!-- Cover Logo -->
                                	<div class="cover_logo text-center">
                                		<img style="height: 300px;" src="{{ asset($users_companies_data->company_logo) }}">
                                	</div> 
                                </div>
                            </div> 
                            
                            <!-- Profile Info -->
                            <div class="profile-info">
								<div class="profile-photo">
									<img src="{{ asset($users_companies_data->company_logo) }}" class="img-fluid rounded-circle" alt="">
								</div>
								<div class="profile-details">
									<div class="profile-name px-2 pt-2">
										<h4 class="text-primary mb-0">Company Name</h4>
										<p>{{ $users_companies_data->company_name }}</p>
									</div>

                                    <div class="profile-name px-2 pt-2">
                                        <h4 class="text-primary mb-0">Mobile No.</h4>
                                        <p>{{ $users_companies_data->phone }}</p>
                                    </div>

                                    <div class="profile-name px-2 pt-2">
                                        <h4 class="text-primary mb-0">Company Registration Number</h4>
                                        <p>{{ $users_companies_data->company_registration_number }}</p>
                                    </div>

									<div class="dropdown ml-auto mt-1">
										@if($users_companies_data->status == 'Active')
                                            <span class="badge badge-danger" id="span_status_active">
                                            	{{ $users_companies_data->status }}
                                            </span>
                                        @elseif($users_companies_data->status == 'Inactive') 
                                            <span class="badge badge-danger" id="span_status_inactive">
                                            	{{ $users_companies_data->status }}
                                            </span>
                                        @else
                                            <span class="badge badge-danger" id="span_status_deleted">
                                            	{{ $users_companies_data->status }}
                                            </span>
                                        @endif
									</div>
								</div>
                            </div>
                            <!-- Profile Info -->
                        </div>
                    </div>
                </div>
            </div>
            <!-- row -->
            <div class="row">
                <div class="col-xl-12">
                    <!-- General Section -->
                    <section id="section_general">
                        <div class="card custom-tab-1">
                            <div class="card-header">
                                <ul class="nav nav-tabs align-items-end">
                                    <li class="nav-item mr-3">
                                        <a class="nav-link active bg-transparent px-2" data-toggle="tab" href="#general">
                                            General
                                        </a>
                                    </li>

                                    @if($users_companies_data->status == 'Active')
                                    <li class="nav-item">
                                        <a class="nav-link bg-transparent px-2" data-toggle="tab" href="#cars">
                                            Cars
                                        </a>
                                    </li>

                                    <li class="nav-item">
                                        <a class="nav-link bg-transparent px-2" data-toggle="tab" href="#bookings">
                                            Bookings
                                        </a>
                                    </li>
                                    @endif
                                </ul>
                            </div>

                            <div class="card-body">
                                <div class="tab-content">
                                    <div class="tab-pane fade active show" id="general" role="tabpanel">
                                        <div class="post-details">
                                            <div class="row">
                                                <div class="col-lg-2 general_profile_info">
                                                    <div class="heading">Date Added</div>
                                                    <div class="details">
                                                        {{ $users_companies_data->date_added }}
                                                    </div>
                                                </div>

                                                <div class="col-lg-3 general_profile_info">
                                                    <div class="heading">Location</div>
                                                    <div class="details">
                                                        {{ $users_companies_data->company_location }}
                                                    </div>
                                                </div>

                                                <div class="col-lg-3">
                                                    <div class="heading">Contact Person</div>
                                                    <div class="details">{{ $users_companies_data->phone }}</div>
                                                </div>

                                                <?php 
                                                        $my_cars            = number_format(DB::table('cars')->select('cars_id')->where('users_companies_id', $users_companies_data->users_companies_id)->count());
                                                        $my_cars_ids        = DB::table('cars')->select('cars_id')->where('users_companies_id', $users_companies_data->users_companies_id)->get();
                                                        $my_cars_array      = json_decode(json_encode($my_cars_ids), true);
                                                        $system_currency    = DB::table('system_settings')->select('description')->where('type', 'system_currency')->get()->first();
                                                    ?>

                                                <div class="col-lg-2">
                                                    <div class="heading">Total Trips</div>
                                                    <div class="details"><?php echo DB::table('bookings')->whereIn('cars_id', $my_cars_array)->count(); ?>
                                                    </div>
                                                </div>

                                                <div class="col-lg-2">
                                                    <div class="heading">Earning</div>
                                                    <div class="details"><?php echo $system_currency->description . number_format(DB::table('bookings')->where('status', 'Accepted')->whereIn('cars_id', $my_cars_array)->sum('total_cost'), 2); ?>
                                                    </div>
                                                </div>

                                                <div class="col-lg-2">
                                                    <div class="heading">Company Email</div>
                                                    <div class="details">{{ $users_companies_data->email }}</div>
                                                </div>

                                                <div class="col-lg-2">
                                                    <div class="heading">Company Telephone Number</div>
                                                    <div class="details">{{ $users_companies_data->phone }}</div>
                                                </div>
                                            </div>

                                            <div class="row mt-3">
                                                <div class="col-lg-12 about">
                                                    <div class="heading">About me</div>
                                                    <div class="description"> {{ $users_companies_data->about }} </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="tab-pane fade" id="cars">
                                        <div class="row">
                                            <?php if(!empty($users_companies_cars[0])){ ?>
                                            <div class="table-responsive">
                                                <table class="table dt-responsive nowrap min-w850 example bg-white">
                                                    <thead>
                                                        <tr>
                                                            <th>#</th>
                                                            <th>Vehicle Name</th>
                                                            <th>License Plate</th>
                                                            <th>Car Type</th>
                                                            <th>Trips Completed</th>
                                                            <th>Status</th>
                                                            <th>Action</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        @foreach($users_companies_cars as $key => $cars)
                                                        <tr>
                                                            <td>{{ $key + 1 }}</td>
                                                            <td>{{ $cars->vehical_name }}</td>
                                                            <td>{{ $cars->license_plate }}</td>
                                                            <td><?php echo DB::table('cars_type')->where('cars_type_id', $cars->cars_type_id)->get()->first()->name; ?></td>
                                                            <td><?php echo DB::table('bookings')->where('status', 'Accepted')->where('cars_id', $cars->cars_id)->count(); ?></td>
                                                            <td>{{ $cars->status }}</td>
                                                            <td>
                                                                <a class="btn btn-info" href="{{url('admin/cars_details/' . $cars->cars_id)}}"> 
                                                                    <i class="fa fa-arrow-right"></i>
                                                                </a>
                                                            </td>
                                                        </tr>
                                                        @endforeach 
                                                    </tbody>
                                                </table>
                                            </div>
                                            <?php } else { ?>
                                                <div class="col-lg-12"><h1> No Cars Found!</h1></div>
                                            <?php } ?>
                                        </div>
                                    </div>

                                    <div class="tab-pane fade" id="bookings">
                                        <div class="row">
                                            <?php if(!empty($users_companies_bookings[0])){ ?>
                                            <div class="table-responsive">
                                                <table class="table dt-responsive nowrap min-w850 example bg-white">
                                                    <thead>
                                                        <tr>
                                                            <th>#</th>
                                                            <th>Booking ID</th>
                                                            <th>Trip Date</th>
                                                            <th>Rent Cost</th>
                                                            <th>Rented By</th>
                                                            <th>Status</th>
                                                            <th>Action</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        @foreach($users_companies_bookings as $key => $bookings)
                                                        <tr>
                                                            <td>{{ $key + 1 }}</td>
                                                            <td>{{ $bookings->bookings_id }}</td>
                                                            <td>{{ $bookings->bookings_date }}</td>
                                                            <td>{{ $system_currency->description . number_format($bookings->total_cost, 2) }}</td>
                                                            <td><?php echo DB::table('users_customers')->where('users_customers_id', $bookings->users_customers_id)->get()->first()->first_name; ?></td>
                                                            <td>{{ $bookings->status }}</td>
                                                            <td>
                                                                <a class="btn btn-info" href="{{url('admin/bookings_details/' . $bookings->bookings_id)}}"> 
                                                                    <i class="fa fa-arrow-right"></i>
                                                                </a>
                                                            </td>
                                                        </tr>
                                                        @endforeach 
                                                    </tbody>
                                                </table>
                                            </div>
                                            <?php } else { ?>
                                                <div class="col-lg-12"><h1> No Bookings Found!</h1></div>
                                            <?php } ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>

                    @if($users_companies_data->status == 'Pending')
                    <div class="col-lg-12 text-center">
                        <h2> This company applied recently, activate it so company can add cars and start renting.</h2>
                        <a class="btn btn-primary" href="{{url('admin/users_companies_update/' . $users_companies_data->users_companies_id.'/Active')}}"> 
                            <i class="fa fa-check"></i> Activate
                        </a>
                    </div>
                    @endif
                </div> <!-- col end -->
            </div> <!-- row end -->
        </div>
    </div>

    <!--********************************** Content body end ***********************************-->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.12.1/js/dataTables.bootstrap4.min.js"></script>
    <script>
        $(document).ready(function () {
            $('.example').DataTable();
        });
    </script>
@endsection