@extends('layout.admin.list_master')
@section('content')
<style>
.btn-light {
    padding-left: 10px;
}
</style>
<div class="content-body">
    <div class="container-fluid">
        <div class="page-titles mb-n5">
            <ol class="breadcrumb">
                @section('titleBar')
                <span class="ml-2 text-white">Manage Users</span>
                @endsection
            </ol>
        </div>
        <!-- row -->

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="table-responsive">
                            <table id="example" class="table dt-responsive nowrap display min-w850">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>User Name</th>
                                        <th>Email</th>
                                        <th>Name</th>
                                        <th>Status</th>
                                        <th>Action</th>

                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($users as $key => $items)
                                    <tr class="odd gradeX">
                                        <td>{{ $items->users_customers_id }}</td>
                                        <td>
                                            @if($items->profile_picture)
                                            <img src="{{ asset($items->profile_picture)}}" class="rounded-profile">
                                            @else
                                            <img src="{{asset('uploads/placeholder/default.png')}}"
                                                class="rounded-profile">
                                            @endif
                                            {{ $items->username }}
                                        </td>
                                        <td>{{ $items->email }}</td>
                                        <td>{{ $items->full_name }}</td>
                                        <td>
                                            @if ($items->status=='Active')
                                            <span class="btn btn-primary">Active</span>
                                            @elseif ($items->status=='Deleted')
                                            <span class="btn btn-danger">Deleted</span>
                                            @else
                                            <span class="btn btn-warning">In Active</span>
                                            @endif
                                        </td>
                                        <td>
                                            @if ($items->status=='Inactive')
                                            <a class="btn btn-primary"
                                                href="{{url('admin/users_customers_update/' . $items->users_customers_id.'/Active')}}">
                                                <i class="fa fa-check"></i> </a>
                                            @endif

                                            @if ($items->status=='Active')
                                            <a class="btn btn-outline-dark icon-btn"
                                                href="{{url('admin/users_customers_update/' . $items->users_customers_id.'/Inactive')}}">
                                                <i class="fa fa-check"></i> </a>
                                            @endif

                                            <a class="btn btn-outline-danger icon-btn"
                                                href="{{url('admin/users_customers_delete/' . $items->users_customers_id)}}">
                                                <i class="far fa-times-circle"></i> </a>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection