@extends('layout.admin.list_master')
@section('content')
<style>
.btn-light {
    padding-left: 10px;

}

.fs-14 {
    font-weight: bold;
}
</style>
<div class="content-body">
    <div class="container-fluid">
        <div class="page-titles mb-n5">
            <ol class="breadcrumb">
                @section('titleBar')
                <span class="ml-2 text-white">Manage Bookings</span>
                @endsection
            </ol>
        </div>
        <!-- row -->

        <!-- row -->
        <div class="row">
            <div class="col-lg-4 col-md-6 col-sm-8">
                <div class="card">
                    <div class="card-body">
                        <div class="d-flex justify-content-between align-items-center">
                            <div class="d-flex align-items-center">
                                <div
                                    class="bg-white width70 height70 rounded-pill d-flex justify-content-center align-items-center mr-3">
                                    <div class="bg-primary width40 height40 rounded-pill text-white p-2 text-center">
                                        <i class="fa fa-check"></i>
                                    </div>
                                </div>
                                <h6>Total Bookings</h6>
                            </div>
                            <h1>{{$total_venues_bookings}}</h1>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="table-responsive">
                            <table id="example" class="table dt-responsive nowrap display min-w850">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Booking ID</th>
                                        <th>User Info</th>
                                        <th>Venue Info</th>
                                        <th>No. of Diners</th>
                                        <th>Booking Date/Time</th>
                                        <th>Date Added</th>
                                        <th>Status</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $count = 1; ?>
                                    @foreach ($fetch_data as $key => $items)
                                    <?php $customer_data = DB::table('users_customers')->where('users_customers_id', $items->users_customers_id)->get()->first();?>
                                    <?php $venue_data = DB::table('venues')->where('venues_id', $items->venues_id)->get()->first();?>
                                    <tr>
                                        <td><?php echo $count++;; ?></td>
                                        <td>{{$items->venues_bookings_id}}</td>
                                        <td>
                                            <img src="{{ url('public') }}/{{ $customer_data->profile_picture }}" alt=""
                                                style="width: 20%;">
                                            {{$customer_data->username}} <br>
                                            {{$customer_data->email}} <br>
                                            {{$customer_data->full_name}} <br>
                                            {{$customer_data->status}}
                                        </td>
                                        <td>
                                            Name: {{$venue_data->name}} <br>
                                            Capacity: {{$venue_data->capacity}} <br>
                                            Open Hours: {{$venue_data->open_hours}} <br>
                                            Close Hours: {{$venue_data->name}} <br>
                                            Phone Number: {{$venue_data->phone_number}} <br>
                                            <!--
                                                    <a class="btn btn-primary icon-btn" href="{{ url('business/manage_venues_views') }}/{{ $items->venues_id }}"><i class="fa fa-eye"></i></a>
                                                    -->
                                            {{-- <?php 
                                                        $users_business_packages_id = DB::table('users_business')->where('users_business_id', session('id'))->get()->first()->packages_id; 
                                                        $business_packages_details = DB::table('packages')->where('packages_id', $users_business_packages_id)->get()->first(); 
                                                    ?>
                                                    <?php if($business_packages_details->venues_chat == 'Yes'){ ?>
                                                    <a class="btn btn-info icon-btn" href="{{ url('admin/venues_chat') }}/{{ $items->venues_id }}">
                                            <i class="fa fa-commenting">
                                                <?php 
                                                                $unreads = DB::table('chat_messages')->where('receiver_id', session('id'))->where('sender_id', $items->users_customers_id)->where('venues_id', $items->venues_id)->where('sender_type', 'Users')->where('status', 'Unread')->count(); 
                                                                if($unreads > 0){ 
                                                                    echo $unreads.' New Messages.'; 
                                                                } 
                                                            ?>
                                            </i>
                                            </a>
                                            <?php } ?> --}}
                                        </td>
                                        <td>{{$items->no_of_diners}}</td>
                                        <td>{{$items->bookings_date}} - {{$items->bookings_time}}</td>
                                        <td>{{$items->date_added}}</td>
                                        <td>{{$items->status}}</td>
                                        <td>
                                            <?php if($items->status == 'Pending') { ?>
                                            <a class="btn btn-outline-dark icon-btn"
                                                href="{{ url('admin/venue_bookings_status') }}/{{ $items->venues_bookings_id }}/Accepted"><i
                                                    class="fa fa-check"></i></a>
                                            <a class="btn btn-outline-danger icon-btn"
                                                href="{{ url('admin/venue_bookings_status') }}/{{ $items->venues_bookings_id }}/Rejected"><i
                                                    class="fa fa-times-circle"></i></a>
                                            <a class="btn btn-dark icon-btn"
                                                href="{{ url('admin/venue_bookings_status') }}/{{ $items->venues_bookings_id }}/Cancelled"><i
                                                    class="fa fa-minus"></i></a>
                                            <?php } else if($items->status == 'Accepted') { ?>
                                            <a class="btn btn-outline-danger icon-btn"
                                                href="{{ url('admin/venue_bookings_status') }}/{{ $items->venues_bookings_id }}/Rejected"><i
                                                    class="fa fa-times-circle"></i></a>
                                            <a class="btn btn-outline-dark icon-btn"
                                                href="{{ url('admin/venue_bookings_status') }}/{{ $items->venues_bookings_id }}/Completed"><i
                                                    class="fa fa-check"></i></a>
                                            <?php } else if($items->status == 'Rejected') { ?>
                                            <a class="btn btn-outline-dark icon-btn"
                                                href="{{ url('admin/venue_bookings_status') }}/{{ $items->venues_bookings_id }}/Accepted"><i
                                                    class="fa fa-check"></i></a>
                                            <?php } else if($items->status == 'Cancelled') { ?>
                                            <a class="btn btn-outline-dark icon-btn"
                                                href="{{ url('admin/venue_bookings_status') }}/{{ $items->venues_bookings_id }}/Accepted"><i
                                                    class="fa fa-check"></i></a>
                                            <?php } ?>

                                            <a class="btn btn-outline-danger icon-btn"
                                                href="{{ url('admin/venue_bookings_status') }}/{{ $items->venues_bookings_id }}/Deleted"><i
                                                    class="fa fa-trash text-white"></i></a>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection