@extends('layout.admin.list_master')

@section('content')
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.2/css/bootstrap.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.12.1/css/dataTables.bootstrap4.min.css">
    <style>
        input{
           border-radius: 20px;
        }

        .avatar {
          vertical-align: middle;
          width: 50px;
          height: 50px;
          border-radius: 50%;
        }
        
        .imageUpload{
            display: none;
        }

        .profileImage{
            /* margin-top: -40px; */
            cursor: pointer;
            width: 100%;
        }

        #profile-container {
            margin: 20px auto;
            width: 130px;
            height: 130px;
            color: white;
            justify-content: center;
            border: 1px solid #8f8989;
            overflow: hidden;
        }

        #profile-container img {
            width: 150px;
            height: 150px;
        }
    </style>
    <!--**********************************
        Chat box End
    ***********************************-->

    <div class="content-body">
        @section('titleBar')
        <span class="ml-2">Manage Withdraw Requests</span>
        @endsection

        <div class="row p-3" style="padding-bottom: 30px;">
            <div class="col-lg-12">
                <div class="card border-0 bg-transparent shadow-none">
                    <div class="card-body pt-0">
                        <div class="basic-form">
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="basic-form">
                                        <div class="table-responsive">
                                            <table id="example" class="table table-striped bg-white">
                                                <thead>
                                                    <tr>
                                                        <th>SR.No</th>
                                                        <th>Request ID</th>
                                                        <th>Company Name</th>
                                                        <th>Amount</th>
                                                        <th>Bank Details</th>
                                                        <th>Company Comments</th>
                                                        <!--<th>Admin Comments</th>-->
                                                        <th>Request Date</th>
                                                        <th>Status</th>
                                                        <th>Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody id="exampleid">
                                                    <?php 
                                                        $system_currency        = DB::table('system_settings')->select('description')->where('type', 'system_currency')->get()->first();
                                                        $users_companies_wallet = DB::table('users_companies_wallet')->get(); 
                                                    ?>
                                                    @foreach($users_companies_wallet as $key => $item)
                                                    <tr>
                                                        <td>{{$key + 1}}</td>
                                                        <td>{{$item->users_companies_wallet_id}}</td>
                                                        <td><?php echo DB::table('users_companies')->where('users_companies_id', $item->users_companies_id)->get()->first()->company_name;?></td>
                                                        <td><?php echo $system_currency->description . number_format($item->amount, 2); ?></td>
                                                        <td>
                                                            Payment Gateway: {{$item->payment_gateways}} <br>
                                                            Bank Name: {{$item->payment_gateways}} <br>
                                                            Account Number: {{$item->payment_gateways}}
                                                        </td>
                                                        <td>{{$item->comments_company}}</td>
                                                        <!--<td>{{$item->comments_admin}}</td>-->
                                                        <td>{{$item->date_added}}</td>
                                                        <td>
                                                            @if ($item->status=='Pending')
                                                            <span class="btn btn-info">Pending</span>
                                                            @elseif ($item->status=='Completed')
                                                            <span class="btn btn-success">Completed</span>
                                                            @elseif ($item->status=='Rejected')
                                                            <span class="btn btn-danger">Rejected</span>
                                                            @endif
                                                        </td>
                                                        <td>
                                                            <div class="dropdown">
                                                                <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenu2" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Action</button>
                                                                <div class="dropdown-menu" aria-labelledby="dropdownMenu2">
                                                                    @if ($item->status=='Pending')
                                                                    <button class="dropdown-item" type="button">
                                                                        <a href="{{url('admin/withdraw_requests_status/' . $item->users_companies_wallet_id.'/Completed')}}"> Accept </a>
                                                                    </button> 
                                                                    
                                                                    <button class="dropdown-item" type="button">
                                                                        <a href="{{url('admin/withdraw_requests_status/' . $item->users_companies_wallet_id.'/Rejected')}}"> Reject </a>
                                                                    </button>
                                                                    @endif

                                                                    <button class="dropdown-item" type="button">
                                                                        <a href="{{url('admin/withdraw_requests_delete/' . $item->users_companies_wallet_id)}}"> Delete </a>
                                                                    </button>
                                                                </div>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.12.1/js/dataTables.bootstrap4.min.js"></script>
    <script>
        $(document).ready(function () {
            $('#example').DataTable();
        });
    </script>
@endsection