<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>OTP Verification</title>

    <!-- css-start -->
    <link rel="stylesheet" href="update_assets/css/bootstrap.min.css" />
    <link rel="stylesheet" href="update_assets/css/intlTelInput.css" />
    <link rel="stylesheet" href="update_assets/css/niceCountryInput.css" />
    <link rel="stylesheet" href="update_assets/css/style.css" />
    <link rel="stylesheet" href="update_assets/css/responsive.css" />
    <!-- css-start-end -->

    <style>
        .otp-wrapper {
            display: flex;
            justify-content: space-between;
            width: 100%;
            max-width: 360px;
            margin: 0 auto;
        }
        .otp-input {
            width: 14%;
            height: 60px;
            font-size: 24px;
            text-align: center;
            border: 2px solid #007bff; /* Increased border width and changed color */
            border-radius: 8px; /* Slightly increased border radius */
            box-shadow: 0 0 5px rgba(0, 123, 255, 0.3); /* Added subtle shadow for depth */
        }
        .otp-input:focus {
            outline: none;
            border-color: #0056b3; /* Darker border color on focus */
            box-shadow: 0 0 8px rgba(0, 123, 255, 0.5); /* Enhanced shadow on focus */
        }
        #hidden-input {
            position: absolute;
            opacity: 0;
            width: 1px;
            height: 1px;
        }
    </style>

    <!-- jquery -->
    <script src="update_assets/js/jquery-3.6.0.min.js" ></script>
    <!-- intlTelInput -->
    <script src="update_assets/js/intlTelInput.min.js" defer></script>
    <!-- niceCuntryInput -->
    <script src="update_assets/js/niceCountryInput.js" defer></script>
    <!-- bootstrap-js -->
    <script src="update_assets/js/bootstrap.bundle.min.js" defer></script>
    <!-- script-js -->
    <script src="update_assets/js/scripts.js" defer></script>
</head>

<body>
<!-- root -->
<div class="root">
    <!-- content-wrapper -->
    <div class="content-wrapper otpContent-wrapper mx-auto">

        <!-- page-header -->
        <div class="page-header">
            <div class="container mt-5">
                <a href="{{ route('auth_login') }}" class="page-link-back">
            <span class="icon">
              <svg width="9" height="16" viewBox="0 0 9 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path
                    d="M7.99978 15.75C7.80778 15.75 7.61575 15.6771 7.46975 15.5301L0.46975 8.53005C0.17675 8.23705 0.17675 7.76202 0.46975 7.46902L7.46975 0.469018C7.76275 0.176018 8.23779 0.176018 8.53079 0.469018C8.82379 0.762018 8.82379 1.23705 8.53079 1.53005L2.06081 8.00002L8.53079 14.47C8.82379 14.763 8.82379 15.238 8.53079 15.531C8.38379 15.677 8.19178 15.75 7.99978 15.75Z"
                    fill="#25314C" />
              </svg>
            </span>
                    Phone Number Verification
                </a>
            </div>
        </div>
        <!-- page-header--end -->

        <!-- otp--content -->
        <div class="container">
            <!-- otp-content -->
            <div class="otp-content">
                <div class="otp-img text-center">
                    <img src="update_assets/img/otp-img.png" class="img-fluid" alt="">
                </div>
                <div class="otp-inner">
                    <div class="otp-inner--header">
                        <h2 class="fs-3">Verification Code</h2>
                        <p>A verification code has been sent to <a href="javascript:void(0)" class="gd-text">+{{ $masked }} </a>. Please
                            enter the code to proceed</p>
                    </div>

                    @if(\Illuminate\Support\Facades\Session::has('error'))
                        <div class="alert alert-warning alert-danger fade show" role="alert">
                            {{ \Illuminate\Support\Facades\Session::get('error') }}
                        </div>
                    @endif

                    <form action="{{ route('forget_otp_verify') }}" method="post">
                        @csrf
                        <div class="otp-wrapper mb-5">
                            <input type="text" name="otp[]" class="otp-input" readonly>
                            <input type="text" name="otp[]" class="otp-input" readonly>
                            <input type="text" name="otp[]" class="otp-input" readonly>
                            <input type="text" name="otp[]" class="otp-input" readonly>
                            <input type="text" name="otp[]" class="otp-input" readonly>
                            <input type="text" name="otp[]" class="otp-input" readonly>
                        </div>
                        <input type="text" id="hidden-input" maxlength="6" inputmode="numeric" pattern="\d*">

                        <div class="signup-submit d-flex flex-column gap-4 justify-content-center align-items-center">
                            <button type="submit" class="btn btn-main w-100">Continue</button>
                            <p class="my-2 small d-none">or Sign up with</p>
                        </div>
                    </form>

                </div>
                <div class="otp-bottom">
                    <a href="javascript:void(0)">Didn't receive Code?</a>
                    <p class="d-none time_count">You can resend code in  <span id="timer"></span> s</p>
                    <a  class="d-none resend" href="{{ route('forget_resend_otp') }}">Resend OTP</a>
                </div>
            </div>
            <!-- otp-content--end -->
        </div>
        <!-- otp-content--end -->
    </div>
    <!-- content-wrapper--end -->
</div>
<!-- root--end -->

<script>


    let timeInSeconds = {{ $diff }};

    // Function to update the timer display
    function updateTimer() {
        // Calculate minutes and seconds
        let minutes = Math.floor(timeInSeconds / 60);
        let seconds = timeInSeconds % 60;
        console.log(seconds);
        // Display the timer
        document.getElementById('timer').innerHTML = `${minutes}:${seconds.toString().padStart(2, '0')}`;
        $(".resend").addClass('d-none');
        $(".time_count").removeClass('d-none');

        // Decrement time by 1 second
        timeInSeconds--;

        // Check if time has reached zero
        if (timeInSeconds < 0) {
            $(".resend").removeClass('d-none');
            $(".time_count").addClass('d-none');
            clearInterval(timerInterval);
        }
    }

    // Call updateTimer() initially to display the timer immediately
    updateTimer();
    let timerInterval = setInterval(updateTimer, 1000);

</script>
<script>
    document.addEventListener('DOMContentLoaded', function() {
        const otpInputs = document.querySelectorAll('.otp-input');
        const hiddenInput = document.getElementById('hidden-input');

        document.addEventListener('click', function() {
            hiddenInput.focus();
        });

        hiddenInput.addEventListener('input', function() {
            const inputValue = this.value;
            for (let i = 0; i < otpInputs.length; i++) {
                otpInputs[i].value = inputValue[i] || '';
            }
        });

        hiddenInput.addEventListener('keydown', function(e) {
            if (e.key === 'Backspace' && this.value.length === 0) {
                e.preventDefault();
                const lastNonEmptyInput = [...otpInputs].reverse().find(input => input.value !== '');
                if (lastNonEmptyInput) {
                    lastNonEmptyInput.value = '';
                    this.value = this.value.slice(0, -1);
                }
            }
        });
    });
</script>
</body>

</html>

