<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <!-- Bootstrap CSS -->
    <link href="assets/css/bootstrap.min.css" rel="stylesheet" />
    <link href="assets/css/all.min.css" rel="stylesheet" />
    <link href="assets/css/fontawesome.css" rel="stylesheet" />
    <link href="assets/css/owl.carousel.min.css" rel="stylesheet" />
    <link href="assets/css/aos.css" rel="stylesheet" />
    <link href="assets/css/nice-select.css" rel="stylesheet" />
    <link href="assets/css/intlTelInput.min.css" rel="stylesheet" />
    <link href="assets/css/default.css" rel="stylesheet" />
    <link href="assets/css/style.css" rel="stylesheet" />
    <link href="assets/css/responsive.css" rel="stylesheet" />

    <title>Additional Info</title>
    <style>
        .list{width: 100% !important;}
    </style>
</head>

<body>

<div class="main__area">

    <div class="overlay none__desk"></div>

    <!-- =================== HEADER AREA START ===================== -->
    <header class="signup__area">
        <div class="page__inner__wrap">
            <div class="container">
                <div class="page__top__blk margin_top mb-2">
                    <a href="{{ route('customer.login') }}"><span><i class="fal fa-angle-left"></i></span> Signup</a>
                </div>
                <div class="info__text">
                    <h4>Additional Info :</h4>
                </div>


                @if(\Illuminate\Support\Facades\Session::has('error'))
                    <div class="alert alert-warning alert-danger fade show" role="alert">
                        {{ \Illuminate\Support\Facades\Session::get('error') }}
                    </div>
                @endif


                <form action="{{ route('customer.user_info.store') }}" method="post">
                    @csrf
                    <div class="signup__wrapper">
                        <div class="single__signup__step">
                            <label for="#">First Name</label>
                            <div class="single__signup__input__step">
                                <span><i class="fal fa-user"></i></span>
                                <input type="text" name="first_name" placeholder="John">
                            </div>
                        </div>
                        <div class="single__signup__step">
                            <label for="#">Last Name</label>
                            <div class="single__signup__input__step">
                                <span><i class="fal fa-user"></i></span>
                                <input type="text" name="last_name" placeholder="doe">
                            </div>
                        </div>
                        <div class="single__signup__step">
                            <label for="#">Email Address</label>
                            <div class="single__signup__input__step">
                                <span><i class="fal fa-envelope"></i></span>
                                <input type="email" name="email" placeholder="example@gmail.com">
                            </div>
                        </div>
                        <div class="single__signup__step">
                            <label for="#">Password</label>
                            <div class="single__signup__input__step">
                                <span><i class="fal fa-key"></i></span>
                                <input type="password" name="password" placeholder="********">
                            </div>
                        </div>

                                <input type="hidden" value="{{ $telephone }}" name="telephone" placeholder="Enter telephone">


                        <div class="single__signup__step">
                            <label for="#">Select Currency</label>
                            <div class="single__signup__input__step">
                                <select name="currency_id" class="single__signup__input__step w-100">
                                    @foreach($currency_list as $currency)
                                    <option {{ @$country_data['currency_code'] == $currency['currency'] ? 'selected' : ''}} value="{{ $currency['id'] }}">{{ $currency['currency'] }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>

                        <div class="single__signup__step">
                            <label for="#">Select Timezone</label>
                            <div class="single__signup__input__step">
                                <select name="timezone_id" class="single__signup__input__step w-100">
                                    @foreach($timezone_list as $timezone)
                                        <option {{ @$country_data['time_zone'] == $timezone['timezone_name'] ? 'selected' : '' }} value="{{ $timezone['timezone_id'] }}">{{ $timezone['timezone_name'] }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>


                    </div>
                    <div class="clearfix"></div>
                    <div class="common__btn mt-4 mb-4">
                        <button type="submit">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </header>
    <!-- =================== HEADER AREA END ===================== -->

</div>




<!-- Optional JavaScript; choose one of the two! -->
<script src="assets/js/jquery.min.js"></script>
<script src="assets/js/popper.js"></script>
<script src="assets/js/bootstrap.min.js"></script>
<script src="assets/js/owl.carousel.min.js"></script>
<script src="assets/js/jquery.nice-select.min.js"></script>
<script src="assets/js/utils.js"></script>
<script src="assets/js/intlTelInput.min.js"></script>
<script src="assets/js/aos.js"></script>
<script src="assets/js/main.js"></script>


</body>

</html>
