@extends('layout.business.list_master')
@section('content')
<style>
.btn-light {
    padding-left: 10px;
}

.space {
    margin-left: 5px;
}
#filter_d .btn {
  margin: 5px 15px 15px 0;
  border-radius: 10px;
}
#filter_d .btn.btn-dark {
  background: #22222e !important;
  border-color: #22222e;
}
#filter_d .btn.btn-dark:hover {
  background: #3b3b4f !important;
  border-color: #3b3b4f;
}
</style>
<!-- Add Book -->
<div class="modal fade" id="exampleModalAddpaymentGetway">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Add Payment Gateway</h5>
                <button type="button" class="close" data-dismiss="modal"><span>&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="basic-form">
                   
                        <input type="hidden" class="users_business_id" name="users_business_id"
                            value="{{ session("id") }}">
                        <div class="form-group">
                            <label for="">Payment Gateway</label>                            
                            <select class="form-control payment_gateway_id" name="payment_gateway_id"
                                id="add_payment_gateway">
                            </select>                          
                       
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger light" data-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-primary add_paymentGateway">Save</button>
            </div>
        </div>
    </div>
</div>
<!-- Add Book -->

<div class="content-body">
    <div class="container-fluid">
        <div class="page-titles mb-n5">
            <ol class="breadcrumb">
                @section('titleBar')
                <span class="ml-2 text-white">Payment Settings</span>
                @endsection
            </ol>
        </div>
        <div class="row">
            <div class="col-12">
                <span id="filter_d"></span>
                <br>
                <div class="card">
                    <div class="card-body">
                        <legend style="float: right;"><a style="float: right;" class="btn btn-primary" id="add_book"
                                data-toggle="modal" data-target="#exampleModalAddpaymentGetway"> Add Payment Getway </a>
                        </legend>
                        <div class="table-responsive">
                            <table id="example" class="table dt-responsive nowrap display min-w850">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Name</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script src="{{ url('/public/users/assets/js/bootstrap.bundle.js') }}"></script>
<script src="{{ url('/public/users/assets/js/jquery.min.js') }}"></script>
<script src="{{ url('/public/users/assets/js/jquery.validate.min.js') }}"></script>
<script src="{{ url('/public/users/assets/js/jquery.ui.min.js') }}"></script>
<script src="{{ url('/public/users/assets/js/jquery.additional.methods.js') }}"></script>
<script>
$(document).ready(function() {
    var filter = '';
    fetch();
    $(document).on('click', '#filter_data', function() {
        var filter = '';
        fetch(filter);
    });
    $(document).on('click', '#filter_data_Active', function() {
        var filter = 'Active';
        fetch(filter);
    });
    $(document).on('click', '#filter_data_Inactive', function() {
        var filter = 'Inactive';
        fetch(filter);
    });
    $(document).on('click', '#filter_data_Deleted', function() {
        var filter = 'Deleted';
        fetch(filter);
    });

    function fetch(filter) {
        console.log("function call");
        var getsettings = {
            "url": "/business/payment_gateway",
            "method": "GET",
        };
        $.ajax(getsettings).done(function(response) {
            console.log(response);
            $('#add_payment_gateway').html("");
            $.each(response.data, function(key, item) {
                // $("#add_payment_gateway").append('<option value="' + item.payment_gateway_id + '">' + item.name + '(' + item.payment_type + ')</option>');
                $("#add_payment_gateway").append('<option value="' + item.payment_gateway_id +
                    '">' + item.name + '</option>');
            });
            var selectElement = document.getElementById('add_payment_gateway');
            var bootstrapSelect = $(selectElement).data('selectpicker');
            if (bootstrapSelect !== undefined) {
                bootstrapSelect.destroy();
            }
        });
        var settings = {
            "url": "/business/payment_settings_fetch",
            "method": "GET",
            "data": {
                'filter': filter,
            },
        };
        $.ajax(settings).done(function(response) {
            console.log(response);
            $('tbody').html("");
            $('#filter_d').html("");
            var filter = response.filter;
            var filterButtons = '<button id="filter_data"class="btn ' + (filter === '' ? 'btn-primary' :
                    'btn-dark') + '">All</button>' +
                '<button id="filter_data_Active" class="btn ' + (filter === 'Active' ? 'btn-primary' :
                    'btn-dark') +
                '" >Active</button>' +
                '<button id="filter_data_Inactive" class="btn ' + (filter === 'Inactive' ?
                    'btn-primary' : 'btn-dark') +
                '">Inactive</button>' +
                '<button id="filter_data_Deleted" class="btn ' + (filter === 'Deleted' ? 'btn-primary' :
                    'btn-dark') +
                '">Deleted</button>';
            $('#filter_d').append(filterButtons);
            $.each(response.fetch_data, function(key, item) {
                var statusHtml = '';
                if (item.status == "Active") {
                    statusHtml = '<span class="btn m-1 btn-success">Active</span>';
                } else if (item.status == "Inactive") {
                    statusHtml = '<span class="btn m-1 btn-warning">Inactive</span>';
                } else {
                    statusHtml = '<span class="btn m-1 btn-danger">Deleted</span>';
                }
                var actionHtml = '';
                if (item.status == "Active") {
                    actionHtml += '<button class="btn m-1 btn-warning update_data" value="' +
                        item.users_business_payment_gateway_id + '" data-info="Inactive">';
                    actionHtml += '<i class="fa fa-times"></i>';
                    actionHtml += '</button>';
                } else if (item.status == "Inactive") {
                    actionHtml += '<button class="btn m-1 btn-success update_data" value="' +
                        item.users_business_payment_gateway_id + '" data-info="Active" >';
                    actionHtml += '<i class="fa fa-check"></i>';
                    actionHtml += '</button>';
                }
                if (item.status == "Pending" || item.status == "Deleted") {
                    actionHtml += '<button class="btn m-1 btn-warning update_data" value="' +
                        item.users_business_payment_gateway_id + '" data-info="Inactive">';
                    actionHtml += '<i class="fa fa-times"></i>';
                    actionHtml += '</button>';
                    actionHtml += '<button class="btn m-1 btn-success update_data" value="' +
                        item.users_business_payment_gateway_id + '" data-info="Active">';
                    actionHtml += '<i class="fa fa-check"></i>';
                    actionHtml += '</button>';
                }
                if (item.status != "Deleted") {
                    actionHtml += '<button class="btn m-1 btn-danger delete_data" value="' +
                        item.users_business_payment_gateway_id + '" data-info="Deleted">';
                    actionHtml += '<i class="fa fa-trash"></i>';
                    actionHtml += '</button>';
                }
                $('tbody').append('\
                                        <tr class="odd gradeX">\
                                        <td>' + (key + 1) + '</td>\
                                        <td>' + item.payment_gateway.name + '</td>\
                                        <td>' + statusHtml + '</td>\
                                        <td>' + actionHtml + '</td>\
                                        </tr>\
                                    ');
            });
        });
    }
    $(document).on("click", '.delete_data', function(e) {
        e.preventDefault();
        var payment_gateway_id = $(this).val();;
        var settings = {
            "url": "/business/payment_settings_delete",
            "method": "POST",
            "data": {
                'payment_gateway_id': payment_gateway_id,
            },
        };
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax(settings).done(function(response) {
            if (response.status == "success") {
                fetch();
                toastr.success(response.message);
            } else {
                toastr.success(response.message);
            }
        });
    });

    $(document).on("click", '.update_data', function(e) {
        e.preventDefault();
        var payment_gateway_id = $(this).val();
        var status = $(this).data("info");
        var settings = {
            "url": "/business/payment_settings_update",
            "method": "POST",
            "data": {
                'payment_gateway_id': payment_gateway_id,
                'status': status,
            },
        };
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax(settings).done(function(response) {
            if (response.status == "success") {
                fetch();
                toastr.success(response.message);
            } else {
                toastr.success(response.message);
            }
        });
    });
    $(document).on('click', '.add_paymentGateway', function(e) {
        e.preventDefault();
        var settings = {
            "url": "/business/add_payment_gateway_data",
            "method": "POST",
            "data": {
                'users_business_id': $('.users_business_id').val(),
                'payment_gateway_id': $('#add_payment_gateway').val(),
            },
        };
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax(settings).done(function(response) {
            if (response.status == "success") {
                toastr.success(response.message);
                fetch("");
                $('.modal-backdrop').remove();
                $('body').removeClass('modal-open');
                $('.modal').removeClass('show');
                $(".input").each(function() {
                    $(this).val("");
                });
            } else {
                toastr.error(response.message);
                fetch("");
                $('.modal-backdrop').remove();
                $('body').removeClass('modal-open');
                $('.modal').removeClass('show');
                $(".input").each(function() {
                    $(this).val("");
                });
            }
        });
    });
});
</script>
@endsection