<!DOCTYPE html>
<html lang="en-US" class="h-100">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width,initial-scale=1">
        <?php $system_image = DB::table('system_settings')->select('description')->where('type', 'system_image')->get(); ?>
        <?php $system_name  = DB::table('system_settings')->select('description')->where('type', 'system_name')->get(); ?>
        <?php $system_currency  = DB::table('system_settings')->select('description')->where('type', 'system_currency')->get()->first()->description; ?>
        <?php $packages  = DB::table('packages')->where('status', 'Active')->get(); ?>
        <title><?php echo $system_name[0]->description; ?> :: Business Portal</title>
        <!-- Favicon icon -->
        <link rel="icon" type="image" sizes="24x24" href="{{ url('public') }}/{{$system_image[0]->description}}">
        <link href="{{asset('css/style.css')}}" rel="stylesheet">
        <style>.btn-primary:hover {
                color: #fff;
                background-color: #9b45ff;
                border-color: #9b45ff;
            }

            .hidden {
                display: none;
            }
        </style>
    </head>
    <?php $bg_image=url('public').'/images/bgcrowd.jpg'; ?>
    <body class="h-100" style="background-image: url('<?php echo $bg_image; ?>');">
        <div class="authincation h-100">
            <div class="container h-100">
                <div class="row justify-content-center h-100 align-items-center">
                    <div class="col-md-6">
                        <div class="authincation-content">
                            <div class="row no-gutters">
                                <div class="col-xl-12">
                                    <div class="auth-form">
                                        <div class="col-md-12 text-center">
                                            <img style="width: 50%;" src="{{url('public') }}/{{$system_image[0]->description}}">
                                        </div>
                                        <br>
                                        <h4 class="text-center mb-4">Pay via Stripe</h4>
                                        <div class="panel">
                                            <div class="panel-heading">
                                                <!-- Product Info -->
                                                <p><b>Package:</b> <?php echo $itemName; ?></p>
                                                <p><b>Price:</b> <?php echo $system_currency . $itemPrice; ?></p>
                                            </div>
                                            <div class="panel-body">
                                                <!-- Display status message -->
                                                <div id="paymentResponse" class="hidden"></div>
                                                
                                                <!-- Display a payment form -->
                                                <form id="paymentFrm" class="hidden">
                                                    <div class="form-group">
                                                        <label>NAME</label>
                                                        <input type="text" id="name" class="form-control field" placeholder="Enter name" required="" autofocus="">
                                                    </div>
                                                    
                                                    <div class="form-group">
                                                        <label>EMAIL</label>
                                                        <input type="email" id="email" class="form-control field" placeholder="Enter email" required="" value="<?php echo $users_business->email; ?>">
                                                    </div>
                                                    
                                                    <div id="paymentElement">
                                                        <!--Stripe.js injects the Payment Element-->
                                                    </div>
                                                    
                                                    <hr>

                                                    <!-- Form submit button -->
                                                    <button id="submitBtn" class="btn btn-primary btn-block">
                                                        <div class="spinner hidden" id="spinner"></div>
                                                        <span id="buttonText">Pay Now</span>
                                                    </button>
                                                </form>
                                                
                                                <!-- Display processing notification -->
                                                <div id="frmProcess" class="hidden">
                                                    <span class="ring"></span> Processing...
                                                </div>
                                                
                                                <!-- Display re-initiate button -->
                                                <div id="payReinit" class="btn btn-primary btn-block hidden">
                                                    <button class="btn btn-primary" onClick="window.location.href=window.location.href.split('?')[0]"><i class="rload"></i>Re-initiate Payment</button>
                                                </div>
                                            </div>
                                        </div>
                                        <br>
                                        <div class="new-account mt-3">
                                            <p>Back to <a class="text-primary" href="/"><b>Login</b></a></p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--**********************************
            Scripts
        ***********************************-->
        <!-- Required vendors -->
        <script src="{{asset('vendor/global/global.min.js')}}"></script>
    	<script src="{{asset('vendor/bootstrap-select/dist/js/bootstrap-select.min.js')}}"></script>
        <script src="{{asset('js/custom.min.js')}}"></script>
        <script src="{{asset('js/deznav-init.js')}}"></script>

        <link href="{{asset('toasters/toastr.min.css')}}" rel="stylesheet" type="text/css" />   
        <script src="{{asset('toasters/toastr.min.js')}}" type="text/javascript"></script>
        <script>
            toastr.options = {
              "closeButton": true,
              "debug": false,
              "positionClass": "toast-top-right",
              "onclick": null,
              "showDuration": "1000",
              "hideDuration": "1000",
              "timeOut": "5000",
              "extendedTimeOut": "1000",
              "showEasing": "swing",
              "hideEasing": "linear",
              "showMethod": "fadeIn",
              "hideMethod": "fadeOut"
            }
            //Command: toastr['success']("hello");

            <?php if(Session::has('success')){ ?> Command: toastr['success']("<?php echo Session('success'); ?>"); <?php } ?>
            <?php if(Session::has('error')){ ?> Command: toastr['error']("<?php echo Session('error'); ?>"); <?php } ?>
            <?php if(Session::has('warning')){ ?> Command: toastr['warning']("<?php echo Session('warning'); ?>"); <?php } ?>
            <?php if(Session::has('info')){ ?> Command: toastr['info']("<?php echo Session('info'); ?>"); <?php } ?>
        </script>

        <!-- Stripe JS library -->
        <script src="https://js.stripe.com/v3/"></script>
        <script>
            // Get API Key
            let STRIPE_PUBLISHABLE_KEY = "<?php echo $STRIPE_PUBLISHABLE_KEY; ?>";

            // Create an instance of the Stripe object and set your publishable API key
            const stripe = Stripe(STRIPE_PUBLISHABLE_KEY);

            let elements; // Define card elements
            const paymentFrm = document.querySelector("#paymentFrm"); // Select payment form element

            // Get payment_intent_client_secret param from URL
            const clientSecretParam = new URLSearchParams(window.location.search).get(
                "payment_intent_client_secret"
            );

            // Check whether the payment_intent_client_secret is already exist in the URL
            setProcessing(true);
            if(!clientSecretParam){
                setProcessing(false);
                
                // Create an instance of the Elements UI library and attach the client secret
                initialize();
            }

            // Check the PaymentIntent creation status
            checkStatus();

            // Attach an event handler to payment form
            paymentFrm.addEventListener("submit", handleSubmit);

            // Fetch a payment intent and capture the client secret
            let payment_intent_id;
            async function initialize() {
                const { id, clientSecret } = await fetch("<?php echo env('APP_URL'); ?>business/payment_init", {
                    method: "POST",
                    headers: { "Content-Type": "application/json" },
                    body: JSON.stringify({ 'id': <?php echo $id; ?>, '_token' : "<?php echo session()->token(); ?>", 'itemName': '<?php echo $itemName; ?>', 'itemPrice': '<?php echo $itemPrice; ?>', 'currency': 'USD', request_type:'create_payment_intent' }),
                }).then((r) => r.json());
                
                const appearance = {
                    theme: 'stripe',
                    rules: {
                        '.Label': {
                            fontWeight: 'bold',
                            textTransform: 'uppercase',
                        }
                    }
                };
                
                elements = stripe.elements({ clientSecret, appearance });
                
                const paymentElement = elements.create("payment");
                paymentElement.mount("#paymentElement");
                
                payment_intent_id = id;
            }

            // Card form submit handler
            async function handleSubmit(e) {
                e.preventDefault();
                setLoading(true);
                
                let customer_name = document.getElementById("name").value;
                let customer_email = document.getElementById("email").value;
                
                const { id, customer_id } = await fetch("<?php echo env('APP_URL'); ?>business/payment_init", {
                    method: "POST",
                    headers: { "Content-Type": "application/json" },
                    body: JSON.stringify({ 'id': <?php echo $id; ?>, '_token' : "<?php echo session()->token(); ?>", 'itemName': '<?php echo $itemName; ?>', 'itemPrice': '<?php echo $itemPrice; ?>', 'currency': 'USD', request_type:'create_customer', payment_intent_id: payment_intent_id, name: customer_name, email: customer_email }),
                }).then((r) => r.json());
                
                const { error } = await stripe.confirmPayment({
                    elements,
                    confirmParams: {
                        // Make sure to change this to your payment completion page
                        return_url: window.location.href+'?customer_id='+customer_id,
                    },
                });
                
                // This point will only be reached if there is an immediate error when
                // confirming the payment. Otherwise, your customer will be redirected to
                // your `return_url`. For some payment methods like iDEAL, your customer will
                // be redirected to an intermediate site first to authorize the payment, then
                // redirected to the `return_url`.
                if (error.type === "card_error" || error.type === "validation_error") {
                    showMessage(error.message);
                } else {
                    showMessage("An unexpected error occured.");
                }
                
                setLoading(false);
            }

            // Fetch the PaymentIntent status after payment submission
            async function checkStatus() {
                const clientSecret = new URLSearchParams(window.location.search).get(
                    "payment_intent_client_secret"
                );
                
                const customerID = new URLSearchParams(window.location.search).get(
                    "customer_id"
                );
                
                if (!clientSecret) {
                    return;
                }
                
                const { paymentIntent } = await stripe.retrievePaymentIntent(clientSecret);
                
                if (paymentIntent) {
                    switch (paymentIntent.status) { 
                        case "succeeded":
                            //showMessage("Payment succeeded!");
                            
                            // Post the transaction info to the server-side script and redirect to the payment status page
                            fetch("<?php echo env('APP_URL'); ?>business/payment_init", {
                                method: "POST",
                                headers: { "Content-Type": "application/json" },
                                body: JSON.stringify({ 'id': <?php echo $id; ?>, '_token' : "<?php echo session()->token(); ?>", 'itemName': '<?php echo $itemName; ?>', 'itemPrice': '<?php echo $itemPrice; ?>', 'currency': 'USD',request_type:'payment_insert', payment_intent: paymentIntent, customer_id: customerID }),
                            })
                            .then(response => response.json())
                            .then(data => {
                                if (data.payment_txn_id) {
                                    window.location.href = '<?php echo env('APP_URL'); ?>business/payments_callback/success/'+data.payment_txn_id;
                                } else {
                                    showMessage(data.error);
                                    setReinit();
                                }
                            })
                            .catch(console.error);
                            
                            break;
                        case "processing":
                            showMessage("Your payment is processing.");
                            setReinit();
                            break;
                        case "requires_payment_method":
                            showMessage("Your payment was not successful, please try again.");
                            setReinit();
                            break;
                        default:
                            showMessage("Something went wrong.");
                            setReinit();
                            break;
                    }
                } else {
                    showMessage("Something went wrong.");
                    setReinit();
                }
            }


            // Display message
            function showMessage(messageText) {
                const messageContainer = document.querySelector("#paymentResponse");
                
                messageContainer.classList.remove("hidden");
                messageContainer.textContent = messageText;
                
                setTimeout(function () {
                    messageContainer.classList.add("hidden");
                    messageText.textContent = "";
                }, 5000);
            }

            // Show a spinner on payment submission
            function setLoading(isLoading) {
                if (isLoading) {
                    // Disable the button and show a spinner
                    document.querySelector("#submitBtn").disabled = true;
                    document.querySelector("#spinner").classList.remove("hidden");
                    document.querySelector("#buttonText").classList.add("hidden");
                } else {
                    // Enable the button and hide spinner
                    document.querySelector("#submitBtn").disabled = false;
                    document.querySelector("#spinner").classList.add("hidden");
                    document.querySelector("#buttonText").classList.remove("hidden");
                }
            }

            // Show a spinner on payment form processing
            function setProcessing(isProcessing) {
                if (isProcessing) {
                    paymentFrm.classList.add("hidden");
                    document.querySelector("#frmProcess").classList.remove("hidden");
                } else {
                    paymentFrm.classList.remove("hidden");
                    document.querySelector("#frmProcess").classList.add("hidden");
                }
            }

            // Show payment re-initiate button
            function setReinit() {
                document.querySelector("#frmProcess").classList.add("hidden");
                document.querySelector("#payReinit").classList.remove("hidden");
            }
        </script>
    </body>
</html>