<!DOCTYPE html>
<html lang="en" class="h-100">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width,initial-scale=1">
        <?php $system_image = DB::table('system_settings')->select('description')->where('type', 'system_image')->get(); ?>
        <?php $system_image_favicon = DB::table('system_settings')->select('description')->where('type', 'system_image_favicon')->get(); ?>
        <?php $system_name  = DB::table('system_settings')->select('description')->where('type', 'system_name')->get(); ?>
        <?php $system_currency  = DB::table('system_settings')->select('description')->where('type', 'system_currency')->get()->first()->description; ?>
        <?php $free_package  = DB::table('system_settings')->select('description')->where('type', 'free_package')->get()->first()->description; ?>
        <?php $packages  = DB::table('packages')->where('status', 'Active')->get(); ?>
        <title><?php echo $system_name[0]->description; ?> :: Business Portal</title>
        <!-- Favicon icon -->
        <link rel="icon" type="image" sizes="24x24" href="{{ url('public') }}/{{$system_image_favicon[0]->description}}">
        <link href="{{asset('css/style.css')}}" rel="stylesheet">
        <link href="{{asset('scss/main.css')}}" rel="stylesheet">
     
    </head>
    <?php $bg_image=url('public').'/images/bgcrowd.jpg'; ?>
    <body class="h-100">
        <div class="wrapper-login">
            <div class="image-holder">
                <img src="{{ url('public') }}/assets/image-resources/full-bg/loginBg.jpg" alt="">
            </div>
            <div class="form-inner">
                <form  method="POST" action="{{url('business/signup_process')}}">
                    @csrf
                    <div class="form-header text-center">
                        <img class="mb-4" src="{{ url('public') }}/{{$system_image[0]->description}}" />
                        <h4 class="text-center mb-4">Signup into your account</h4>
                    </div>
                    <div class="form-group">
                        <label for="email" class="font-w600 text-white">Name:</label>
                        <input type="text" class="form-control" id="first_name" name="first_name" placeholder="Enter Your Name" required>
                    </div>
                    <div class="form-group">
                        <label for="email" class="font-w600 text-white">Email:</label>
                        <input type="email" class="form-control" id="email" name="email" placeholder="Enter Email" required>
                    </div>
                    <div class="form-group">
                        <label for="email" class="font-w600 text-white">Mobile:</label>
                        <input type="text" class="form-control" id="mobile" name="mobile" placeholder="Enter Mobile Number" required>
                    </div>
                    
                    <div class="form-group">
                        <label for="password" class="font-w600 text-white">Password:</label>
                        <div class="input-group">
                        <input type="password" class="form-control" id="password" name="password" placeholder="Enter Password" required>
                            <a href="#" class="input-group-text text-white"><i class="fa fa-eye"></i></a>
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="password" class="font-w600 text-white">Confirm Password:</label>
                        <div class="input-group">
                        <input type="password" class="form-control" id="confirm_password" name="confirm_password" placeholder="Enter Confirm Password" required>
                            <a href="#" class="input-group-text text-white"><i class="fa fa-eye"></i></a>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="font-w600 text-white">Choose Package:</label>
                        <div class="form-group mb-0">
                            <?php 
                            if($free_package == 'Off'){
                                foreach($packages as $package){ 
                                    if($package->packages_id != 3 && $package->packages_id != 6){
                            ?>
                            <label class="radio-inline mr-3">
                                <input type="radio" id="packages_id" name="packages_id" value="<?php echo $package->packages_id; ?>" required> 
                                <?php echo $package->name; ?> (<?php echo $package->package_type; ?>) - <?php echo $system_currency . $package->price; ?> 
                                <?php if($package->discount_percentage > 0){ ?>
                                (Discount: <?php echo $package->discount_percentage; ?>%)
                                <?php } ?>
                            </label>
                            <?php } ?>
                            <?php } ?>
                            <?php } else { ?>

                            <?php $package  = DB::table('packages')->where('packages_id', '3')->where('status', 'Active')->get()->first(); ?>
                            <label class="radio-inline mr-3">
                                <input type="radio" id="packages_id" name="packages_id" value="3" checked required> 
                                <?php echo $package->name; ?> (<?php echo $package->package_type; ?>) - <?php echo $system_currency . $package->price; ?> 
                                <?php if($package->discount_percentage > 0){ ?>
                                (Discount: <?php echo $package->discount_percentage; ?>%)
                                <?php } ?>
                            </label>

                            <?php $package  = DB::table('packages')->where('packages_id', '6')->where('status', 'Active')->get()->first(); ?>
                            <label class="radio-inline mr-3">
                                <input type="radio" id="packages_id" name="packages_id" value="6" checked required> 
                                <?php echo $package->name; ?> (<?php echo $package->package_type; ?>) - <?php echo $system_currency . $package->price; ?> 
                                <?php if($package->discount_percentage > 0){ ?>
                                (Discount: <?php echo $package->discount_percentage; ?>%)
                                <?php } ?>
                            </label>
                            <?php } ?>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="font-w600 text-white">Choose Payment Method:</label>                    
                        <div class="form-group mb-0">
                            <?php if($free_package == 'Off'){ ?>
                            <label class="radio-inline mr-3"><input type="radio" id="payment_gateways" name="payment_gateways" value="Paypal" required> Paypal </label>
                            <label class="radio-inline mr-3"><input type="radio" id="payment_gateways" name="payment_gateways" value="Stripe" required> Stripe </label>
                            <?php } else { ?>
                            <label class="radio-inline mr-3"><input type="radio" id="payment_gateways" name="payment_gateways" value="None" required checked> None </label>
                            <?php } ?>
                        </div>
                    </div> 

                    <div class="text-center my-4">
                        <button type="submit" class="btn btn-primary btn-block btn-lg">Create Account</button>
                    </div>

                    
                    <div class="mb-3">
                        Back to <a href="/" class="text-white">Login</a>
                    </div>
                    
                </form>
            </div>

        </div>


        <!-- <div class="authincation h-100 d-none">
            <div class="container h-100">
                <div class="row justify-content-center h-100 align-items-center">
                    <div class="col-md-6">
                        <div class="authincation-content">
                            <div class="row no-gutters">
                                <div class="col-xl-12">
                                    <div class="auth-form">
                                        <div class="col-md-12 text-center">
                                            <img style="width: 50%;" src="{{url('public') }}/{{$system_image[0]->description}}">
                                        </div>
                                        <br>
                                        <h4 class="text-center mb-4" style="color: #501086;">Signup into your account</h4>
                                        <form  method="POST" action="{{url('business/signup_process')}}">
                                        @csrf
                                            <div class="form-group">
                                                 <label class="mb-1"><strong>Name</strong></label>
                                                 <input type="text" class="form-control" id="first_name" name="first_name" placeholder="Enter Your Name" required>
                                            </div>
                                            <div class="form-group">
                                                <label class="mb-1"><strong>Email</strong></label>
                                                <input type="email" class="form-control" id="email" name="email" placeholder="Enter Email" required>
                                            </div>

                                            <div class="form-group">
                                                <label class="mb-1"><strong>Mobile</strong></label>
                                                <input type="text" class="form-control" id="mobile" name="mobile" placeholder="Enter Mobile Number" required>
                                            </div>

                                            <div class="form-group">
                                                <label class="mb-1"><strong>Password</strong></label>
                                                <input type="password" class="form-control" id="password" name="password" placeholder="Enter Password" required>
                                            </div>

                                            <div class="form-group">
                                                <label class="mb-1"><strong>Confirm Password</strong></label>
                                                <input type="password" class="form-control" id="confirm_password" name="confirm_password" placeholder="Enter Confirm Password" required>
                                            </div>

                                            <div class="form-group">
                                                <label class="mb-1"><strong>Choose Package</strong></label>
                                                <div class="form-group mb-0">
                                                    <?php 
                                                    if($free_package == 'Off'){
                                                        foreach($packages as $package){ 
                                                            if($package->packages_id != 3 && $package->packages_id != 6){
                                                    ?>
                                                    <label class="radio-inline mr-3">
                                                        <input type="radio" id="packages_id" name="packages_id" value="<?php echo $package->packages_id; ?>" required> 
                                                        <?php echo $package->name; ?> (<?php echo $package->package_type; ?>) - <?php echo $system_currency . $package->price; ?> 
                                                        <?php if($package->discount_percentage > 0){ ?>
                                                        (Discount: <?php echo $package->discount_percentage; ?>%)
                                                        <?php } ?>
                                                    </label>
                                                    <?php } ?>
                                                    <?php } ?>
                                                    <?php } else { ?>

                                                    <?php $package  = DB::table('packages')->where('packages_id', '3')->where('status', 'Active')->get()->first(); ?>
                                                    <label class="radio-inline mr-3">
                                                        <input type="radio" id="packages_id" name="packages_id" value="3" checked required> 
                                                        <?php echo $package->name; ?> (<?php echo $package->package_type; ?>) - <?php echo $system_currency . $package->price; ?> 
                                                        <?php if($package->discount_percentage > 0){ ?>
                                                        (Discount: <?php echo $package->discount_percentage; ?>%)
                                                        <?php } ?>
                                                    </label>

                                                    <?php $package  = DB::table('packages')->where('packages_id', '6')->where('status', 'Active')->get()->first(); ?>
                                                    <label class="radio-inline mr-3">
                                                        <input type="radio" id="packages_id" name="packages_id" value="6" checked required> 
                                                        <?php echo $package->name; ?> (<?php echo $package->package_type; ?>) - <?php echo $system_currency . $package->price; ?> 
                                                        <?php if($package->discount_percentage > 0){ ?>
                                                        (Discount: <?php echo $package->discount_percentage; ?>%)
                                                        <?php } ?>
                                                    </label>
                                                    <?php } ?>
                                                </div>
                                            </div>

                                            <div class="form-group">
                                                <label class="mb-1"><strong>Choose Payment Method</strong></label>
                                                <div class="form-group mb-0">
                                                    <?php if($free_package == 'Off'){ ?>
                                                    <label class="radio-inline mr-3"><input type="radio" id="payment_gateways" name="payment_gateways" value="Paypal" required> Paypal </label>
                                                    <label class="radio-inline mr-3"><input type="radio" id="payment_gateways" name="payment_gateways" value="Stripe" required> Stripe </label>
                                                    <?php } else { ?>
                                                    <label class="radio-inline mr-3"><input type="radio" id="payment_gateways" name="payment_gateways" value="None" required checked> None </label>
                                                    <?php } ?>
                                                </div>
                                            </div> 
                                           
                                            <div class="text-center">
                                                <button type="submit" style="border-radius:24px" class="btn btn-primary btn-block">Create Account</button>
                                            </div>
                                        </form>
                                        <br>
                                        <div class="new-account mt-3">
                                            <p>Back to <a class="text-primary" href="/"><b>Login</b></a></p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div> -->
        <!--**********************************
            Scripts
        ***********************************-->
        <!-- Required vendors -->
        <script src="{{asset('vendor/global/global.min.js')}}"></script>
    	<script src="{{asset('vendor/bootstrap-select/dist/js/bootstrap-select.min.js')}}"></script>
        <script src="{{asset('js/custom.min.js')}}"></script>
        <script src="{{asset('js/deznav-init.js')}}"></script>

        <link href="{{asset('toasters/toastr.min.css')}}" rel="stylesheet" type="text/css" />   
        <script src="{{asset('toasters/toastr.min.js')}}" type="text/javascript"></script>
        <script>
            toastr.options = {
              "closeButton": true,
              "debug": false,
              "positionClass": "toast-top-right",
              "onclick": null,
              "showDuration": "1000",
              "hideDuration": "1000",
              "timeOut": "5000",
              "extendedTimeOut": "1000",
              "showEasing": "swing",
              "hideEasing": "linear",
              "showMethod": "fadeIn",
              "hideMethod": "fadeOut"
            }
            //Command: toastr['success']("hello");

            <?php if(Session::has('success')){ ?> Command: toastr['success']("<?php echo Session('success'); ?>"); <?php } ?>
            <?php if(Session::has('error')){ ?> Command: toastr['error']("<?php echo Session('error'); ?>"); <?php } ?>
            <?php if(Session::has('warning')){ ?> Command: toastr['warning']("<?php echo Session('warning'); ?>"); <?php } ?>
            <?php if(Session::has('info')){ ?> Command: toastr['info']("<?php echo Session('info'); ?>"); <?php } ?>
        </script>
    </body>
</html>