<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

     <!-- Bootstrap CSS -->
     <link href="assets/css/bootstrap.min.css" rel="stylesheet" />
     <link href="assets/css/all.min.css" rel="stylesheet" />
     <link href="assets/css/fontawesome.css" rel="stylesheet" />
     <link href="assets/css/owl.carousel.min.css" rel="stylesheet" />
     <link href="assets/css/aos.css" rel="stylesheet" />
     <link href="assets/css/nice-select.css" rel="stylesheet" />
     <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/intl-tel-input@20.3.0/build/css/intlTelInput.css">
     <link href="assets/css/default.css" rel="stylesheet" />
     <link href="assets/css/style.css" rel="stylesheet" />
     <link href="assets/css/responsive.css" rel="stylesheet" />

    <title>Check Rate</title>
    <style>
        .iti__globe {background-image: url("./assets/img/globe.png");}
        .iti__flag { background-image: url("./assets/img/flags.png"); }

        @media (min-resolution: 2x) {
            .iti__globe { background-image: url("./assets/img/globe@2x.png"); }
            .iti__flag { background-image: url("./assets/img/flags@2x.png"); }
        }
        .iti.iti--allow-dropdown.iti--show-flags.iti--inline-dropdown {
            width: 100%;
        }

        .iti__selected-flag {
            padding-left: 10px;
        }
        .iti__selected-dial-code {
            font-size: 18px;
            letter-spacing: 2px;
            margin-right: 6px;
        }

        .iti__arrow {
            border-left: 5px solid transparent;
            border-right: 5px solid transparent;
            border-top: 6px solid #555;
            margin-left: 2px;
            margin-right: 5px;
        }
        .iti__flag-container {
    width: 100% !important;
}
    </style>
</head>

<body>

<div class="main__area">

    <div class="overlay none__desk"></div>

    <!-- =================== HEADER AREA START ===================== -->
    <header class="signup__area">
        <div class="page__inner__wrap">
            <div class="container">
                <div class="page__top__blk margin_top">
                    <a href="{{ route('dashboard') }}"><span><i class="fal fa-angle-left"></i></span> Check Rate</a>
                </div>

                <p class="mt-3"></p>
                <form action="{{ url()->current() }}" method="get">
                    <div class="phone__number__text" style="padding-bottom: 30px">
                        <h5>Select Country Code</h5>
                        <div class="code__input">
                            <input name="phone" id="phone" type="tel" style="visibility: hidden">
                        </div>
                        <input type="hidden" name="code" id="code" value="1">
                        <input type="hidden" name="init_code" id="init_code" value="us">

                    </div>
                    <div class="common__btn">
                        <button class="a" style="width:200px" type="submit">Check Rate</button>
                    </div>
                </form>


                <div class="signup__wrapper table-responsive mt-5">
                    @if (count($rates) > 0)
                    <table class="table table-bordered">
                        <tr>
                            <th>Patten</th>
                            <th>Connectcost</th>
                            <th>Cost/Min</th>
                            <th>Init inc</th>
                            <th>Destination</th>
                            <th>Gracetime</th>
                            <th>Increment</th>
                        </tr>
                        @foreach($rates as $rate)
                            <tr>
                                <td>{{ $rate['pattern'] }}</td>
                                <td>{{ $rate['connectcost'] }}</td>
                                <td>{{ $rate['cost'] }}</td>
                                <td>{{ $rate['init_inc'] }}</td>
                                <td>{{ $rate['destination'] }}</td>
                                <td>{{ $rate['gracetime'] }}</td>
                                <td>{{ $rate['increment'] }}</td>
                            </tr>
                        @endforeach
                    </table>
                    @else
                        @if($check == true)
                        <h5 class="text-center">No record(s) found.</h5>
                        @endif
                    @endif

                </div>

            </div>
        </div>




    </header>
    <!-- =================== HEADER AREA END ===================== -->

</div>




<!-- Optional JavaScript; choose one of the two! -->
<script src="assets/js/jquery.min.js"></script>
<script src="assets/js/popper.js"></script>
<script src="assets/js/bootstrap.min.js"></script>
<script src="assets/js/owl.carousel.min.js"></script>
<script src="assets/js/jquery.nice-select.min.js"></script>
<script src="assets/js/utils.js"></script>
<script src="assets/js/intlTelInput.min.js"></script>
<script src="assets/js/aos.js"></script>
<script src="assets/js/main.js"></script>


<script src="https://cdn.jsdelivr.net/npm/intl-tel-input@20.3.0/build/js/intlTelInput.min.js"></script>
<script>
    const input = document.querySelector("#phone");

    const iti = window.intlTelInput(input, {
        initialCountry: "{{ $init_code }}",
        strictMode: false,
        countrySearch: true,
        showSelectedDialCode: true,
        utilsScript: "https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/8.4.6/js/utils.js"
    });

   /* $('.iti__country-list li').click(function(){
        $("#code").val($(this).data('dial-code'));
        $("#init_code").val($(this).data('country-code'));

    })*/

    input.addEventListener("countrychange", function () {
        var countryData = iti.getSelectedCountryData();
        $("#code").val(countryData.dialCode);
        $("#init_code").val(countryData.iso2);
    });

</script>


<script>

    $(document).ready(function () {
        $('select').niceSelect();
    });
</script>



</body>

</html>

