@extends('layout.company.list_master')

@section('content')
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.2/css/bootstrap.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.12.1/css/dataTables.bootstrap4.min.css">
    <?php $system_currency    = DB::table('system_settings')->select('description')->where('type', 'system_currency')->get()->first(); ?>
    
    <style>
        input{
           border-radius: 20px;
        }
        .avatar {
          vertical-align: middle;
          width: 50px;
          height: 50px;
          border-radius: 50%;
        }
        .imageUpload
        {
            display: none;
        }

        .profileImage
        {
            /* margin-top: -40px; */
            cursor: pointer;
            width: 100%;
        }

        #profile-container {
            margin: 20px auto;
            width: 130px;
            height: 130px;
            color: white;
            justify-content: center;
            border: 1px solid #8f8989;
            overflow: hidden;
        }

        #profile-container img {
            width: 150px;
            height: 150px;
           
        }
    </style>
	<!--**********************************
        Chat box End
    ***********************************-->
    <div class="content-body">
        <div class="container-fluid">
            <div class="row page-titles mb-n5">
                <div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
                    <ol class="breadcrumb">
                        @section('titleBar')
                        <span class="ml-2">Bookings</span>
                        @endsection
                        
                        @section('filter')
                        <div class="dropdown" style="display:flex; align-items:center;">
                            <button style="border-radius: 20px; margin-right:15px;" class="btn btn-light" type="button" data-toggle="dropdown">
                                <b style="font-weight: bold;"> Filter </b>
                            </button>
                            
                            <ul style="border-radius: 20px; " class="dropdown-menu" id="bookingsData">
                                <li style="white-space: nowrap; padding-left: 20px; padding-right: 20px; margin-top: 20px;" ><a href="{{ url('bookings') }}" style="color: black;">All Bookings</a></li>
                                <li style="white-space: nowrap; padding-left: 20px; padding-right: 20px; margin-top: 20px;" ><a href="{{ url('bookings') }}?filter=Pending" style="color: black;">Pending Bookings</a></li>
                                <li style=" white-space: nowrap; padding-left: 20px; padding-right: 20px; margin-top: 20px;" ><a href="{{ url('bookings') }}?filter=Accepted" style="color: black; ">Accepted Bookings</a></li>
                                <li style="white-space: nowrap; padding-left: 20px; padding-right: 20px; margin-top: 20px;" ><a href="{{ url('bookings') }}?filter=Rejected" style="color: black;">Rejected Bookings</a></li>
                                <li style="white-space: nowrap; padding-left: 20px; padding-right: 20px; margin-top: 20px; margin-bottom: 10px;" ><a href="{{ url('bookings') }}?filter=Cancelled" style="color: black;">Cancelled Bookings</a></li>
                            </ul>                         
                        </div>
                        @endsection
                    </ol>
                </div>
                    
            </div>
        
            <!-- row -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="card"> 
                        <div class="card-body">
                            <div class="basic-form">
                                <div class="table-responsive">
                                   <table id="example" class="table table-striped table-bordered">
                                        <thead>
                                            <tr>
                                                <th>SR.No</th>
                                                <th>Booking ID</th>
                                                <th>Booking Date</th>
                                                <th>Vehical Name</th>
                                                <th>Total Cost</th>
                                                <th>Rented By</th>
                                                <th>Status</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody id="exampleid">
                                            @foreach($data as $key => $item)
                                            <tr>
                                                <td>{{ $key + 1 }}</td>
                                                <td>{{$item->bookings_id}}</td>
                                                <td>{{$item->bookings_date}}</td>
                                                <td>{{$item->vehical_name}}</td>
                                                <td><?php echo $system_currency->description; ?>{{$item->total_cost}}</td>
                                                <td>{{$item->first_name}} <br> {{$item->email}}</td>
                                                <td>{{$item->status}}</td>
                                                <td>
                                                    <div class="col"> 
                                                        <div class="dropdown">
                                                            <button class="btn btn-white bg-white" type="button" id="dropdownMenu2" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                <i class="fa fa-ellipsis-v" aria-hidden="true"></i>
                                                            </button>
                                                          
                                                            <div class="dropdown-menu" aria-labelledby="dropdownMenu2">
                                                                <a href="{{url('bookings_details', $item->bookings_id)}}"> <button class="dropdown-item" type="button">View </button></a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                            </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
					
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.12.1/js/dataTables.bootstrap4.min.js"></script>
    <script>
        $(document).ready(function () {
            $('#example').DataTable();
            
        });
    </script>   
@endsection