<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <!-- Bootstrap CSS -->
    <link href="assets/css/bootstrap.min.css" rel="stylesheet" />
    <link href="assets/css/all.min.css" rel="stylesheet" />
    <link href="assets/css/fontawesome.css" rel="stylesheet" />
    <link href="assets/css/owl.carousel.min.css" rel="stylesheet" />
    <link href="assets/css/aos.css" rel="stylesheet" />
    <link href="assets/css/nice-select.css" rel="stylesheet" />
    <link href="assets/css/intlTelInput.min.css" rel="stylesheet" />
    <link href="assets/css/default.css" rel="stylesheet" />
    <link href="assets/css/style.css" rel="stylesheet" />
    <link href="assets/css/responsive.css" rel="stylesheet" />
    <link href="{{ asset('css/iziToast.css') }}" rel="stylesheet">
    <link href="assets/css/nice-select.css" rel="stylesheet">
	<style>
.nice-select.country-select.w-100{display:none !important}
	</style>
    <title>Dashboard</title>
</head>

<body>

<div class="main__area">

    <div class="overlay none__desk"></div>

    <!-- =================== HEADER AREA START ===================== -->
    <header class="signup__area">
        <div class="page__inner__wrap">
            <div class="container">
                <div class="page__top__blk account__top__blk">
                    <div class="balance__text">
                        <span>Accounts Balance</span>
                        <h3>${{ \App\Helpers\CustomerLogic::convert_price($balance, 'acc') }}</h3>
                    </div>
                    <div class="add__btn">
                        <a style="padding: 9px 20px" href="{{ route('add_credit') }}">Add Credit</a>
                    </div>
                </div>

                <style>
                    .my_btn{background: transparent;color: #000;border: 1px solid #E1E6EF}
                    .my_btn:hover {
                        border-color: #3072FF;
                        background: transparent;
                        color: #3072FF;
                    }

                </style>
                <?php
                    $user_country = @collect($country_list)->where('id', $customer_info['country_id'])->first()['nicename'];
                    $categories = collect($products)->where('product_category', '!=', 'Subscription')->groupBy('billing_type');
                    if (count($categories) > 0) {
                        $cate_data = json_decode($categories, true); // Convert JSON string to associative array
                        $cat_keys = array_keys($cate_data);
                        $cat_f_key = @$cat_keys[0];
                        if($cat_f_key != 'Recurring Monthly'){
                            $categories = $categories->reverse();
                        }
                    }


                ?>
                @foreach($categories as $key => $category)

                    @if($key == 'Recurring Monthly')
                    <div class="phone__number__text p-0">

                        <h5>Buy Subscription</h5>
                    </div>

                    <div class="balance-card-wrapper">
                        <?php
                        $countries = collect($category)->groupBy('country_id');
                        ?>
                        <div class="ethopia__top__blk">
                            <div class="custom-select w-100" id="country-select">
                                <?php $f_count = 0 ?>
                                @foreach($countries as $f_key => $f_data)
                                    @if($f_count == 0)
                                    <div class="select-selected" id="selected" onclick="openSelect()">
                                        <div>
                                            <img src="{{ @collect($country_list)->where('nicename', $f_data[0]['country_id'])->first()['flag'] }}" alt="US Flag">
                                            <span>{{$f_key}}</span>
                                        </div>
                                        <span class="select-toggler"><i class="far fa-angle-down"></i></span>
                                    </div>
                                    @endif
                                    <?php $f_count++ ?>
                                @endforeach
                                <div class="select-items w-100 bg-white" id="select-items">
                                    <?php $count = 0; ?>
                                    @foreach($countries as $co_id => $co_data)
                                    <div onclick="selectCountry('{{ \Illuminate\Support\Str::lower(@collect($country_list)->where('nicename', $co_data[0]['country_id'])->first()['iso']) }}', '{{ $co_id }}', '{{ $count }}', '{{ count($countries) }}')">
                                        <img src="{{ @collect($country_list)->where('nicename', $co_data[0]['country_id'])->first()['flag'] }}" alt="US Flag"> {{ $co_id }}
                                    </div>
                                    <?php $count++ ?>
                                    @endforeach
                                    <!-- Add more countries as needed -->
                                </div>
                                <select title="country select" id="country-select" class="country-select w-100">
                                    @foreach($countries as $c_id => $country)
                                    <option value="{{ $c_id }}">{{ $c_id }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                            <?php
                            $data = json_decode($countries, true); // Convert JSON string to associative array
                            $keys = array_keys($data);
                            $firstKey = $keys[0];
                            $ct = 0;
                            ?>
                            @foreach($countries as $c_id => $country)
                                <div class="balance__btn__wrapper show_data {{ $firstKey != $c_id ? 'd-none' : '' }}" style="max-width: 300px" id="show_{{ $ct }}">
                                    @foreach($country as $data)
                                        <form action="{{ route('package_buy') }}" method="post">
                                            @csrf
                                            <input type="hidden" name="product_name" value="{{ $data['name'] }}">
                                            <input type="hidden" name="price" value="{{ $data['price'] }}">
                                            <input type="hidden" name="free_minutes" value="{{ $data['free_minutes'] }}">
                                            <div class="common__btn balance__btn">
                                                <button class="my_btn" type="submit">${{ \App\Helpers\CustomerLogic::convert_price($data['price']) }} for {{ $data['free_minutes'] }} mins</button>
                                            </div>
                                        </form>

                                    @endforeach
                                </div>
                                <?php $ct++ ?>
                            @endforeach
                    </div>


                    @else
                        <div class="phone__number__text p-0 pt-3">
                            <h5>Buy packages for</h5>
                        </div>
                        <div class="balance-card-wrapper" style="z-index: auto !important;">
                            <?php
                            $countries = collect($category)->groupBy('country_id');
                            ?>
                            <div class="ethopia__top__blk">
                                <div class="custom-select w-100" id="country-select-2">
                                    <?php $f_count = 0 ?>
                                    @foreach($countries as $f_key => $f_data)
                                        @if($f_count == 0)
                                                <div class="select-selected" id="selected2" onclick="openSelect2()">
                                                <div>
                                                    <img src="{{ @collect($country_list)->where('nicename', $f_data[0]['country_id'])->first()['flag'] }}" alt="US Flag">
                                                    <span>{{$f_key}}</span>
                                                </div>
                                                <span class="select-toggler"><i class="far fa-angle-down"></i></span>
                                            </div>
                                        @endif
                                        <?php $f_count++ ?>
                                    @endforeach

                                    <div class="select-items w-100 bg-white" id="select-items-2">
                                        <?php $count_pack = 0; ?>
                                        @foreach($countries as $co_id => $co_data)
                                            <div onclick="selectCountry2('{{ \Illuminate\Support\Str::lower(@collect($country_list)->where('nicename', $co_data[0]['country_id'])->first()['iso']) }}', '{{ $co_id }}', '{{ $count_pack }}', '{{ count($countries) }}')">
                                                <img src="{{ @collect($country_list)->where('nicename', $co_data[0]['country_id'])->first()['flag'] }}" alt="US Flag"> {{ $co_id }}
                                            </div>
                                            <?php $count_pack++ ?>
                                        @endforeach
                                    <!-- Add more countries as needed -->
                                    </div>
                                    <select title="country select" id="country-select" class="country-select w-100">
                                        @foreach($countries as $c_id => $country)
                                            <option value="{{ $c_id }}">{{ $c_id }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <?php
                            $data = json_decode($countries, true); // Convert JSON string to associative array
                            $keys = array_keys($data);
                            $firstKey = $keys[0];
                            $ct_u = 0;
                            ?>
                            @foreach($countries as $c_ids => $country)
                                <div class="balance__btn__wrapper pack {{ $firstKey != $c_ids ? 'd-none' : '' }}" style="max-width: 300px" id="pack_{{ $ct_u }}">
                                    @foreach($country as $data)
                                        <form action="{{ route('package_buy') }}" method="post">
                                            @csrf
                                            <input type="hidden" name="product_name" value="{{ $data['name'] }}">
                                            <input type="hidden" name="price" value="{{ $data['price'] }}">
                                            <input type="hidden" name="free_minutes" value="{{ $data['free_minutes'] }}">
                                            <div class="common__btn balance__btn">
                                                <button class="my_btn" type="submit">${{ \App\Helpers\CustomerLogic::convert_price($data['price']) }} for {{ $data['free_minutes'] }} mins</button>
                                            </div>
                                        </form>
                                    @endforeach
                                </div>
                                <?php $ct_u++ ?>
                            @endforeach
                        </div>
                    @endif
                @endforeach


               {{-- @foreach($products as $key => $product)
                 <?php
                 $country = collect($country_list)->where('nicename', $product['country_id'])->first();

                    // Option 1: Using Regular Expression
                    $price = preg_replace('/[^0-9.]/', '', $product['price']);

                    // Option 2: Using String Manipulation
                    // Find the position of the first space
                    $spacePosition = strpos($product['price'], ' ');
                    // Extract the substring before the space
                    $price = substr($product['price'], 0, $spacePosition);
                 ?>

                <div class="phone__number__text p-0">
                    <h5>{{ $product['product_category'] }}</h5>
                </div>
                <div class="balance-card-wrapper">
                    <div class="ethopia__top__blk">
                        <h3>{{ $product['country_id'] }}</h3>
                        <div class="etho__right__blk">
                            <a href="#">
                                <div class="etho__flag">
                                    <img src="{{ $country ? $country['flag'] : '' }}--}}{{--assets/img/flag-2.svg--}}{{--" alt="">
                                </div>
                                <span><i class="fas fa-caret-down"></i></span>
                            </a>
                        </div>
                    </div>
                    <div class="ethopia__top__content">
                        <div class="ethopia-list-wrap">
                            <div class="minute__text">
                                <h3><span>{{ $product['price'] }} </span>for {{ $product['free_minutes'] }} Mins</h3>
                                <p>{{ $product['free_minutes'] != 0 ? $product['free_minutes']/$price : 0 }} cents per minute</p>
                                <p>Billing days : {{ $product['billing_days'] }}</p>
                            </div>
                            <div class="flag-wrap">
                                <img src="{{ $country ? $country['flag'] : '' }}--}}{{--assets/img/flag-3.svg--}}{{--" alt="">
                            </div>
                        </div>
                    </div>
                    <div class="minute__text">
                        <h3><span>${{ $price }} </span>for {{ $product['free_minutes'] }} Mins</h3>
                        <p>{{ $product['free_minutes'] != 0 ? $product['free_minutes']/$price : 0 }} cents per minute</p>
                        <p>Billing days : {{ $product['billing_days'] }}</p>
                    </div>
                    <div class="balance__btn__wrapper">
                        <div class="common__btn">
                            <a href="#">Continue</a>
                        </div>
                    </div>
                </div>
                @endforeach--}}

                {{--<div class="phone__number__text p-0">
                    <h5>Subscribe</h5>
                </div>
                <div class="balance-card-wrapper">
                    <div class="ethopia__top__blk">
                        <h3>Ethopia</h3>
                        <div class="etho__right__blk">
                            <a href="#">
                                <div class="etho__flag">
                                    <img src="assets/img/flag-2.svg" alt="">
                                </div>
                                <span><i class="fas fa-caret-down"></i></span>
                            </a>
                        </div>
                    </div>
                    <div class="ethopia__top__content">
                        <div class="ethopia-list-wrap">
                            <div class="minute__text">
                                <h3><span>$9.99 </span>for 200 Mins</h3>
                                <p>5 cents per minute</p>
                            </div>
                            <div class="flag-wrap">
                                <img src="assets/img/flag-3.svg" alt="">
                            </div>
                        </div>
                        <div class="ethopia-list-wrap">
                            <div class="minute__text">
                                <h3><span>$9.99 </span>for 200 Mins</h3>
                                <p>5 cents per minute</p>
                            </div>
                            <div class="flag-wrap">
                                <img src="assets/img/flag-4.svg" alt="">
                            </div>
                        </div>
                        <div class="ethopia-list-wrap">
                            <div class="minute__text">
                                <h3><span>$9.99 </span>for 200 Mins</h3>
                                <p>5 cents per minute</p>
                            </div>
                            <div class="flag-wrap">
                                <img src="assets/img/flag-5.svg" alt="">
                            </div>
                        </div>
                        <div class="ethopia-list-wrap">
                            <div class="minute__text">
                                <h3><span>$9.99 </span>for 200 Mins</h3>
                                <p>5 cents per minute</p>
                            </div>
                            <div class="flag-wrap">
                                <img src="assets/img/flag-2.svg" alt="">
                            </div>
                        </div>
                    </div>
                    <div class="minute__text">
                        <h3><span>$9.99 </span>for 200 Mins</h3>
                        <p>5 cents per minute</p>
                    </div>
                    <div class="balance__btn__wrapper">
                        <div class="common__btn">
                            <a href="#">Continue</a>
                        </div>
                    </div>
                </div>
                <div class="phone__number__text p-0">
                    <h5>Buy Monthly Packages</h5>
                </div>
                <div class="balance-card-wrapper">
                    <div class="ethopia__top__blk">
                        <h3>Ethopia</h3>
                        <div class="etho__right__blk">
                            <a href="#">
                                <div class="etho__flag">
                                    <img src="assets/img/flag-2.svg" alt="">
                                </div>
                                <span><i class="fas fa-caret-down"></i></span>
                            </a>
                        </div>
                    </div>
                    <div class="ethopia__top__content">
                        <div class="ethopia-list-wrap">
                            <div class="minute__text">
                                <h3><span>$9.99 </span>for 200 Mins</h3>
                                <p>5 cents per minute</p>
                            </div>
                            <div class="flag-wrap">
                                <img src="assets/img/flag-3.svg" alt="">
                            </div>
                        </div>
                        <div class="ethopia-list-wrap">
                            <div class="minute__text">
                                <h3><span>$9.99 </span>for 200 Mins</h3>
                                <p>5 cents per minute</p>
                            </div>
                            <div class="flag-wrap">
                                <img src="assets/img/flag-4.svg" alt="">
                            </div>
                        </div>
                        <div class="ethopia-list-wrap">
                            <div class="minute__text">
                                <h3><span>$9.99 </span>for 200 Mins</h3>
                                <p>5 cents per minute</p>
                            </div>
                            <div class="flag-wrap">
                                <img src="assets/img/flag-5.svg" alt="">
                            </div>
                        </div>
                        <div class="ethopia-list-wrap">
                            <div class="minute__text">
                                <h3><span>$9.99 </span>for 200 Mins</h3>
                                <p>5 cents per minute</p>
                            </div>
                            <div class="flag-wrap">
                                <img src="assets/img/flag-2.svg" alt="">
                            </div>
                        </div>
                    </div>
                    <div class="balance__btn__wrapper">
                        <div class="common__btn balance__btn">
                            <a href="#">$5 for 35 mins</a>
                        </div>
                        <div class="common__btn balance__btn">
                            <a href="#">$10 for 100 mins</a>
                        </div>
                        <div class="common__btn balance__btn">
                            <a href="#">$20 for 200 mins</a>
                        </div>
                    </div>
                    <div class="balance__btn__wrapper pt-20">
                        <div class="common__btn">
                            <a href="#">Continue</a>
                        </div>
                    </div>
                </div>
--}}


                <div class="invite__text__blk">
                    <h5><a href="#">Invite a friend</a>, get 100 mins free credit</h5>
                </div>

                <div class="credit__wrapper__blk">
                    <div class="credit__single__step">
                        <a href="{{ route('your_subscriptions') }}">
                            <h4>Active packages and subscriptions </h4>
                            <span><i class="fal fa-chevron-right"></i></span>
                        </a>
                    </div>
                    <div class="credit__single__step">
                        <a href="{{ route('profile') }}">
                            <h4>Profile</h4>
                            <span><i class="fal fa-chevron-right"></i></span>
                        </a>
                    </div>
                    <div class="credit__single__step">
                        <a href="{{ route('payment_setting') }}">
                            <h4>Payment Setting</h4>
                            <span><i class="fal fa-chevron-right"></i></span>
                        </a>
                    </div>
                    <div class="credit__single__step">
                        <a href="{{ route('payment_history') }}">
                            <h4>Payment History</h4>
                            <span><i class="fal fa-chevron-right"></i></span>
                        </a>
                    </div>
                    <div class="credit__single__step">
                        <a href="{{ route('check_rate') }}">
                            <h4>Check Rate</h4>
                            <span><i class="fal fa-chevron-right"></i></span>
                        </a>
		    </div>

		     <div class="credit__single__step">
                        <a href="{{ route('privacy_policy') }}">
                            <h4>Privacy Policy</h4>
                            <span><i class="fal fa-chevron-right"></i></span>
                        </a>
                    </div>
                    <div class="credit__single__step">
                        <a href="{{ route('copyright') }}">
                            <h4>Copyright</h4>
                            <span><i class="fal fa-chevron-right"></i></span>
                        </a>
                    </div>

		     <div class="credit__single__step">
                        <a href="{{ route('support') }}">
                            <h4>Support</h4>
                            <span><i class="fal fa-chevron-right"></i></span>
                        </a>
                    </div>

                   {{-- <div class="credit__single__step">
                        <a href="{{ route('settings') }}">
                            <h4>Settings</h4>
                            <span><i class="fal fa-chevron-right"></i></span>
                        </a>
                    </div>--}}
                 {{--   <div class="credit__single__step">
                        <a href="csc:{{ urlencode($customer_info['username']) }}:{{ urlencode($customer_info['dir_params']['vm-password']) }}@<?php echo env('CLOUD_ID') ?>">
                            <h4>Start App</h4>
                            <span><i class="fal fa-chevron-right"></i></span>
                        </a>
                    </div>
                    <div class="credit__single__step">
                        <a href="{{ route('update_apps') }}">
                            <h4>Update Apps</h4>
                            <span><i class="fal fa-chevron-right"></i></span>
                        </a>
                    </div>--}}
                    <div class="credit__single__step">
			    <a target="_blank" href="https://wa.me/16289461841">
				<h4>Help</h4>
                            <span><i class="fal fa-chevron-right"></i></span>
                        </a>
                    </div>
                </div>
                <br>
                {{--<div class="logut__btn">
                    <a href="{{ route('logout') }}">Logout</a>
                </div>--}}

                {{--<div class="account__bottom__blk">
                    <div class="single__home__step">
                        <a href="{{ route('dashboard') }}">
                            <span><i class="fal fa-star"></i></span>
                            <h4>Home</h4>
                        </a>
                    </div>
                    <div class="single__home__step">
                        <a href="{{ route('payment_history') }}">
                            <span><i class="fal fa-star"></i></span>
                            <h4>History</h4>
                        </a>
                    </div>
                    <div class="single__home__middle__step">
                        <a href="#"><img src="assets/img/Popup-btn.png" alt=""></a>
                    </div>
                    <div class="single__home__step">
                        <a href="#">
                            <span><i class="fal fa-address-book"></i></span>
                            <h4>Contact</h4>
                        </a>
                    </div>
                    <div class="single__home__step single__home__last__step">
                        <a href="{{ route('profile') }}">
                            <span><i class="fas fa-user"></i></span>
                            <h4>Accounts</h4>
                        </a>
                    </div>
                </div>--}}
            </div>
        </div>
    </header>
    <!-- =================== HEADER AREA END ===================== -->

</div>




<!-- Optional JavaScript; choose one of the two! -->
<script src="assets/js/jquery.min.js"></script>
<script src="assets/js/popper.js"></script>
<script src="assets/js/bootstrap.min.js"></script>
<script src="assets/js/owl.carousel.min.js"></script>
<script src="assets/js/jquery.nice-select.min.js"></script>
<script src="assets/js/utils.js"></script>
<script src="assets/js/intlTelInput.min.js"></script>
<script src="assets/js/aos.js"></script>

<script src="{{ asset('js/iziToast.js') }}"></script>
@include('vendor.lara-izitoast.toast')


<script>
    $(document).ready(function () {
        $('.ethopia__top__blk').on('click',function(e){
            e.preventDefault();
            $(this).parent().find('.ethopia__top__content').slideToggle();
        });
    });

    function setBalance(balance) {
        $("#balance").val(balance);
    }

    function getData(num, total, c_name, c_img) {
        total = parseInt(total);
        $("#show_"+num).removeClass('d-none');
        $(".country_text").text(c_name);
        $(".country_img").attr("src", c_img);
        for (var i=0; i<=total; i++){
            if (i != num){
                $("#show_"+i).addClass('d-none');
            }
        }
        $(".ethopia__top__content").css('display', 'none')
    }

    function getDataSubs(num2, total2, c_name2, c_img2) {
        total = parseInt(total2);
        $("#subscip"+num2).removeClass('d-none');
        $(".country_text_sub").text(c_name2);
        $(".country_img_sub").attr("src", c_img2);
        for (var i=0; i<=total; i++){
            if (i != num2){
                $("#subscip"+i).addClass('d-none');
            }
        }
        $(".subs_ddd").css('display', 'none')
    }

</script>

<script src="assets/js/main.js"></script>

<script>
    document.addEventListener("DOMContentLoaded", function() {
        var open_app = {{ session()->get('open_app') ?? 0 }};
        if (open_app == 1){
            window.location.href = "csc:{{ $customer_info['username'] }}:{{ \Illuminate\Support\Facades\Cookie::get('c_password') }}@<?php echo $cloud_id ?>";
        }
        <?php session()->forget('open_app'); ?>
    });
</script>


<script>
    function openSelect() {
        document.querySelector('#country-select').classList.toggle('select-active');
        const selectItems = document.querySelector('#select-items');
        selectItems.style.display = selectItems.style.display === "flex" ? "none" : "flex";
    }

    function selectCountry(flagCode, countryName, num, total) {
        const selectedFlag = document.querySelector('#selected img');
        selectedFlag.src = `https://cdnjs.cloudflare.com/ajax/libs/flag-icon-css/3.5.0/flags/4x3/${flagCode}.svg`;
        const selectedText = document.querySelector('#selected span');
        selectedText.innerText = countryName;
        document.querySelector('#country-select').value = flagCode;
        openSelect();

        var  total = parseInt(total);
        $("#show_"+num).removeClass('d-none');
        for (var i=0; i<=total; i++){
            if (i != num){
                $("#show_"+i).addClass('d-none');
            }
        }

    }
</script>

<script>
    function openSelect2() {
        document.querySelector('#country-select-2').classList.toggle('select-active');
        const selectItems = document.querySelector('#select-items-2');
        selectItems.style.display = selectItems.style.display === "flex" ? "none" : "flex";
    }

    function selectCountry2(flagCode, countryName, num, total) {
        const selectedFlag = document.querySelector('#selected2 img');
        selectedFlag.src = `https://cdnjs.cloudflare.com/ajax/libs/flag-icon-css/3.5.0/flags/4x3/${flagCode}.svg`;
        const selectedText = document.querySelector('#selected2 span');
        selectedText.innerText = countryName;
        document.querySelector('#country-select-2').value = flagCode;
        openSelect2();

        var  total = parseInt(total);
        $("#pack_"+num).removeClass('d-none');
        for (var i=0; i<=total; i++){
            if (i != num){
                $("#pack_"+i).addClass('d-none');
            }
        }

    }
</script>

</body>

</html>

