@extends('admin.admin-base')

@section('admin-main-content')

    <!-- Content Body Start -->
    <div class="content-body">

        <!-- Page Headings Start -->
        <div class="row justify-content-between align-items-center mb-10">
            <!-- Page Heading Start -->
            <div class="col-12 col-lg-auto mb-20">
                <div class="page-heading">
                    <h3 class="title">Manage All Users</h3>
                </div>
            </div><!-- Page Heading End -->
        </div><!-- Page Headings End -->


        <div class="row">
            <!--Default Data Table Start-->
            <div class="col-12 mb-30">
                <div class="box" style="background-color: #FFF">
                    <div class="box-head">
                        <h3 class="title">All Users</h3>
                    </div>

                    <div class="box-body">
                        @if (Session::has('error'))
                            <div class="alert alert-danger alert-block">{{ Session::get('error') }}</div>
                        @endif
                        @if (Session::has('success'))
                            <div class="alert alert-success alert-block">{{ Session::get('success') }}</div>
                        @endif

                        <table id="my_table" class="table table-bordered data-table data-table-default">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>Action</th>
                                <th>User Name</th>
                                <th>Email</th>
                                <th>Blocked By User Id</th>
{{--                                <th>Gallery</th>--}}
                                {{--                                <th>Verified</th>--}}
                                {{--                                <th>status</th>--}}
                            </tr>
                            </thead>

                            <tbody>
                            @foreach ($users as $item)
                                <?php

                                $item->config_profile_path = config('base_urls.profile_images_base_url');

                                $item->total_favourites = DB::table('favourite_users')->where('users_id', $item->users_id)->count();

                                $item->total_pics = DB::table('user_pictures')->where('users_id', $item->users_id)->count();

                                $ethncity_obj = DB::table('ethnicities')->select('ethnicity')->where('ethnicity_id', $item->ethnicity_id)->where('status', 'Active')->first();
                                $item->ethnicity = $ethncity_obj->ethnicity;

                                $body_types_obj = DB::table('body_types')->select('body_type')->where('body_type_id', $item->body_type_id)->where('status', 'Active')->first();
                                $item->body_type = $body_types_obj->body_type;

                                $position_obj = DB::table('positions')->select('position')->where('position_id', $item->position_id)->where('status', 'Active')->first();
                                $item->position = $position_obj->position;

                                $relationship_obj = DB::table('relationships')->select('relationship')->where('relationship_id', $item->relationship_id)->where('status', 'Active')->first();
                                $item->relationship = $relationship_obj->relationship;

                                $tribe_obj = DB::table('user_tribes')->join('tribes','tribes.tribe_id','user_tribes.tribe_id')->where('users_id', $item->users_id)->pluck('tribes.tribe');
                                $item->tribe = $tribe_obj;

                                $seeking_obj = DB::table('user_seekings')->join('seekings','seekings.seeking_id','user_seekings.seeking_id')->where('users_id', $item->users_id)->pluck('seekings.seeking');
                                $item->seeking = $seeking_obj;

                                $item->registered_on = date('d/m/Y -- H:i a', strtotime($item->date_added));

                                ?>

                                <tr>

                                    <td>{{ $item->users_id}}</td>

                                    <td>

                                        <div class="dropdown dropdown open">

                                            <button class="btn btn-inverse btn-sm dropdown-toggle waves-effect waves-light " type="button" id="dropdown-7" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">Action</button>

                                            <div class="dropdown-menu" aria-labelledby="dropdown-7" data-dropdown-in="fadeIn" data-dropdown-out="fadeOut">

                                                <a class="flex items-center text-theme-4" id="{{ $item->users_id  }}" onclick="viewItem('{{json_encode($item)}}')" href="javascript:;" data-toggle="modal" data-target="#Modal_view">

                                                    <span class="ml-20">View</span>

                                                </a> <br>

                                                {{--                                                @if ($item->status == 'Active')--}}

                                                {{--                                                    <a class="flex items-center text-theme-4" id="{{ $item ->users_id  }}" onclick="confirmItem('{{json_encode($item)}}')" href="javascript:;" data-toggle="modal" data-target="#Modal_confirmation">--}}

                                                {{--                                                        <span class="ml-20">Inactivate</span>--}}

                                                {{--                                                    </a>--}}

                                                {{--                                                @else--}}

                                                {{--                                                    <a class="flex items-center text-theme-4" id="{{ $item ->users_id  }}" onclick="confirmItem('{{json_encode($item)}}')" href="javascript:;" data-toggle="modal" data-target="#Modal_confirmation">--}}

                                                {{--                                                        <span class="ml-20">Activate</span>--}}

                                                {{--                                                    </a>--}}
                                                {{--                                                @endif--}}
                                                <br>

                                                {{--                                                @if ($item->verified == 'No')--}}
                                                {{--                                                    <a class="flex items-center text-theme-4" id="{{ $item ->users_id  }}" onclick="confirmVerify('{{json_encode($item)}}')" href="javascript:;" data-toggle="modal" data-target="#Modal_verify">--}}
                                                {{--                                                        <span class="ml-20">Verify user</span>--}}
                                                {{--                                                    </a>--}}
                                                {{--                                                @endif--}}
                                            </div>

                                        </div>

                                    </td>

                                    <td>{{ $item->user_name}}</td>

                                    <td>{{ $item->email}}</td>

                                    <td>{{ $item->blocked_by_user_id}}</td>


{{--                                    <td><a href="gallery/{{ $item->users_id  }}" target="_blank">Gallery <i class="fa fa-solid fa-image"></i>  </a></td>--}}

                                    {{--                                    <td>{{ $item->verified}}</td>--}}

                                    {{--                                    <td>{{ $item->status}}</td>--}}

                                </tr>

                            @endforeach

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

            <!--Default Data Table End-->

        </div>

    </div>

    <!-- Content Body End -->





    {{--  VIEW MODAL --}}
    <div class="modal fade" id="Modal_view" tabindex="-1" role="dialog" aria-labelledby="Modal_view" aria-hidden="true">

        <div class="modal-dialog modal-lg" role="document">

            <div class="modal-content" style="margin-top: 20%;">

                <div class="modal-header" style="display: flex;justify-content: center;">

                    <div class="legend" >USER DETAILS</div>

                </div>


                <div style="padding-top: 25px; padding-left: 25px; padding-right:25px; padding-bottom:50px;" class="modal-body">

                    <form id="itemForm" class="form-horizontal bordered-row" enctype="multipart/form-data" method="post" action="">
                        {{ csrf_field() }}

                        <input type="hidden" id="users_id" name="users_id">
                        <div class="row">

                            <div class="col-8">
                                <div>

                                    {{--                                    <div class="usersItemStyle">--}}

                                    {{--                                        <label class="col-sm-12 control-label mt-1">Users ID  <span class="text-danger">:</span></label>--}}

                                    {{--                                        <div id="users_id_view">Not displayed</div>--}}

                                    {{--                                    </div>--}}



                                    <div class="usersItemStyle">

                                        <label class="col-sm-12 control-label mt-1">User Name <span class="text-danger">:</span></label>

                                        <div id="user_name_view">Not displayed</div>

                                    </div>



                                    <div class="usersItemStyle">

                                        <label class="col-sm-12 control-label mt-1">Description <span class="text-danger">:</span></label>

                                        <div id="description_view">Not displayed</div>

                                    </div>



                                    {{--                                    <div class="usersItemStyle">--}}

                                    {{--                                        <label class="col-sm-12 control-label mt-1">Account Type <span class="text-danger">:</span></label>--}}

                                    {{--                                        <div id="account_type_view">Not displayed</div>--}}

                                    {{--                                    </div>--}}



                                    <div class="usersItemStyle">

                                        <label class="col-sm-12 control-label mt-1">Email <span class="text-danger">:</span></label>

                                        <div id="email_view">Not displayed</div>

                                    </div>



                                    <div class="usersItemStyle">

                                        <label class="col-sm-12 control-label mt-1">Gender <span class="text-danger">:</span></label>

                                        <div id="gender_view">Not displayed</div>

                                    </div>


                                    <div class="usersItemStyle">

                                        <label class="col-sm-12 control-label mt-1">Contact Number <span class="text-danger">:</span></label>

                                        <div id="number_view">Not displayed</div>

                                    </div>

                                    <div class="usersItemStyle">

                                        <label class="col-sm-12 control-label mt-1">Unit System <span class="text-danger">:</span></label>

                                        <div id="unit_view">Not displayed</div>

                                    </div>


                                    <div class="usersItemStyle">
                                        <label class="col-sm-12 control-label mt-1">Height<span class="text-danger">:</span></label>
                                        <div id="height_view">Not displayed</div>
                                    </div>


                                    <div class="usersItemStyle">
                                        <label class="col-sm-12 control-label mt-1">Weight<span class="text-danger">:</span></label>
                                        <div id="weight_view">Not displayed</div>
                                    </div>


                                    <div class="usersItemStyle">
                                        <label class="col-sm-12 control-label mt-1">Ethnicity <span class="text-danger">:</span></label>
                                        <div id="ethnicity_view">Not displayed</div>
                                    </div>


                                    <div class="usersItemStyle">
                                        <label class="col-sm-12 control-label mt-1">BodyType <span class="text-danger">:</span></label>
                                        <div id="body_type_view">Not displayed</div>
                                    </div>


                                    <div class="usersItemStyle">
                                        <label class="col-sm-12 control-label mt-1">Positions <span class="text-danger">:</span></label>
                                        <div id="position_view">Not displayed</div>
                                    </div>

                                    <div class="usersItemStyle">
                                        <label class="col-sm-12 control-label mt-1">Relationship <span class="text-danger">:</span></label>
                                        <div id="relationship_view">Not displayed</div>
                                    </div>

                                    <div class="usersItemStyle">
                                        <label class="col-sm-12 control-label mt-1">Tribe <span class="text-danger">:</span></label>
                                        <div id="tribe_view">Not displayed</div>
                                    </div>

                                    <div class="usersItemStyle">
                                        <label class="col-sm-12 control-label mt-1">Seeking <span class="text-danger">:</span></label>
                                        <div id="seeking_view">Not displayed</div>
                                    </div>


                                    <div class="usersItemStyle">

                                        <label class="col-sm-12 control-label mt-1">Notification Status <span class="text-danger">:</span></label>

                                        <div id="notification_status_view">Not displayed</div>

                                    </div>



                                    <div class="usersItemStyle">

                                        <label class="col-sm-12 control-label mt-1">Total Favourites <span class="text-danger">:</span></label>

                                        <div id="total_favourites_view">Not displayed</div>

                                    </div>


                                    <div class="usersItemStyle">

                                        <label class="col-sm-12 control-label mt-1"> Total Pictures <span class="text-danger">:</span></label>

                                        <div id="total_pics_view">Not displayed</div>

                                    </div>


                                    <div class="usersItemStyle">

                                        <label class="col-sm-12 control-label mt-1">Registered On <span class="text-danger">:</span></label>

                                        <div id="registered_on_view">Not displayed</div>

                                    </div>



                                    {{--                                    <div class="usersItemStyle">--}}

                                    {{--                                        <label class="col-sm-12 control-label mt-1">Status<span class="text-danger">:</span></label>--}}

                                    {{--                                        <div id="status_view">Not displayed</div>--}}

                                    {{--                                    </div>--}}



                                </div></div>

                            <div class="col-4">
                                <div>
                                    <input id="profile_picture_view" type="image" alt="" style="width: 60%; border-radius: 10px;">
                                </div></div>

                        </div>


                        <div class="form-group" >

                            <div  style="float: right;">

                                <div class="col-sm-3">

                                    <input type="button"  class="btn btn-danger"  data-dismiss="modal" aria-label="Close" value="Cancel"></button>

                                </div>

                            </div>

                        </div>

                    </form>

                </div>

            </div>

        </div>

    </div>
    </div>







    <script>


        function viewItem(item){



            var itemJson = JSON.parse(item);

            console.log(itemJson);

            $("#user_name_view").text(itemJson.user_name);

            $("#email_view").text(itemJson.email);

            if(itemJson.height != null){
                $("#height_view").text(itemJson.height);
            } else{
                $("#height_view").text("- - -");
            }

            if(itemJson.weight != null){
                $("#weight_view").text(itemJson.weight);
            } else{
                $("#weight_view").text("- - -");
            }

            if(itemJson.description != null){
                $("#description_view").text(itemJson.description);
            } else{
                $("#description_view").text("- - -");
            }

            $("#gender_view").text(itemJson.gender);

            if(itemJson.phone_number != null){
                $("#number_view").text(itemJson.phone_number);
            } else{
                $("#number_view").text("- - -");
            }


            $("#unit_view").text(itemJson.unit_system);
            $("#notification_status_view").text(itemJson.notification_status);
            $("#total_favourites_view").text(itemJson.total_favourites);
            $("#ethnicity_view").text(itemJson.ethnicity);
            $("#body_type_view").text(itemJson.body_type);
            $("#position_view").text(itemJson.position);
            $("#relationship_view").text(itemJson.relationship);

            if(itemJson.tribe.length > 0){
                $("#tribe_view").text(itemJson.tribe);
            } else{
                $("#tribe_view").text("- - -");
            }

            if(itemJson.seeking.length > 0){
                $("#seeking_view").text(itemJson.seeking);
            } else{
                $("#seeking_view").text("- - -");
            }

            $("#total_pics_view").text(itemJson.total_pics);
            $("#registered_on_view").text(itemJson.registered_on);

            // $("#status_view").text(itemJson.status);

            var image_url =  itemJson.config_profile_path;

            if(itemJson.profile_picture != null){
                document.getElementById("profile_picture_view").src = image_url.concat(itemJson.profile_picture);
            } else{
                document.getElementById("profile_picture_view").src = image_url.concat("admin_default.png");
            }

        }







        // function confirmItem(item){
        //
        //     var itemJson = JSON.parse(item);
        //
        //     $("#itemForm input[name='users_id']").val(itemJson.users_id);
        //
        //     $("#Modal_confirmation").modal('show');
        //
        //
        //
        // }
        //
        // function confirmVerify(item){
        //
        //     var itemJson = JSON.parse(item);
        //
        //     $("#itemForm input[name='users_id']").val(itemJson.users_id);
        //
        //     $("#Modal_verify").modal('show');
        //
        //
        //
        // }

    </script>

@endsection





