@extends('admin.admin-base')

@section('admin-main-content')

    <!-- Content Body Start -->
    <div class="content-body">

        <!-- Page Headings Start -->
        <div class="row justify-content-between align-items-center mb-10">
            <!-- Page Heading Start -->
            <div class="col-12 col-lg-auto mb-20">
                <div class="page-heading">
                    <h3 class="title">Manage All Groups</h3>
                </div>
            </div><!-- Page Heading End -->
        </div><!-- Page Headings End -->


        <div class="row">
            <!--Default Data Table Start-->
            <div class="col-12 mb-30">
                <div class="box" style="background-color: #FFF">
                    <div class="box-head">
                        <h3 class="title">All Groups</h3>
                    </div>

                    <div class="box-body">
                        @if (Session::has('error'))
                            <div class="alert alert-danger alert-block">{{ Session::get('error') }}</div>
                        @endif
                        @if (Session::has('success'))
                            <div class="alert alert-success alert-block">{{ Session::get('success') }}</div>
                        @endif

                        <table id="my_table" class="table table-bordered data-table data-table-default">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>Action</th>
                                <th>Group Category</th>
                                <th>Cover</th>
                                <th>Address</th>
                                <th>Start Date</th>
                            </tr>
                            </thead>

                            <tbody>
                            @foreach ($groups as $item)
                                <?php

                                $item->config_profile_path = config('base_urls.group_cover_photo_base_url');
//
                                $tribe_obj = DB::table('group_tribes')->join('tribes','tribes.tribe_id','group_tribes.tribe_id')->where('group_id', $item->group_id)->pluck('tribes.tribe');
                                $item->tribe = $tribe_obj;
//
                                $feature_obj = DB::table('group_features')->join('features','features.feature_id','group_features.feature_id')->where('group_id', $item->group_id)->pluck('features.feature');
                                $item->feature = $feature_obj;

                                $important_rule_obj = DB::table('group_important_rules')->join('important_rules','important_rules.important_rule_id','group_important_rules.important_rule_id')->where('group_id', $item->group_id)->pluck('important_rules.important_rule');
                                $item->important_rule = $important_rule_obj;

                                $item->starting_date = date('d/m/Y', strtotime($item->starting_date));
                                $item->ending_date = date('d/m/Y', strtotime($item->ending_date));

                                ?>

                                <tr>

                                    <td>{{ $item->group_id}}</td>

                                    <td>

                                        <div class="dropdown dropdown open">

                                            <button class="btn btn-inverse btn-sm dropdown-toggle waves-effect waves-light " type="button" id="dropdown-7" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">Action</button>

                                            <div class="dropdown-menu" aria-labelledby="dropdown-7" data-dropdown-in="fadeIn" data-dropdown-out="fadeOut">

                                                <a class="flex items-center text-theme-4" id="{{ $item->group_id  }}" onclick="viewItem('{{json_encode($item)}}')" href="javascript:;" data-toggle="modal" data-target="#Modal_view">

                                                    <span class="ml-20">View</span>

                                                </a> <br>

                                                <br>

                                            </div>

                                        </div>

                                    </td>

                                    <td>{{ $item->category}}</td>
                                    <td>{{ $item->cover}}</td>
                                    <td>{{ $item->address}}</td>
                                    <td>{{ $item->starting_date}}</td>

                                </tr>

                            @endforeach

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

            <!--Default Data Table End-->

        </div>

    </div>

    <!-- Content Body End -->





    {{--  VIEW MODAL --}}
    <div class="modal fade" id="Modal_view" tabindex="-1" role="dialog" aria-labelledby="Modal_view" aria-hidden="true">

        <div class="modal-dialog modal-lg" role="document">

            <div class="modal-content" style="margin-top: 20%;">

                <div class="modal-header" style="display: flex;justify-content: center;">

                    <div class="legend" >Group DETAILS</div>

                </div>


                <div style="padding-top: 25px; padding-left: 25px; padding-right:25px; padding-bottom:50px;" class="modal-body">

                    <form id="itemForm" class="form-horizontal bordered-row" enctype="multipart/form-data" method="post" action="">
                        {{ csrf_field() }}

                        <input type="hidden" id="group_id" name="group_id">
                        <div class="row">

                            <div class="col-8">
                                <div>

                                    <div class="usersItemStyle">
                                        <label class="col-sm-12 control-label mt-1">Category <span class="text-danger">:</span></label>
                                        <div id="category_view">Not displayed</div>
                                    </div>



                                    <div class="usersItemStyle">
                                        <label class="col-sm-12 control-label mt-1">Cover <span class="text-danger">:</span></label>
                                        <div id="cover_view">Not displayed</div>
                                    </div>


                                    <div class="usersItemStyle">
                                        <label class="col-sm-12 control-label mt-1">Cost<span class="text-danger">:</span></label>
                                        <div id="cost_view">Not displayed</div>
                                    </div>


                                                            <div class="usersItemStyle">
                                                                <label class="col-sm-12 control-label mt-1">Start Date <span class="text-danger">:</span></label>
                                                                <div id="start_date_view">Not displayed</div>
                                                            </div>

                                    <div class="usersItemStyle">
                                        <label class="col-sm-12 control-label mt-1">Start Time <span class="text-danger">:</span></label>
                                        <div id="start_time_view">Not displayed</div>
                                    </div>


                                    <div class="usersItemStyle">
                                        <label class="col-sm-12 control-label mt-1">End Date <span class="text-danger">:</span></label>
                                        <div id="end_date_view">Not displayed</div>
                                    </div>

                                    <div class="usersItemStyle">
                                        <label class="col-sm-12 control-label mt-1">End Time <span class="text-danger">:</span></label>
                                        <div id="end_time_view">Not displayed</div>
                                    </div>



                                    <div class="usersItemStyle">
                                        <label class="col-sm-12 control-label mt-1">Created By<span class="text-danger">:</span></label>
                                        <div id="user_view">Not displayed</div>
                                    </div>


                                    <div class="usersItemStyle">
                                        <label class="col-sm-12 control-label mt-1">Address <span class="text-danger">:</span></label>
                                        <div id="address_view">Not displayed</div>
                                    </div>


                                    <div class="usersItemStyle">
                                        <label class="col-sm-12 control-label mt-1">Tribe <span class="text-danger">:</span></label>
                                        <div id="tribe_view">Not displayed</div>
                                    </div>

                                    <div class="usersItemStyle">
                                        <label class="col-sm-12 control-label mt-1">Feature <span class="text-danger">:</span></label>
                                        <div id="feature_view">Not displayed</div>
                                    </div>


                                    <div class="usersItemStyle">
                                        <label class="col-sm-12 control-label mt-1">Important Rule <span class="text-danger">:</span></label>
                                        <div id="important_rule_view">Not displayed</div>
                                    </div>



                                </div></div>

                            <div class="col-4">
                                <div>
                                    <input id="profile_picture_view" type="image" alt="" style="width: 60%; border-radius: 10px;">
                                </div></div>

                        </div>


                        <div class="form-group" >

                            <div  style="float: right;">

                                <div class="col-sm-3">

                                    <input type="button"  class="btn btn-danger"  data-dismiss="modal" aria-label="Close" value="Cancel"></button>

                                </div>

                            </div>

                        </div>

                    </form>

                </div>

            </div>

        </div>

    </div>
    </div>


    <script>

        function viewItem(item){

            var itemJson = JSON.parse(item);

            console.log(itemJson);

            $("#category_view").text(itemJson.category);
            $("#start_date_view").text(itemJson.starting_date);
            $("#start_time_view").text(itemJson.starting_time);
            $("#end_date_view").text(itemJson.ending_date);
            $("#end_time_view").text(itemJson.ending_time);
            $("#address_view").text(itemJson.address);
            $("#cover_view").text(itemJson.cover);
            $("#user_view").text(itemJson.user_name);


            if(itemJson.cost != null){
                $("#cost_view").text(itemJson.cost);
            } else{
                $("#cost_view").text("Free");
            }

            if(itemJson.tribe.length > 0){
                $("#tribe_view").text(itemJson.tribe);
            } else{
                $("#tribe_view").text("- - -");
            }

            if(itemJson.feature.length > 0){
                $("#feature_view").text(itemJson.feature);
            } else{
                $("#feature_view").text("- - -");
            }

            if(itemJson.important_rule.length > 0){
                $("#important_rule_view").text(itemJson.important_rule);
            } else{
                $("#important_rule_view").text("- - -");
            }


            var image_url =  itemJson.config_profile_path;
            if(itemJson.cover_photo != null){
                document.getElementById("profile_picture_view").src = image_url.concat(itemJson.cover_photo);
            } else{
                document.getElementById("profile_picture_view").src = image_url.concat("admin_default.png");
            }

        }







        // function confirmItem(item){
        //
        //     var itemJson = JSON.parse(item);
        //
        //     $("#itemForm input[name='group_id']").val(itemJson.group_id);
        //
        //     $("#Modal_confirmation").modal('show');
        //
        //
        //
        // }
        //
        // function confirmVerify(item){
        //
        //     var itemJson = JSON.parse(item);
        //
        //     $("#itemForm input[name='group_id']").val(itemJson.group_id);
        //
        //     $("#Modal_verify").modal('show');
        //
        //
        //
        // }

    </script>

@endsection





