<!DOCTYPE html>
<html lang="en">
	<head>
	    <meta charset="utf-8">
	    <meta http-equiv="X-UA-Compatible" content="IE=edge">
	    <meta name="viewport" content="width=device-width,initial-scale=1">
	    <?php $system_image = DB::table('system_settings')->select('description')->where('type', 'system_image')->get(); ?>
        <?php $system_image_favicon = DB::table('system_settings')->select('description')->where('type', 'system_image_favicon')->get(); ?>
		<?php $system_name  = DB::table('system_settings')->select('description')->where('type', 'system_name')->get(); ?>
		<?php $system_geo_key  = DB::table('system_settings')->select('description')->where('type', 'system_geo_key')->get(); ?>
	    <title><?php echo $system_name[0]->description; ?> :: Admin</title>
	    <!-- Favicon icon -->
		<link rel="icon" type="image" sizes="24x24" href="{{ url('public') }}/{{$system_image_favicon[0]->description}}">
	    <!-- Datatable -->
	    <link href="{{asset('vendor/datatables/css/jquery.dataTables.min.css')}}" rel="stylesheet">
	    <!-- Custom Stylesheet -->
	    <link href="{{asset('vendor/bootstrap-select/dist/css/bootstrap-select.min.css')}}" rel="stylesheet">
	    <link href="{{asset('css/style.css')}}" rel="stylesheet">
	    <link href="{{asset('scss/main.css')}}" rel="stylesheet">
		<link rel="stylesheet" type="text/css" href="{{asset('/icons/flaticon/flaticon.css')}}">
		<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.2/css/all.min.css">
		<style type="text/css">
			.btn-light{
	          padding-left:10px;
	        }
	        
			.header {
				height: 80px;
			}
			.dataTables_wrapper {
				position: initial !important;
			}
			.table.dataTable{
				padding-top:70px !important;
			}
			.dataTables_filter {
				position: absolute;
				left: 20px;
			}
			.dataTables_length {
				position: absolute;
				right: 20px;
			}
			.dataTables_filter input[type=search]{
				padding: 15px;
				width: 50vw;
			}
			table.dataTable thead .sorting {
				background-image: none;
			}
			table.dataTable thead .sorting:hover {
				background-image: url("https://crowd.eigix.net/public/vendor/datatables/images/sort_both.png") !important;
				background-position: center right 0px !important;
			}
			table.dataTable thead th{
				min-width:70px;
			}
			
		</style>
	</head>

	<body>

	    <!--*******************
	        Preloader start
	    ********************-->
	    <div id="preloader">
	        <div class="sk-three-bounce">
	            <div class="sk-child sk-bounce1"></div>
	            <div class="sk-child sk-bounce2"></div>
	            <div class="sk-child sk-bounce3"></div>
	        </div>
	    </div>
	    <!--*******************
	        Preloader end
	    ********************-->


	    <!--**********************************
	        Main wrapper start
	    ***********************************-->
	    <div id="main-wrapper">

	        <!--**********************************
	            Nav header start
	        ***********************************-->
	        <div class="nav-header">
				<div style="display: flex; justify-content: space-evenly; align-items:baseline;">
					<img style="width: 50%; margin-top: 30px;" src="{{ url('public') }}/{{$system_image[0]->description}}" alt="image">
					<!-- <div class="nav-control"> -->
						<!-- <div class="hamburger">
							<span class="line"></span><span class="line"></span><span class="line"></span>
						</div> -->
					<!-- </div>	 -->
				</div>
			</div>
	        <!--**********************************
	            Nav header end
	        ***********************************-->
			
			<!--**********************************
	            Header start
	        ***********************************-->
			@include('layout.admin.header');

	        <!--**********************************
	            Header end ti-comment-alt
	        ***********************************-->

	        <!--**********************************
	            Sidebar start
	        ***********************************-->
			@include('layout.admin.sidebar');
	       
	        <!--**********************************
	            Sidebar end
	        ***********************************-->
			
			<!--**********************************
	            Content body start
	        ***********************************-->

			@yield('content')
				
			<i class="flaticon-airplane49"></i>  <span class="flaticon-airplane49"></span>
	        <!--**********************************
	            Sidebar end
	        ***********************************-->

	        <!--**********************************
	            Content body end
	        ***********************************-->

	        <!--**********************************
	            Footer start
	        ***********************************-->
	        <div class="footer">
			    <div class="copyright">
			        <p>Copyright © <?php echo date('Y'); ?></p>
			    </div>
			</div>
	        <!--**********************************
	            Footer end
	        ***********************************-->

	        <!--**********************************
	           Support ticket button start
	        ***********************************-->

	        <!--**********************************
	           Support ticket button end
	        ***********************************-->
   	 	</div>
	    <!--**********************************
	        Main wrapper end
	    ***********************************-->

	    <!--**********************************
	        Scripts
	    ***********************************-->
	    <!-- Required vendors -->
	    <script src="{{asset('vendor/global/global.min.js')}}"></script>
		<script src="{{asset('vendor/bootstrap-select/dist/js/bootstrap-select.min.js')}}"></script>
	    <script src="{{asset('js/custom.min.js')}}"></script>
		<script src="{{asset('js/deznav-init.js')}}"></script>
		
	    <!-- Datatable -->
	    <script src="{{asset('vendor/datatables/js/jquery.dataTables.min.js')}}"></script>
	    <script src="{{asset('js/plugins-init/datatables.init.js')}}"></script>

	    <script>
	        $(document).ready(function () {
	    		$('#example').DataTable();

	    		$('#example_search').DataTable({
				    dom: 'fltpr'
				});
	    	});
	    </script>  

		<link href="{{asset('toasters/toastr.min.css')}}" rel="stylesheet" type="text/css" />	
	    <script src="{{asset('toasters/toastr.min.js')}}" type="text/javascript"></script>
	    <script>
			toastr.options = {
			  "closeButton": true,
			  "debug": false,
			  "positionClass": "toast-top-right",
			  "onclick": null,
			  "showDuration": "1000",
			  "hideDuration": "1000",
			  "timeOut": "5000",
			  "extendedTimeOut": "1000",
			  "showEasing": "swing",
			  "hideEasing": "linear",
			  "showMethod": "fadeIn",
			  "hideMethod": "fadeOut"
			}
			//Command: toastr['success']("hello");

			<?php if(Session::has('success')){ ?> Command: toastr['success']("<?php echo Session('success'); ?>"); <?php } ?>
			<?php if(Session::has('error')){ ?> Command: toastr['error']("<?php echo Session('error'); ?>"); <?php } ?>
			<?php if(Session::has('warning')){ ?> Command: toastr['warning']("<?php echo Session('warning'); ?>"); <?php } ?>
			<?php if(Session::has('info')){ ?> Command: toastr['info']("<?php echo Session('info'); ?>"); <?php } ?>
		</script>

		<script src="https://maps.googleapis.com/maps/api/js?v=3.exp&sensor=false&libraries=places&key=<?php echo $system_geo_key[0]->description; ?>"></script>
		<script type="text/javascript">
			function initialize_map() {
    var input = document.getElementById('location');
    var options = {
        componentRestrictions: {} 
    };

    var autocomplete = new google.maps.places.Autocomplete(input, options);

    google.maps.event.addListener(autocomplete, 'place_changed', function () {
        var place = autocomplete.getPlace();
        if (!place.geometry) {
            return;
        }

        console.log("Formatted Address: " + place.formatted_address);

        place.address_components.forEach(function (component) {
            console.log(component.types[0] + ": " + component.long_name);
        });
    });
}

			function setCoordinates(){
				var address = $('#location').val();
				var lattitude = $('#lattitude').val();
				var longitude = $('#longitude').val();

				if(address != ''){
					var geocoder = new google.maps.Geocoder();
			        
			    	geocoder.geocode( { 'address': address}, function(results, status) {
			    		if (status == google.maps.GeocoderStatus.OK) {
					        var latitude = results[0].geometry.location.lat();
					        var longitude = results[0].geometry.location.lng();
					        $('#lattitude').val(latitude);
					        $('#longitude').val(longitude);
					        $('#google_place_id').val(results[0].place_id);
					    } 
			    	}); 
			    }
		    } 

		    // setInterval(function () { setCoordinates() }, 2000);
		    
			function runCronJob1() {
			fetch('/business/expire_claims')
				.then(response => {
					if (!response.ok) {
						throw new Error('Network response was not ok');
					}
					return response.json();
				})
				.then(data => {
					console.log('Cron job function 1 executed successfully');
				})
				.catch(error => {
					console.error('There was a problem with the fetch operation:', error);
				});
		}
		function runCronJob2() {
			fetch('/api/updateVenueAvailability')     
				.then(response => {
					if (!response.ok) {
						throw new Error('Network response was not ok');
					}
					return response.json();
				})
				.then(data => {
					console.log('Cron job function 2 executed successfully');
				})
				.catch(error => {
					console.error('There was a problem with the fetch operation:', error);
				});
		}
		setInterval(function () {
				// Call the first function
				setCoordinates();
				runCronJob1();
				runCronJob2();
			}, 2000);

		</script>
	</body>
</html>