<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>My Referrals</title>
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />
    <link rel="stylesheet" href="assets/css/style.css" />
    <link rel="stylesheet" href="assets/css/responsive.css" />
</head>
<body>
    <div class="root">
        <div class="content-wrapper account-wrapper mx-auto">
            <div class="container">
                <div class="account-header">
                    <h4 class="mb-3"><a href="{{ route('dashboard')}}">My Referrals</h4>
                </div>
                <div class="account-content">
                    <div class="box bg-white mb-3">
                        <h5 class="fw-medium fs-6 text-black mb-3">Referral Details</h5>
                        <div class="referral-summary">
                            <div class="d-flex justify-content-between mb-2">
                                <span>Referral Signups</span>
                                <span><?php echo $summary_response['Total Signups'];?></span>
                            </div>
                            <div class="d-flex justify-content-between mb-2">
                                <span>Referrals that added $5 to account</span>
                                <span><?php echo $summary_response['Total Added $5'];?></span>
                            </div>
                            <div class="d-flex justify-content-between mb-3">
                                <span>Earnings from referrals</span>
                                <span><?php echo $summary_response['Total Commission'];?></span>
                            </div>
                            <div class="text-center">
                                <button class="btn btn-main">Request Payout</button>
                            </div>
                        </div>
                    </div>
                    <div class="box bg-white">
                        <h5 class="fw-medium fs-6 text-black mb-3">Referral Details</h5>
                        <div class="table-responsive">
                            <table class="table table-borderless">
			    <?php 
                                        if(!empty($detail_response)){
				?>
                                <thead>
                                    <tr>
                                        <th>Phone no</th>
                                        <th>Signed up?</th>
                                        <th>Added $5?</th>
                                        <th>Ref Earning</th>
                                    </tr>
                                </thead>
                                <tbody>
				<?php 
					foreach($detail_response as $key => $value) {
					$added = $value[0]->has_added_5 == 0 ? 'No':'Yes';
					$commission = $value[0]->commission_earned > 0 ? $value[0]->commission_earned : '0.00';
					echo "<tr>";
					echo "<td>".$value[0]->referred_sipUserName."</td>";
					echo "<td>Yes</td>";
					echo "<td>".$added."</td>";
					echo "<td>".$commission."</td>";
					echo "</tr>";
				} }else{
					echo '<tbody><tr><td>No Referrals</td></tr></tbody>';
				}?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
