<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <!-- Bootstrap CSS -->
    <link href="assets/css/bootstrap.min.css" rel="stylesheet" />
    <link href="assets/css/all.min.css" rel="stylesheet" />
    <link href="assets/css/fontawesome.css" rel="stylesheet" />
    <link href="assets/css/owl.carousel.min.css" rel="stylesheet" />
    <link href="assets/css/aos.css" rel="stylesheet" />
    <link href="assets/css/nice-select.css" rel="stylesheet" />
    <link href="assets/css/intlTelInput.min.css" rel="stylesheet" />
    <link href="assets/css/default.css" rel="stylesheet" />
    <link href="assets/css/style.css" rel="stylesheet" />
    <link href="assets/css/responsive.css" rel="stylesheet" />
    <link href="{{ asset('css/iziToast.css') }}" rel="stylesheet">

    <title>Select Payment Method</title>
    <style>
        .input-box-input {
            border: 1px solid #8993a6;
            border-radius: 10px;
            background-color: #fff;
            font-size: 1.1rem;
            color: #595a5b;
            padding: 5px 1.7rem;
        }
    </style>
</head>

<body>

<div class="main__area">

    <div class="overlay none__desk"></div>

    <!-- =================== HEADER AREA START ===================== -->
    <header class="signup__area margin_top">
        <div class="page__inner__wrap">
            <div class="container">
                <div class="page__top__blk">
                    <a href="{{ route('dashboard') }}"><span><i class="fal fa-angle-left"></i></span> Select Payment Method</a>
                </div>
                <div class="signup__wrapper " style="margin-top: 30px;">
                    <form action="{{ route('package_buy_pay') }}" method="post">
                        @csrf
                        <h4><u>Summary</u></h4>
                        @if($product)
                        <table class="table borderless" style="margin-bottom: 0px;">
                            <tbody >
                            <tr>
                                <td>Alotel Package <br> {{$product['name']}}</td>
                                <td>${{number_format($product['price'],2)}}</td>
                            </tr>
                            <tr>
                                <td>Total</td>
                                <td>${{number_format($product['price'],2)}}</td>
                            </tr>
                            </tbody>
                        </table>
                            <input type="hidden" name="product_id" value="{{ $product['id'] }}">
                            <input type="hidden" name="type" value="{{ $product['billing_type'] != 0 ? 'subscription' : 'package' }}">
                        @else
                            <input type="hidden" name="credit_amount" value="{{ $credit_amount }}">
                            <table class="table borderless" style="margin-bottom: 0px;">
                                <tbody >
                                <tr>
                                    <td>Alotel Credit</td>
                                    <td>${{number_format($credit_amount,2)}}</td>
                                </tr>
                                <tr>
                                    <td>Total</td>
                                    <td>${{number_format($credit_amount,2)}}</td>
                                </tr>
                                </tbody>
                            </table>
                        @endif
{{--                        color:black; border-bottom: 2px solid black;padding-bottom: 4px;--}}
                        <div>
                            @if($paymentMethod)
                                <div class="form-check mb-3 mt-3">
                                    <h6>Selected payment method</h6>
                                    <label class="form-check-label">
                                        <input type="radio" class="form-check-input" checked value="card" name="payment_method">

                                        <a class="input-box-input" href="{{route('payment_setting')}}?q={{$postRequest}}" style="text-decoration: none;" title="Choose another card or add new card">
                                            <input type="hidden" name="payment_method_id" value="{{ $paymentMethod->id }}">
                                            <span class="icon">
                                                      <img src="update_assets/img/mastercard.png" class="img-fluid" alt="">
                                                    </span>
                                                <span class="text">************</span>
                                               <span class="text">{{ $paymentMethod->card->last4 }} </span>
                                        </a>
                                    </label>
                                </div>
                            @endif
                            @if($product && $product['billing_type'] == 0)
                                <div class="form-check mt-2 mb-2">
                                    <label class="form-check-label w-100">
                                        <input type="radio" onclick="paywith('account_balance')" class="form-check-input pay-with" value="account_balance" name="payment_method">
                                        <div class="d-flex justify-content-between w-100">
                                            <span>Pay with your AloTel Credit</span>
                                            <bth animated>{{ $balance }}</bth>
                                        </div>

                                    </label>
                                </div>
                            @endif
                                @if($paymentMethod)
                                @elseif($product)
                                    <div class="form-check  mt-2 mb-2">
                                        <label class="form-check-label w-100">
                                            <input type="radio"  onclick="paywith('payment_method')"  class="form-check-input pay-with" value="payment_method" name="payment_method">
                                            <div class="d-flex justify-content-between w-100">
                                                <span>Pay with Card</span>
                                            </div>

                                        </label>
                                    </div>
                                @endif
                        </div>
                        @if($paymentMethod)
                            <div class="common__btn mt-4" id="pay-without-card" >
                                <button type="submit">{{ $product && $product && $product['billing_type'] != 0 ? 'Subscribe' : 'Pay' }}</button>
                            </div>
                            <div class="row" id="apple-pay-button-div" style="display: none">
                                <div  class="payment-divider text-center mt-4  d-flex align-items-center">
                                    <div class="flex-grow-1 border-bottom"></div>
                                    <span class="mx-3">Or</span>
                                    <div class="flex-grow-1 border-bottom"></div>
                                </div>
                                <div class="col-12 mt-25">
                                    <div class="form-group me-2" style="text-align: center">
                                        <div id="apple-pay-button"></div>
                                    </div>
                                </div>
                            </div>
                        @else
                            <div class="common__btn mt-4" id="pay-without-card" style="display: {{ $product ? 'block':'none'}}">
                                <button type="submit">{{ $product && $product['billing_type'] != 0 ? 'Subscribe' : 'Pay' }}</button>
                            </div>
                        @endif
                    </form>

                </div>

            </div>
        </div>
    </header>

    <!-- =================== HEADER AREA END ===================== -->
    @if($paymentMethod)
    @else
        <style>
            .input-wrapper {
                position: relative;
            }

            .card-icon {
                width: 32px;
                height: 20px;
                background-size: contain;
                background-repeat: no-repeat;
                right: 10px;
                top: 50%;
                transform: translateY(-50%);
                position: absolute;
                pointer-events: none;
            }

            .form-control {
                padding-right: 50px; /* Ensure there is space for the icon */
            }

            .form-control-lg {
                font-size: 1.5rem; /* Increased font size */
                min-height: calc(.5em + .5rem + 1px); !important; /* Increased height */
                padding: 0.5rem 1.5rem; /* Increased padding */
            }
            .flag-icon {
                top: 50%;
                transform: translateY(-50%);
            }
            .btn-custom {
                background-color: white;
                /* border: 2px solid #000000; */
                color: #fff;
                padding: 0.5rem .75rem;
                font-size: 1.5rem;
                border-radius: 2.25rem;
                transition: all 0.3s ease;
                width: 100%;
            }
            .btn-custom:hover {
                background-color: #f0f0f0; /* Optional: slightly darker background on hover */
                color: #000000; /* Font color on hover */
                border-color: #000000; /* Border color on hover */
            }
        </style>
        <div class="py-0">
        <div class="container" id="pay-with-card" style="display: {{ $product ? 'none':'block'}}">
            <!-- payment-method -->
            <div class="payment-method">
                <div class="pack-item">

                    <form class="payment-form" id="payment-form" action="gohere">
                    @csrf
                    <!-- box bg-white -->
                        <div class="box p-4" style="background-color: #F8F9FC">

{{-- Apple pay here--}}
                        <!-- payment-section -->
                            <div class="payment-section">
                                <div class="payment-divider text-center  d-flex align-items-center">
                                    <div class="flex-grow-1 border-bottom"></div>
                                    <span class="mx-3">Pay with card</span>
                                    <div class="flex-grow-1 border-bottom"></div>
                                </div>
                                <div class="row">
                                    <div class="col-12">
                                        <div class="form-group mb-3">
                                            <label for="card-element" class="small">Credit/Debit card number*</label>
                                            <div class="input-wrapper d-flex align-items-center position-relative">
                                                <div id="card-element" class="form-control form-control-lg"></div>
                                                <span class="card-icon position-absolute end-0 me-2"></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-6">
                                        <div class="form-group me-2">
                                            <label for="expiry" class="small">Expiry</label>
                                            <div id="card-expiry" class="form-control form-control-lg"></div>
                                        </div>
                                    </div>
                                    <div class="col-6">
                                        <div class="form-group ms-2">
                                            <label for="cvc" class="small">CVC</label>
                                            <div id="card-cvc" class="form-control form-control-lg"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- payment-section--end -->
                        </div>
                        <!-- box bg-white--end -->
                        <!-- box bg-white -->
                        <div class="box p-4 mt-3" id="address-div" style="background-color: #F8F9FC; display: none">
                            <!-- payment-section -->
                            <div class="payment-section">
                                <div id="address-element">
                                </div>
                                <!-- payment-section--end -->
                            </div>
                            <!-- box bg-white--end -->
                        </div>
                        <div class="row">
                            <div class="col-12 mb-3 mt-3">
                                <div class="form-check">
                                    <input type="checkbox" class="form-check-input" id="preferred-method" value="1" checked />
                                    <label class="form-check-label" for="preferred-method">Make preferred payment method</label>
                                </div>
                            </div>
                            <div class="col-12">
                                <span id="card-errors" class="text-danger"></span>
                            </div>
                            <div class="col-12 text-center ">
{{--                                <button id="submit" type="submit" class="btn btn-main w-75 small mt-3">Pay with card</button>--}}
                                <button id="submit" type="submit">{{ $product && $product['billing_type'] != 0 ? 'Subscribe' : 'Pay' }}</button>
                            </div>
                        </div>
                    </form>
                    <div class="row" id="apple-pay-button-div" style="display: none">
                        <div  class="payment-divider text-center mt-4  d-flex align-items-center">
                            <div class="flex-grow-1 border-bottom"></div>
                            <span class="mx-3">Or</span>
                            <div class="flex-grow-1 border-bottom"></div>
                        </div>
                        <div class="col-12 mt-25">
                            <div class="form-group me-2" style="text-align: center">
                                <div id="apple-pay-button"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- payment-method--end -->

        </div>

    </div>

    @endif

</div>




<!-- Optional JavaScript; choose one of the two! -->
<script src="assets/js/jquery.min.js"></script>
<script src="assets/js/popper.js"></script>
<script src="assets/js/bootstrap.min.js"></script>
<script src="assets/js/owl.carousel.min.js"></script>
<script src="assets/js/jquery.nice-select.min.js"></script>
<script src="assets/js/utils.js"></script>
<script src="assets/js/intlTelInput.min.js"></script>
<script src="assets/js/aos.js"></script>
<script src="assets/js/main.js"></script>

<script src="{{ asset('js/iziToast.js') }}"></script>
@include('vendor.lara-izitoast.toast')

<script>
    $(".box-video").click(function () {
        $('iframe', this)[0].src += "&amp;autoplay=1";
        $(this).addClass('open');
    });
</script>

<script>
    const input = document.querySelector("#mobile_code");
    if(input){
        window.intlTelInput(input, {
            utilsScript: "assets/js/utils.js",
            initialCountry: "bd",
            separateDialCode: true
        });
    }
    $(document).ready(function () {
        $('select').niceSelect();
    });

    function paywith(val){
        if(val == 'account_balance'){
            document.getElementById('pay-without-card').style.display = 'block';
            document.getElementById('pay-with-card').style.display = 'none';
        }else{
            document.getElementById('pay-with-card').style.display = 'block';
            document.getElementById('pay-without-card').style.display = 'none';
        }
    }

</script>
<script src="https://js.stripe.com/v3/"></script>
@if($paymentMethod)

@else
    <script>
        // Initialize Stripe
        var stripe = Stripe("{{env('STRIPE_KEY')}}");
        var elements = stripe.elements();

        // Custom styling for Stripe Elements
        var style = {
            base: {
                fontSize: '18px',
                color: '#32325d',
                '::placeholder': {
                    color: '#aab7c4'
                }
            },
            invalid: {
                color: '#fa755a',
                iconColor: '#fa755a'
            }
        };

        // Create instances of the card Element and other Elements
        var card = elements.create('cardNumber', { style: style, showIcon: true });
        var cardExpiry = elements.create('cardExpiry', { style: style });
        var cardCvc = elements.create('cardCvc', { style: style });
        var address = elements.create('address', { mode: 'billing', style: style });

        // Add instances of the Elements into the respective divs
        card.mount('#card-element');
        cardExpiry.mount('#card-expiry');
        cardCvc.mount('#card-cvc');
        address.mount('#address-element');
        cardCvc.on('change', function(event) {
            document.getElementById('address-div').style.display = 'block';
        });
        // Handle real-time validation errors from the card Element
        card.on('change', function(event) {
            var displayError = document.getElementById('card-errors');
            displayError.textContent = '';
            if (event.error) {
                displayError.textContent = event.error.message;
            } else {
                displayError.textContent = '';
            }

            // Update card icon
            var cardIcon = document.querySelector('.card-icon');
            if (event.brand) {
                cardIcon.style.backgroundImage = 'url(path/to/' + event.brand + '.svg)';
            } else {
                cardIcon.style.backgroundImage = 'none';
            }
        });

        // Handle form submission with AJAX
        var paymentForm = document.getElementById('payment-form');
        paymentForm.addEventListener('submit', function(event) {
            event.preventDefault();
            var displayError = document.getElementById('card-errors');
            displayError.textContent = '';
            var submitButton = document.getElementById('submit');
            submitButton.setAttribute('disabled', 'disabled');
            submitButton.textContent = 'Processing...';

            stripe.createToken(card).then(function(result) {
                if (result.error) {
                    // Inform the user if there was an error
                    var errorElement = document.getElementById('card-errors');
                    errorElement.textContent = result.error.message;
                    submitButton.removeAttribute('disabled');
                    submitButton.textContent = 'Pay Now';

                } else {
                    // Send the token to your server with AJAX
                    stripeTokenHandler(result.token);
                }
            });
        });
        function stripeTokenHandler(token) {
            // Find the input element within the iframe by its name attribute and get its valu
            var formData = {
                stripeToken: token.id,
                makePayment:1,
                product_id: {{@$product ? $product['id']: 0}},
                type: "{{@$product['billing_type'] != 0 ? 'subscription' : 'package'}}",
                credit_amount:{{ @$credit_amount ? $credit_amount:0 }},
                _token:$("input[name='_token']").val(),
                // fullName:$("input[name=name]").val(),
                // country:$("input[name=country]").val(),
                // addressLine1:$("input[name=addressLine1]").val(),
                // addressLine2:$("input[name=addressLine2]").val(),
                // state:$("input[name=administrativeArea]").val(),
                // postalCode:$("input[name=postalCode]").val(),
                preferredMethod: $('#preferred-method').is(':checked') ? 1:0
            };
            $.ajax({
                url: "{{route('save_payment_setting')}}",
                method: 'POST',
                data: formData,
                success: function(response) {
                    // Handle success response
                    if(response.status == 'success'){
                        console.log('Payment method added successfully:', response);
                        show(response.status, {message:response.message,position:'topCenter'});
                        setTimeout(function () {
                            // if(dq){
                            //     const form = document.getElementById('originalForm');
                            //     form.submit();
                            // }else
                                {
                                window.location= "{{route('payment_setting')}}";
                            }

                        },500);
                    }else{
                        var submitButton = document.getElementById('submit');
                        submitButton.removeAttribute('disabled');
                        submitButton.textContent = 'Pay Now';
                        show(response.status, {message:response.message,position:'topCenter'});
                    }
                },
                error: function(error) {
                    var submitButton = document.getElementById('submit');
                    submitButton.removeAttribute('disabled');
                    submitButton.textContent = 'Pay Now';
                    // Handle error response
                    console.log('Error adding payment method:', error);
                    show(response.status, {message:response.message,position:'topCenter'})
                }
            });
        }
    </script>
@endif

<script>
    document.addEventListener('DOMContentLoaded', async () => {
        try {
            const stripeKey = "{{ env('STRIPE_KEY') }}";
            if (!stripeKey) {
                console.log('Stripe key is missing or not set correctly.');
                return;
            }

            var stripeApple = Stripe(stripeKey);
            if (!stripeApple) {
                console.log('Failed to initialize Stripe.');
                return;
            }
            console.log('Initialized Stripe');

            const elements = stripeApple.elements();

            // Create a PaymentRequest object
            const response = await fetch('/create-payment-intent', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                    'X-CSRF-TOKEN': '{{ csrf_token() }}',
                },
                body: JSON.stringify({
                    credit_amount: {{ @$credit_amount ? @$credit_amount : 0 }},
                    product_id: {{ @$product ? @$product['id'] : 0 }}
                }),
            });

            const data = await response.json();
            console.log('Received payment intent data: ' + JSON.stringify(data));

            const paymentRequest = stripeApple.paymentRequest({
                country: 'US',
                currency: 'usd',
                total: {
                    label: data.name,
                    amount: data.amount, // Update with the correct amount from the backend
                },
                requestPayerName: true,
                requestPayerEmail: true,
            });

            const prButton = elements.create('paymentRequestButton', {
                paymentRequest: paymentRequest,
                style: {
                    paymentRequestButton: {
                        theme: 'dark', // Use 'light', 'dark', or 'light-outline'
                    },
                },
            });
            // Check if the PaymentRequest is available (Apple Pay will be available on compatible devices)
            paymentRequest.canMakePayment().then((result) => {
                if (result) {
                    prButton.mount('#apple-pay-button');
                    document.getElementById('apple-pay-button').style.display = 'block';
                    document.getElementById('apple-pay-button-div').style.display = 'block';
                    console.log('Apple Pay is available and the button is mounted');
                } else {
                    document.getElementById('apple-pay-button').style.display = 'none';
                    document.getElementById('apple-pay-button-div').style.display = 'none';
                    console.log('Apple Pay is not available');
                }
            });

            paymentRequest.on('paymentmethod', async (ev) => {
                try {
                    // Confirm the payment using the client secret from the payment intent
                    const { error } = await stripeApple.confirmCardPayment(
                        data.clientSecret,
                        {
                            payment_method: ev.paymentMethod.id,
                        },
                        {
                            handleActions: false,
                        }
                    );

                    if (error) {
                        ev.complete('fail');
                        console.error(error);
                        console.log('Payment failed: ' + error.message);

                        show('error', {message:error.message,position:'topCenter'});
                    } else {
                        console.log('Payment succeeded');
                        {{--alert({{ @$credit_amount ? @$credit_amount : 0 }})--}}
                        {{--alert(ev.paymentMethod.id)--}}
                        {{--const saveResponse = await fetch('/save-payment-method', {--}}
                        {{--    method: 'POST',--}}
                        {{--    headers: {--}}
                        {{--        'Content-Type': 'application/json',--}}
                        {{--        'X-CSRF-TOKEN': '{{ csrf_token() }}',--}}
                        {{--    },--}}
                        {{--    body: JSON.stringify({--}}
                        {{--        credit_amount: {{ @$credit_amount ? @$credit_amount : 0 }},--}}
                        {{--        product_id: {{ @$product ? @$product['id'] : 0 }},--}}
                        {{--        payment_method_id: ev.paymentMethod.id,--}}
                        {{--    }),--}}
                        {{--});--}}

                        {{--const saveResult = await saveResponse.json();--}}
                        {{--console.log('Payment method saved: ' + saveResult.message);--}}
                        //
                        ev.complete('success');
                        show('success', {message:'Payment Successful',position:'topCenter'});
                        alert('Payment Successful');
                        setTimeout(function () {
                            window.location= "{{route('dashboard')}}";
                        },500);
                    }
                } catch (error) {
                    console.log('Error during payment method event: ' + error.message);
                }
            });
        } catch (error) {
            document.getElementById('apple-pay-button').style.display = 'none';
            document.getElementById('apple-pay-button-div').style.display = 'none';
            console.log('Error during setup: ' + error.message);
        }
    });
</script>
</body>

</html>
