<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <!-- Bootstrap CSS -->
    <link href="assets/css/bootstrap.min.css" rel="stylesheet" />
    <link href="assets/css/all.min.css" rel="stylesheet" />
    <link href="assets/css/fontawesome.css" rel="stylesheet" />
    <link href="assets/css/owl.carousel.min.css" rel="stylesheet" />
    <link href="assets/css/aos.css" rel="stylesheet" />
    <link href="assets/css/nice-select.css" rel="stylesheet" />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/intl-tel-input@20.3.0/build/css/intlTelInput.css">
    <link href="assets/css/default.css" rel="stylesheet" />
    <link href="assets/css/style.css" rel="stylesheet" />
    <link href="assets/css/responsive.css" rel="stylesheet" />

    <title>Privacy</title>
    <style>
        .iti__globe {background-image: url("./assets/img/globe.png");}
        .iti__flag { background-image: url("./assets/img/flags.png"); }

        @media (min-resolution: 2x) {
            .iti__globe { background-image: url("./assets/img/globe@2x.png"); }
            .iti__flag { background-image: url("./assets/img/flags@2x.png"); }
        }
        .iti.iti--allow-dropdown.iti--show-flags.iti--inline-dropdown {
            width: 100%;
        }

        .iti__selected-flag {
            padding-left: 10px;
        }
        .iti__selected-dial-code {
            font-size: 18px;
            letter-spacing: 2px;
            margin-right: 6px;
        }

        .iti__arrow {
            border-left: 5px solid transparent;
            border-right: 5px solid transparent;
            border-top: 6px solid #555;
            margin-left: 2px;
            margin-right: 5px;
        }
        .iti__flag-container {
            width: 100% !important;
        }
        li{list-style: inside !important;}
    </style>
</head>

<body>

<div class="main__area">

    <div class="overlay none__desk"></div>

    <!-- =================== HEADER AREA START ===================== -->
    <header class="signup__area">
        <div class="page__inner__wrap">
            <div class="container">
                <div class="page__top__blk margin_top">
                    <a href="{{ route('dashboard') }}"><span><i class="fal fa-angle-left"></i></span> Privacy Policy</a>
                </div>

                <p class="mt-4"></p>

                <div class="mb-4">


                    <h5>Definitions</h5>

                    <p><strong>Application</strong> refers to the AloTel application for iOS, the AloTel application for Android, and the AloTel application for desktop platforms; published by Avion UAV inc;</p>

                    <p><strong>Company</strong> (referred to as either "the Company", “Our”, “Us” or "We" in this privacy policy) refers to Avion UAV inc, whose head office is at 1106 Battery Street, San Francisco CA, 94111  USA</p>

                    <p><strong>Service</strong> means - voip service for calls provided via the Application</p>

                    <p><strong>Personal Data</strong> is any information that specifically identifies an individual (such as your name, user name, address or e-mail address), processed by the Company for the purposes set forth in this privacy policy. Personal Data also includes any information about an individual that is directly linked to personally identifiable information and is processed by the Company for the purposes set forth in this privacy policy. Personal information does not include “aggregate” information, which is data the Company collects about the use of the Service (such as automated crash reports) or about a group or category of users, from which individual identities or other personal information has been removed. This privacy policy in no way restricts or limits our collection and use of aggregate information.</p>

                    <p><strong>Company</strong> (referred to as either "the Company", “Our”, “Us” or "We" in this privacy policy) refers to Avion UAV inc, whose head office is at 1106 Battery Street, San Francisco CA, 94111  USA</p>

                    <p><strong>Device</strong> means any device that can access the Service such as a cell phone, tablet or a computer, that allows the Application to be downloaded and the Service to be used</p>

                    <p><strong>User</strong> means a natural person using the Application for personal or professional purposes.</p>

                    <h5>Privacy information access preface</h5>

                    <p>Company is very concerned for the privacy of the users of our products. To this extent, no user information is collected except when necessary for using a specific feature of our products (Apple Push Notification Service, Firebase Cloud Messaging) and is never shared with any third parties. The only time information is requested other than listed here is for use in troubleshooting technical issues and of course, the user has the option to refuse in that case (though that may negatively affect our ability to resolve any issues).</p>

                    <p>This privacy policy contains the full list of features built into the Application that in any way process users’ private information. Whether a feature is enabled or not, and thus whether the private information required for the feature to work is accessed, depends solely on the SIP account configuration in the Application.</p>

                    <h5>Push Notifications</h5>

                    <p>In order for Push Notifications to work, we must register your account remotely when the Application is in the background or closed on your iOS or Android device. To accomplish this, we transmit your SIP account details to SIPIS (our server that handles push notifications) over a HTTPS – secure connection. This information is shared with no one and is erased immediately when the push instance expires (usually within 3-6 days, depending on SIP account configuration) or the user disables Push Notifications in the Application. If the SIP account is configured to use one of our methods for multitasking instead of Push Notifications, this information is not sent to SIPIS.</p>

                    <h5>Mobile App Contacts Usage</h5>

                    <p>This part of the privacy statement describes how the Company collects and uses the contact information you provide by granting the contacts access permission in the Application. It also describes the choices available to you regarding our use of your information and how you can access and update this information.</p>

                    <p>We access the following personal information from your address book:</p>

                    <ul>
                        <li>Contacts’ names</li>
                        <li>Contacts’ email</li>
                        <li>Contacts’ telephones</li>
                        <li>Contacts’ organization</li>
                        <li>Contacts’ postal address</li>
                        <li>Contacts’ birthday</li>
                        <li>Contacts’ gender</li>
                    </ul>

                    <p>We use this information to:</p>

                    <ul>
                        <li>Populate your Contacts data in the app.</li>
                        <li>To import your favorite contacts into the QuickDial list, if you also enable the “Busy Lamp Field” feature on a contact, the favorite contact’s number (URI) will be included in your SIP traffic, but will not be stored anywhere.</li>
                        <li>Enable the Smart Contacts feature, which helps you to make free calls and enjoy seamless communication with other users with SIP accounts on the same provider. If your SIP account is configured to use the Smart Contacts feature, we securely upload your contacts to the server in order to recognize Application users among your contacts.</li>
                    </ul>

                    <p>We will only use your Contacts information for the specific reason for which it was provided to us.</p>

                    <h5>Mobile App Location Information Usage</h5>

                    <p>This part of the privacy statement describes how the Company uses the location information you provide by granting the Location access permission in the Application.</p>

                    <p>We ask the location access permission only if the SIP account is configured to do so, and only in the following use cases:</p>

                    <ul>
                        <li>When the SIP account is used in a country with Dispatchable Location for emergency calls legal requirement. In this situation, the app attempts to acquire your location information in case a call to an emergency number is placed. Please note that emergency calls are usually routed to your phone's native dialer instead of requesting location access. Please consult with support to learn how emergency calls are handled for your account.</li>
                        <li>When the SIP account is configured to send location data during SIP registration</li>
                    </ul>

                    <p>We will only use your Location information for the specific reason for which it was provided to us.</p>

                    <h5>Mobile App Media Files and Documents usage</h5>

                    <p>This part of the privacy statement describes how the Company uses media files and documents shared with the Application. Depending on the operating system, you may need to grant additional file access-related permissions to the Application in order for the Application to access files.</p>

                    <p>We process your files such as photos, videos, and documents; only if the SIP account is configured to do so, and only in the following use cases:</p>

                    <ul>
                        <li>When you select the option to share a media or file attachment via a multimedia message. We always access only the files that have been explicitly shared with the Application. The attached files are always encrypted and securely uploaded to a server in order for the message recipient to download them later.</li>
                        <li>Other use cases in which the files never leave your device. An example of such a use case is adding a photo avatar to a favorite contact (also referred to as “QuickDial”).</li>
                    </ul>

                    <p>We will only use your files for the specific reason for which they were provided to us.</p>

                    <h5>Google Calendar usage</h5>

                    <p>This privacy statement describes how the Company collects and uses the information you provide in your Google Calendar account via the Application for our UCaaS products. It also describes the choices available to you regarding our use of your information and how you can access and update this information.</p>

                    <p>We collect the following personal information from your Google Calendar and Google Contacts account:</p>

                    <ul>
                        <li>Event name</li>
                        <li>Event date</li>
                        <li>Event time</li>
                        <li>Event description (will be inserted as a note)</li>
                        <li>Event location (will be inserted as a note)</li>
                        <li>Contacts’ names</li>
                        <li>Contacts’ email</li>
                        <li>Contacts’ telephones</li>
                        <li>Contacts’ organization</li>
                        <li>Contacts’ postal address</li>
                        <li>Contacts’ birthday</li>
                        <li>Contacts’ gender</li>
                    </ul>

                    <p>We add/import the following personal information from your “Cloud Softphone” account to your Google Calendar & Google Contacts account:</p>

                    <ul>
                        <li>Event name</li>
                        <li>Event date</li>
                        <li>Event time</li>
                        <li>Event description</li>
                        <li>Event resource name</li>
                    </ul>

                    <p>We use this information to:</p>

                    <ul>
                        <li>Populate your Google Calendar & Google Contacts data in your installed Application.</li>
                        <li>Populate your Application customer data in your Google Calendar & Google Contacts account</li>
                        <li>Create bookings from the Application‘s calendar for the imported/synchronized contacts</li>
                        <li>Keep your Google Calendar & Google Contacts in sync with your Application customers and vice versa</li>
                        <li>Send booking confirmation emails, booking cancellation emails, booking update emails or booking reminder emails to the contacts imported from Google Calendar & Google Contacts – prior to sending out such emails your consent will be sought each time.</li>
                    </ul>

                    <p>We will only use this information for the specific reason for which it was provided to us.</p>

                    <h5>Mobile App Analytics Usage</h5>

                    <p>The Company may collect aggregate data that no longer identifies individual users for purposes of usage and performance analysis. This may include diagnostic data such as login counts, screen view counts or crash information.</p>

                    <h5>Troubleshooting Logs Usage</h5>

                    <p>For the sole purpose of troubleshooting, the Company might ask users to provide debug logs from the Application. The debug logs contain full network traffic information for application provisioning, calls, messaging and other network in-app events generated by user activity.</p>

                    <h5>Retention of Information</h5>

                    <p>We maintain your personal information in our regular business records while you are a customer of your Service. We may also maintain this information for a period of time after you are no longer a customer if the information is necessary for the purposes for which it was collected or to satisfy our legal requirements and/or obligations. These purposes typically include business, legal, or tax purposes. If there are no pending requests, orders, or court orders for access to this personal information, we may destroy the information once it becomes unnecessary to those purposes for which it was collected.</p>

                    <h5>Security</h5>

                    <p>The security of personal information is important to us. We take commercially reasonable measures and follow generally accepted standards to protect the information you provide us, both during transmission and once we receive it. For example, the information you provide is transmitted via encryption using technologies such as secure socket layer technology (SSL).</p>

                    <h5>Disclosure to Third Parties</h5>

                    <p>We do not share or sell your personal information to third parties.</p>

                    <p>We disclose information only in the following cases:</p>

                    <ul>
                        <li>as required by law, such as to comply with a subpoena or similar legal process</li>
                        <li>when we believe in good faith that disclosure is necessary to protect our rights, protect your safety or the safety of others, to investigate fraud, or to respond to a government request</li>
                        <li>if we are involved in a merger, acquisition, or sale of all or a portion of its assets, you will be notified via email and/or a prominent notice through our app of any change in ownership or uses of your personal information, as well as any choices you may have regarding your personal information</li>
                        <li>to any other third party with your prior consent to do so</li>
                    </ul>

                    <h5>Privacy Statement Updates</h5>

                    <p>We may update this privacy statement to reflect changes to our business or this app as it pertains to the information collected from you and our use of it. If the change impacts how we use or handle information collected from you, we will email you and/or your company’s Google administrator, or post a notice where you first access this app prior to the change becoming effective. We encourage you to periodically review this page for the latest information on our privacy practices.</p>

                    <h5>Support</h5>

                    <p>As a user, you can request the following:</p>

                    <ul>
                        <li>Confirmation of access to personal data concerning you</li>
                        <li>Access to the processed personal data concerning you.</li>
                    </ul>

                    <p>Please note that pieces of personal data stored in encrypted format can only be provided in its encrypted form.</p>

                    <p>Please note that once data is removed it cannot be restored.</p>

                    <ul>
                        <li>Correct inaccurate or incomplete personal data concerning you</li>
                        <li>Erase processed personal data concerning you</li>
                        <li>Arrange how personal data concerning you should be processed in event of your death</li>
                    </ul>

                    <p>To process a request, please send us an email to <a href="mailto:support@alotel.app">support@alotel.app</a> with the following:</p>

                    <ul>
                        <li>Subject of request, your name(s) and first name(s);</li>
                        <li>Scan of both sides of your passport or identity card to enable us to verify your identity</li>
                    </ul>

                    <p>Company support will respond to requests in a timely manner (within 30 days of request).</p>

                    <p>Company support might ask you for further information, such as a username or a phone number, in order to determine what information has been collected about you.</p>

                    <p>If you have any questions or concerns about our privacy policy, please contact us at <a href="mailto:support@alotel.app">support@alotel.app</a>.</p>

                </div>


            </div>
        </div>




    </header>
    <!-- =================== HEADER AREA END ===================== -->

</div>




<!-- Optional JavaScript; choose one of the two! -->
<script src="assets/js/jquery.min.js"></script>
<script src="assets/js/popper.js"></script>
<script src="assets/js/bootstrap.min.js"></script>
<script src="assets/js/owl.carousel.min.js"></script>
<script src="assets/js/jquery.nice-select.min.js"></script>
<script src="assets/js/utils.js"></script>
<script src="assets/js/intlTelInput.min.js"></script>
<script src="assets/js/aos.js"></script>
<script src="assets/js/main.js"></script>




</body>

</html>

