@extends('admin.admin-base')

@section('admin-main-content')

<div class="content-body">

        <!-- Page Headings Start -->
        <div class="row justify-content-between align-items-center mb-10">
            <!-- Page Heading Start -->
            <div class="col-12 col-lg-auto mb-20">
                <div class="page-heading">
                    <h3 class="title">Categories</h3>
                </div>
            </div><!-- Page Heading End -->
        </div><!-- Page Headings End -->


        <div class="row">
            <!--Default Data Table Start-->
            <div class="col-12 mb-30">
                <div class="box" style="background-color: #FFF">
                    <div class="box-head">
                        <h3 class="title">All Categories <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#AddTribeModal" style="float: right">Add Category</button></h3>
                    </div>

                    <div class="box-body">
                        @if (Session::has('error'))
                            <div class="alert alert-danger alert-block">{{ Session::get('error') }}</div>
                        @endif

                            @if (Session::has('fail'))
                                <div class="alert alert-danger alert-block">{{ Session::get('fail') }}</div>
                            @endif
                        @if (Session::has('success'))
                            <div class="alert alert-success alert-block">{{ Session::get('success') }}</div>
                        @endif
                            @if (count($errors) > 0)
                                    @foreach ($errors->all() as $error)
                                            <div class="alert alert-danger alert-block">{{ $error }}</div>
                                    @endforeach
                            @endif
                            
                    <div class="box-body">
                        @if (Session::has('error'))
                            <div class="alert alert-danger alert-block">{{ Session::get('error') }}</div>
                        @endif

                            @if (Session::has('fail'))
                                <div class="alert alert-danger alert-block">{{ Session::get('fail') }}</div>
                            @endif
                        @if (Session::has('success'))
                            <div class="alert alert-success alert-block">{{ Session::get('success') }}</div>
                        @endif
                            @if (count($errors) > 0)
                                    @foreach ($errors->all() as $error)
                                            <div class="alert alert-danger alert-block">{{ $error }}</div>
                                    @endforeach
                            @endif
                            <table id="my_table" class="table table-bordered data-table data-table-default">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>Category</th>
                                <th>Category_Image</th>
                                <th>Status</th>
                                <th>Actions</th>
                            </tr>
                            </thead>

                            <tbody>
                            @foreach ($group_categories as $item)

                                <tr>

                                    <td>{{ $item->group_category_id}}</td>
                                    <td>{{ $item->category}}</td>
                                    <td>
                                        <img src="{{url($item->category_image)}}" width="70px" height="70px" alt="image">
                                    </td>
                                    <td>{{ $item->status}}</td>

                                    <td>
                                    <!-- <button type="button" class="btn btn-secondary" data-toggle="modal" data-target="#EditTribeModal" style="float:">Edit</button> -->
                                    <a href="{{url('/category_delete', $item['group_category_id'])}}"><button type="button" class="btn btn-danger">Delete </button> </a>
                                    </td>

                                </tr>

                            @endforeach

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

            <!--Default Data Table End-->
        </div>
    </div>
    <!-- Content Body End -->

    <div class="modal fade" id="AddTribeModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" style="margin: 160px auto;">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Add Category</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <form method="POST" action="{{route('save.category')}}" id="AddTribeModal" enctype="multipart/form-data">       
                    @csrf
                    <div class="modal-body">

                        <ul class="alert-danger d-none" id="saveError">Enter Name</ul>
                        <input type="text" id="name" name="name" placeholder="Enter Name" class="form-control mt-3">

                    </div>
                    <div class="modal-body">

                        <ul class="alert-danger d-none" id="saveError">Enter Image</ul>
                        <input type="file" id="image" name="image" class="form-control mt-3">

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </form>

            </div>
        </div>
    </div>

    <div class="modal fade" id="EditTribeModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" style="margin: 160px auto;">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Edit Category</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <form method="POST" action="{{route('update.category')}}" id="AddTribeModal" enctype="multipart/form-data">       
                    @csrf
                    <div class="modal-body">

                        <ul class="alert-danger d-none" id="saveError">Enter Name</ul>
                        <input type="text" id="name" name="name" placeholder="Enter Name" class="form-control mt-3">

                    </div>
                    <div class="modal-body">

                        <ul class="alert-danger d-none" id="saveError">Enter Image</ul>
                        <input type="file" id="image" name="image" class="form-control mt-3">

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Update</button>
                    </div>
                </form>

            </div>
        </div>
    </div>
    <!-- Delete Modal -->
    <div class="modal fade" id="DeleteEmployeeForm" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" style="margin: 160px auto;">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Edit Employee</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <form method="POST" id="DeleteForm" enctype="multipart/form-data">

                    <div class="modal-body">

                        <ul class="alert-danger d-none" id="saveErrorEdit"></ul>
                        <h4>Are you sure you want to delete!</h4>
                        <input type="text" id="delete_id" name="delete_id"  class="form-control mt-3">

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="delete_employee_btn btn btn-primary">Delete</button>
                    </div>
                </form>

            </div>
        </div>
    </div>

@endsection
@section('scripts')
<script src="{{url('public/img/'.$item->category_image)}}"></script>
<script>
    $(function(){
        $('AddTribeModal').on('submit',function(e){
            e.preventDefault();
            var AddTribeModal = this;
            $.ajax({
                url:$(AddTribeModal).attr('action'),
                method:$(AddTribeModal).attr('method'),
                data:new FormData(AddTribeModal),
                processData:false,
                dataType:'json',
                content Type:false,
                beforeSend:function(){
                    $(AddTribeModal).find('span.error-text').text('');
                },
                success:function(data){
                    if(data.code==0){
                        $.each(data.error,function(prefix<val){
                            $(AddTribeModal).find('span.'+prefix+'_error').text(val[0]);
                        });
                    }else{
                        $(AddTribeModal)[0].reset();
                        alert('New Category has been added Successfully');
                    }
                }
            });
        })
    });
</script>
// Delete employee modal
            $(document).on('click','.delete_btn', function (e) {
                e.preventDefault();

                var tribe_id = $(this).val();
                alert(tribe_id)
                $("#DeleteEmployeeForm").modal("show");
                $("#delete_id").val(tribe_id);
            });

            //Delete Employee
            $(document).on('click','.delete_employee_btn', function (e) {

                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });

                e.preventDefault();

                var tribe_id = $("#delete_id").val();


                $.ajax({
                    type: "POST",
                    url: "/delete/"+tribe_id,
                    contentType: false,
                    processData: false,
                    success: function (response) {

                        if(response.status == 400){

                            alert(response.message);



                        }else if(response.status == 200){
                            alert(response.message);
                            $("#DeleteEmployeeForm").modal("hide");
                            window.location.reload(false)
                        }
                    }
                });
            });
        });
    </script>
@endsection