@extends('admin.admin-base')

@section('admin-main-content')


    <!-- Content Body Start -->
    <div class="content-body">

        <!-- Page Headings Start -->
        <div class="row justify-content-between align-items-center mb-10">
            <!-- Page Heading Start -->
            <div class="col-12 col-lg-auto mb-20">
                <div class="page-heading">
                    <h3 class="title">Tribes</h3>
                </div>
            </div><!-- Page Heading End -->
        </div><!-- Page Headings End -->


        <div class="row">
            <!--Default Data Table Start-->
            <div class="col-12 mb-30">
                <div class="box" style="background-color: #FFF">
                    <div class="box-head">
                        <h3 class="title">All Tribes <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#AddTribeModal" style="float: right">Add Tribe</button></h3>
                    </div>




                    <div class="box-body">
                        @if (Session::has('error'))
                            <div class="alert alert-danger alert-block">{{ Session::get('error') }}</div>
                        @endif

                            @if (Session::has('fail'))
                                <div class="alert alert-danger alert-block">{{ Session::get('fail') }}</div>
                            @endif
                        @if (Session::has('success'))
                            <div class="alert alert-success alert-block">{{ Session::get('success') }}</div>
                        @endif
                            @if (count($errors) > 0)
                                    @foreach ($errors->all() as $error)
                                            <div class="alert alert-danger alert-block">{{ $error }}</div>
                                    @endforeach
                            @endif





                        <table id="my_table" class="table table-bordered data-table data-table-default">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>Tribe</th>
                                <th>Status</th>
                                <th>Actions</th>
                            </tr>
                            </thead>

                            <tbody>
                            @foreach ($tribes as $item)

                                <tr>

                                    <td>{{ $item->tribe_id}}</td>
                                    <td>{{ $item->tribe}}</td>
                                    <td>{{ $item->status}}</td>
                                    <td>
                                    <!-- <button type="button" value="{{$item->id}}" class="editbtn btn btn-secondary">Edit</button> -->
                                    <!-- <button type="button" class="btn btn-secondary" data-toggle="modal" data-target="#editbtn" style="float:">Edit</button> -->
                                    <a href="{{url('/tribe_delete', $item['tribe_id'])}}"><button type="button" class="btn btn-danger">Delete </button> </a>
                                    </td>

                                </tr>

                            @endforeach

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

            <!--Default Data Table End-->
        </div>
    </div>
    <!-- Content Body End -->




    <!-- Add Modal -->
    <div class="modal fade" id="AddTribeModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" style="margin: 160px auto;">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Add Tribe</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <form method="POST" id="AddEmployeeForm" enctype="multipart/form-data">       

                    <div class="modal-body">

                        <ul class="alert-danger d-none" id="saveError"></ul>
                        <input type="text" id="name" name="name" placeholder="Enter Name" class="form-control mt-3">

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </form>

            </div>
        </div>
    </div>

    <!-- Update Modal -->
    <div class="modal fade" id="UpdateEmployeeForm" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" style="margin: 160px auto;">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="UpdateEmployeeForm">Edit Tribe</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <form method="POST" action="{{url('tribe_update/{id}')}}">
                    @csrf
                    <input type="hidden" name="tribe_id" id="tribe_id" >

                    <div class="modal-body">

                        <ul class="alert-danger d-none" id="saveErrorEdit"></ul>
                        <!-- <input type="text" id="id" name="id"  class="form-control mt-3"> -->
                        <input type="text" id="edit_name" name="name" placeholder="Enter Name" class="form-control mt-3">

                    </div>
                    <div class="modal-footer">
                        <!-- <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button> -->
                        <button type="submit" class="btn btn-primary">Update</button>
                    </div>
                </form>

            </div>
        </div>
    </div>
<!-- editbtn -->
<div class="modal fade" id="editbtn" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" style="margin: 160px auto;">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="UpdateEmployeeForm">Edit Tribe</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <form method="POST" action="{{url('tribe_update/{id}')}}">
                    @csrf
                    <input type="hidden" name="tribe_id" id="tribe_id" >

                    <div class="modal-body">

                        <ul class="alert-danger d-none" id="saveErrorEdit"></ul>
                        <!-- <input type="text" id="id" name="id"  class="form-control mt-3"> -->
                        <input type="text" id="edit_name" name="name" placeholder="Enter Name" class="form-control mt-3">

                    </div>
                    <div class="modal-footer">
                        <!-- <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button> -->
                        <button type="submit" class="btn btn-primary">Update</button>
                    </div>
                </form>

            </div>
        </div>
    </div>
<!-- end -->
    <!-- Delete Modal -->
    <div class="modal fade" id="DeleteEmployeeForm" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" style="margin: 160px auto;">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Edit Employee</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <form method="POST" id="DeleteForm" enctype="multipart/form-data">

                    <div class="modal-body">

                        <ul class="alert-danger d-none" id="saveErrorEdit"></ul>
                        <h4>Are you sure you want to delete!</h4>
                        <input type="text" id="delete_id" name="delete_id"  class="form-control mt-3">

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="delete_employee_btn btn btn-primary">Delete</button>
                    </div>
                </form>

            </div>
        </div>
    </div>

@endsection
@section('script')

    <script>
        $(document).ready(function () {

            // Add Tribe
            $(document).on('submit','#AddEmployeeForm', function (e) {

                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                e.preventDefault();

                let formData = new FormData($("#AddEmployeeForm")[0]);
                $.ajax({
                    type: "POST",
                    url: "{{route("tribe_store")}}",
                    data: formData,
                    contentType: false,
                    processData: false,
                    success: function (response) {

                        if(response.status == 400){

                            $("#saveError").html("");
                            $("#saveError").removeClass("d-none");

                            $.each(response.errors, function (key, value) {
                                $("#saveError").append('<li>' + value + '</li>')
                            });

                        }else if(response.status == 200){
                            $("#saveError").html("");
                            $("#saveError").addClass("d-none");
                            // this.reset();
                            $("#AddEmployeeForm").find("input").val('');
                            $("#AddEmployeeForm").modal("hide");
                            // alert(response.message);
                            window.location.reload(false)
                        }
                    }
                });
            });

            // edit employee
            $(document).on('click','.edit_btn', function (e) {
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                e.preventDefault();

                // let formData = new FormData($("#AddEmployeeForm")[0]);

                var tribe_id = $(this).val();F
                alert(tribe_id)
                $("#UpdateEmployeeForm").modal("show");


                $.ajax({
                    type: "GET",
                    url: "/tribe_edit/"+tribe_id,
                    contentType: false,
                    processData: false,
                    success: function (response) {

                        if(response.status == 400){



                            // $("#saveError").html("");
                            // $("#saveError").removeClass("d-none");
                            //
                            // $.each(response.errors, function (key, value) {
                            //
                            //     $("#saveError").append('<li>' + value + '</li>')
                            //
                            // } );
                            alert(response.message);
                            $("#UpdateEmployeeForm").modal("hide");


                        }else if(response.status == 200){
                            // alert(response.employee.name);

                            $("#id").val(response.employee.id);
                            $("#edit_name").val(response.employee.name);
                            $("#edit_phone").val(response.employee.phone);

                        }
                    }
                });
            });

            // update employee
            $(document).on('submit','#UpdateEmployeeForm', function (e) {

                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });


                e.preventDefault();

                var id = $("#id").val();
                console.log(id);
                let EditformData = new FormData($("#UpdateEmployeeForm")[0]);

                alert(EditformData);
                console.log(EditformData);

                $.ajax({
                    type: "POST",
                    url: "/tribe_update/"+id,
                    data: EditformData,
                    contentType: false,
                    processData: false,
                    success: function (response) {

                        if(response.status == 400){

                            $("#saveErrorEdit").html("");
                            $("#saveErrorEdit").removeClass("d-none");

                            $.each(response.errors, function (key, value) {

                                $("#saveErrorEdit").append('<li>' + value + '</li>')

                            } );

                        }else if(response.status == 200){
                            $("#saveErrorEdit").html("");
                            $("#saveErrorEdit").addClass("d-none");
                            // this.reset();
                            $("#EditEmployeeForm").find("input").val('');
                            $("#UpdateEmployee").modal("hide");
                            // alert(response.message);
                            window.location.reload(false)
                        }
                    }
                });
            });

            // Delete employee modal
            $(document).on('click','.delete_btn', function (e) {
                e.preventDefault();

                var tribe_id = $(this).val();
                alert(tribe_id)
                $("#DeleteEmployeeForm").modal("show");
                $("#delete_id").val(tribe_id);
            });

            //Delete Employee
            $(document).on('click','.delete_employee_btn', function (e) {

                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });

                e.preventDefault();

                var tribe_id = $("#delete_id").val();


                $.ajax({
                    type: "POST",
                    url: "/delete/"+tribe_id,
                    contentType: false,
                    processData: false,
                    success: function (response) {

                        if(response.status == 400){

                            alert(response.message);



                        }else if(response.status == 200){
                            alert(response.message);
                            $("#DeleteEmployeeForm").modal("hide");
                            window.location.reload(false)
                        }
                    }
                });
            });
        });
        $(document).ready(function(){
            $(document).on('click','editbtn',function(){
                var tribe_id=$(this).val();
                $('#UpdateEmployeeForm').modal('show');
                $,ajax({
                    type:"GET",
                    url:"/tribe_edit/"+tribe_id,
                    success:function(response){
                        // console.log(response);
                        $('#name').val(response.tribe.name);
                        $('tribe_id').val(tribe_id);
                    }
                });
            });
        });
    </script>

@endsection






