<!DOCTYPE html>
<html>

<head>
    <title>Socialcalabash - Dashboard</title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Custom StyleSheet -->
    <link rel="stylesheet" href="css/dashboard.css">

<body>
    <div class="form-features">
        <div class="form">
            <div class="container">
                <div class="logo">
                    <img src="img/logo.png" alt="">
                </div>
                <div class="signup-form" style="width: 40%;">
                    <div class="heading">
                        <p>Sign In</p>
                    </div>
                    <form method="POST" action="{{ url('/login_post') }}">
                        @csrf
                        @if ($message = Session::has('error'))
                        <div class="alert alert-danger alert-block">{{ Session::get('error') }}</div>
                    @endif
                    @if ($message = Session::has('success'))
                        <div class="alert alert-danger alert-block">{{ Session::get('success') }}</div>
                    @endif
                        <div class="form-group-cont">
                            <div class="form-group" style="width: 100%;">
                                <label for="">email address *</label>
                                <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old(' email ') }}" required autocomplete="email" placeholder="Email Address" autofocus>

                                @error('email')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                            <div class="form-group" style="width: 100%;">
                                <label for="">password *</label>
                                <input id="password" type="password"
                                    class="form-control @error('password') is-invalid @enderror" name="password"
                                    required autocomplete="current-password" placeholder="Password">

                                @error('password')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="btn">
                            <input type="submit" value="Sign In">
                        </div>
                    </form>
                </div>
                <div class="have-account">
                    <p>Don't have an account? <a href="{{ url('/signup') }}">Sign Up</a></p>
                </div>
            </div>
        </div>
        <div class="features">
            <div class="features-head">
                <p>Welcome to<br><span>SocialCalabash</span></p>
            </div>
            <div class="features-desc">
                <p>A simpler and smarter social media tool designed to effectively enwrap your client's followers, keep
                    an eye on their brand name and track performance.</p>
            </div>
            <div class="features-list-head">
                <p>Features</p>
            </div>
            <div class="features-list">
                <ul>
                    <li><img src="img/dot-green.png" alt="Dot Icon">All your social networks in one place!</li>
                    <li><img src="img/dot-green.png" alt="Dot Icon">1Stop Dashboard</li>
                    <li><img src="img/dot-green.png" alt="Dot Icon">Publishing and Scheduling</li>
                    <li><img src="img/dot-green.png" alt="Dot Icon">Collaborate Seamlessly</li>
                    <li><img src="img/dot-green.png" alt="Dot Icon">Insightful Analytics</li>
                    <li><img src="img/dot-green.png" alt="Dot Icon">Listen and Monitor</li>
                    <li><img src="img/dot-green.png" alt="Dot Icon">Great reports</li>
                </ul>
            </div>
        </div>
    </div>

    <!-- Include jQuery -->
    <script src="js/jquery-2.2.4.min.js"></script>
    <!-- Custom Script -->
    <script src="js/script.js"></script>

</body>

</html>
