<!DOCTYPE html>
<html>

<head>
    <title>Socialcalabash - Dashboard</title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Custom StyleSheet -->
    <link rel="stylesheet" href="css/dashboard.css">

<body>
    <div class="form-features">
        <div class="form">
            <div class="container">
                <div class="logo">
                    <img src="img/logo.png" alt="">
                </div>
                <div class="signup-form">
                    <div class="heading">
                        <p>Sign Up</p>
                    </div>
                    <form method="POST" action="{{ url('/signup_post') }}">
                        @csrf
                        <div class="form-group-cont">
                            <div class="form-group">
                                <label for="">first name *</label>
                                <input id="fname" type="text" class="form-control @error('fname') is-invalid @enderror" name="fname" value="{{ old(' fname') }}" required autocomplete=" fname" autofocus>

                                @error('fname')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                            <div class="form-group">
                                <label for="">last name *</label>
                                <input id="lname" type="text" class="form-control @error('lname') is-invalid @enderror" name="lname" value="{{ old(' lname') }}" required autocomplete=" lname" autofocus>

                                @error('lname')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="form-group-cont">
                            <div class="form-group">
                                <label for="">email address *</label>
                                <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old(' email ') }}" required autocomplete="email" autofocus>

                                @error('email')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                            <div class="form-group">
                                <label for="">company (optional)</label>
                                <input id="company" type="text" class="form-control @error('company') is-invalid @enderror" name="company" value="{{ old(' company ') }}" required autocomplete=" company " autofocus>

                                @error('company')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="form-group-cont">
                            <div class="form-group">
                                <label for="">password *</label>
                                <input id="password" type="password"
                                                class="form-control @error('password') is-invalid @enderror"
                                                name="password" required autocomplete="current-password"
                                                placeholder="">

                                            @error('password')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                            </div>
                            <div class="form-group">
                                <label for="">confirm password</label>
                                <input id="password_confirmation" type="text" class="form-control @error('password_confirmation') is-invalid @enderror" name="password_confirmation" value="{{ old(' password_confirmation') }}" required autocomplete=" password_confirmation" autofocus>

                                @error('password_confirmation')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="btn">
                            <input type="submit" value="Sign Up">
                        </div>
                    </form>
                </div>
                <div class="have-account">
                    <p>Already have an account? <a href="{{ url('/signin') }}">Sign In</a></p>
                </div>
            </div>
        </div>
        <div class="features">
            <div class="features-head">
                <p>Welcome to<br><span>SocialCalabash</span></p>
            </div>
            <div class="features-desc">
                <p>A simpler and smarter social media tool designed to effectively enwrap your client's followers, keep
                    an eye on their brand name and track performance.</p>
            </div>
            <div class="features-list-head">
                <p>Features</p>
            </div>
            <div class="features-list">
                <ul>
                    <li><img src="img/dot-green.png" alt="Dot Icon">All your social networks in one place!</li>
                    <li><img src="img/dot-green.png" alt="Dot Icon">1Stop Dashboard</li>
                    <li><img src="img/dot-green.png" alt="Dot Icon">Publishing and Scheduling</li>
                    <li><img src="img/dot-green.png" alt="Dot Icon">Collaborate Seamlessly</li>
                    <li><img src="img/dot-green.png" alt="Dot Icon">Insightful Analytics</li>
                    <li><img src="img/dot-green.png" alt="Dot Icon">Listen and Monitor</li>
                    <li><img src="img/dot-green.png" alt="Dot Icon">Great reports</li>
                </ul>
            </div>
        </div>
    </div>

    <!-- Include jQuery -->
    <script src="js/jquery-2.2.4.min.js"></script>
    <!-- Custom Script -->
    <script src="js/script.js"></script>

</body>

</html>
