<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Add Credit</title>

    <!-- css-start -->
    <link rel="stylesheet" href="update_assets/css/bootstrap.min.css"/>
    <link rel="stylesheet" href="update_assets/css/intlTelInput.css"/>
    <link rel="stylesheet" href="update_assets/css/niceCountryInput.css"/>
    <link rel="stylesheet" href="update_assets/css/style.css"/>
    <link rel="stylesheet" href="update_assets/css/responsive.css"/>
    <!-- css-start-end -->
    <link href="{{ asset('css/iziToast.css') }}" rel="stylesheet">

    <!-- jquery -->
    <script src="update_assets/js/jquery-3.6.0.min.js" defer></script>
    <!-- intlTelInput -->
    <script src="update_assets/js/intlTelInput.min.js" defer></script>
    <!-- niceCuntryInput -->
    <script src="update_assets/js/niceCountryInput.js" defer></script>
    <!-- bootstrap-js -->
    <script src="update_assets/js/bootstrap.bundle.min.js" defer></script>
    <!-- script-js -->
    <script src="update_assets/js/scripts.js" ></script>


</head>

<body>
<!-- root -->
<div class="root">
    <!-- content-wrapper -->
    <div class="content-wrapper credit-wrapper mx-auto">

        <!-- page-header -->
        <div class="page-header py-4">
            <div class="container">
                <div class="d-flex align-items-center justify-content-between pt-3">
                    <a href="{{ route('dashboard') }}" class="page-link-back fs-2">
              <span class="icon">
                <svg width="12" height="21" viewBox="0 0 12 21" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path
                      d="M11 20.8333C10.744 20.8333 10.488 20.736 10.2933 20.54L0.959992 11.2067C0.569326 10.816 0.569326 10.1826 0.959992 9.79198L10.2933 0.458649C10.684 0.0679827 11.3174 0.0679827 11.708 0.458649C12.0987 0.849316 12.0987 1.4827 11.708 1.87336L3.08141 10.5L11.708 19.1266C12.0987 19.5173 12.0987 20.1507 11.708 20.5413C11.512 20.736 11.256 20.8333 11 20.8333Z"
                      fill="#25314C"/>
                </svg>

              </span>
                        Add Credit
                    </a>


                </div>

            </div>
        </div>
        <!-- page-header--end -->

        <!-- credit-content -->
        <div class="credit-cotnent">
            <div class="container">
                <!-- credit-bal -->
                <div class="credit-bal bg-base text-center">
                    <h5 class="fs-6">Account Balance</h5>
                    <p class="fs-1 fw-medium mb-0">${{ \App\Helpers\CustomerLogic::convert_price($balance, 'acc') }}</p>
                </div>
                <!-- credit-bal-end -->

                <!-- credit-items -->
                <div class="credit-items">

                    <!-- credit-item -->
                    <div class="credit-item">
                        <h3 class="fs-6 mb-3 fw-medium">Add Credit with Debit/ Credit card</h3>
                        <div class="box">
                            <div class="credit-add">
                                <!-- credit-add-item -->
                                <div class="credit-addItem">
                                    <input type="radio" id="5" onclick="setBalance(5)" name="cradit">
                                    <label for="5">
                                        <span>$5</span>
                                    </label>
                                </div>
                                <!-- credit-add-item--end -->
                                <!-- credit-add-item -->
                                <div class="credit-addItem">
                                    <input type="radio" id="10" onclick="setBalance(10)" name="cradit">
                                    <label for="10">
                                        <span>$10</span>
                                    </label>
                                </div>
                                <!-- credit-add-item--end -->
                                <!-- credit-add-item -->
                                <div class="credit-addItem">
                                    <input type="radio" id="20" name="cradit"  onclick="setBalance(20)" checked>
                                    <label for="20">
                                        <span>$20</span>
                                    </label>
                                </div>
                                <!-- credit-add-item--end -->
                                <!-- credit-add-item -->
                                <div class="credit-addItem">
                                    <input type="radio" id="50" onclick="setBalance(50)" name="cradit" >
                                    <label for="50">
                                        <span>$50</span>
                                    </label>
                                </div>
                                <!-- credit-add-item--end -->
                            </div>
                            <div class="w-75 mx-auto">
                                <form action="{{ route('package_buy') }}" method="post">
                                    @csrf
                                    <input type="hidden" name="type" id="type" value="credit">
                                    <input type="hidden" name="credit_amount" id="balance" value="20">
                                    <button type="submit" class="btn btn-main w-100 fw-medium small py-3">Continue</button>
                                </form>

                            </div>
                        </div>
                    </div>
                    <!-- credit-item--end -->

                    <!-- credit-item -->
                    <div class="credit-item">
                        <h3 class="fs-6 mb-3 fw-medium">Add credit with voucher</h3>
                        <form action="{{ route('apply_coupon') }}" method="post">
                            @csrf

                            <div class="box">
                                <div class="input-item">
                                    <div class="input-box">
                                        <input type="text" required name="coupon_number" placeholder="Enter Voucher Number">
                                    </div>
                                </div>
                                <div class="w-75 mx-auto">
                                    <button type="submit" class="btn btn-main w-100 fw-medium small py-3">Refill</button>
                                </div>
                            </div>



                        </form>

                    </div>
                    <!-- credit-item--end -->
                </div>
                <!-- credit-items--end -->
            </div>
        </div>
        <!-- credit-content--end -->

    </div>
    <!-- content-wrapper--end -->
</div>
<!-- root--end -->

<script src="{{ asset('js/iziToast.js') }}"></script>
@include('vendor.lara-izitoast.toast')
<script>
    function setBalance(balance) {
        $("#balance").val(balance);
    }
</script>
</body>

</html>
