<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Check Rate</title>

    <!-- css-start -->
    <link rel="stylesheet" href="update_assets/css/bootstrap.min.css" />
    <link rel="stylesheet" href="update_assets/css/niceCountryInput.css" />
    <link rel="stylesheet" href="update_assets/css/intlTelInput.css" />
    <link rel="stylesheet" href="update_assets/css/style.css" />
    <link rel="stylesheet" href="update_assets/css/responsive.css" />
    <!-- css-start-end -->


    <!-- jquery -->
    <script src="update_assets/js/jquery-3.6.0.min.js" ></script>
    <!-- country-select -->
    <script src="update_assets/js/niceCountryInput.js" defer></script>
    <!-- intlTelInput -->
    <script src="update_assets/js/intlTelInput.min.js" defer></script>
    <!-- bootstrap-js -->
    <script src="update_assets/js/bootstrap.bundle.min.js" defer></script>
    <!-- script-js -->
    <script src="update_assets/js/scripts.js" defer></script>
</head>

<body>
<!-- root -->
<div class="root">
    <!-- content-wrapper -->
    <div class="content-wrapper bankcard mx-auto">

        <!-- page-header -->
        <div class="page-header py-4">
            <div class="container">
                <div class="d-flex align-items-center justify-content-between pt-3">
                    <a href="{{ route('dashboard') }}" class="page-link-back fs-4 fw-semibold">
                            <span class="icon">
                <svg width="12" height="21" viewBox="0 0 12 21" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path
                      d="M11 20.8333C10.744 20.8333 10.488 20.736 10.2933 20.54L0.959992 11.2067C0.569326 10.816 0.569326 10.1826 0.959992 9.79198L10.2933 0.458649C10.684 0.0679827 11.3174 0.0679827 11.708 0.458649C12.0987 0.849316 12.0987 1.4827 11.708 1.87336L3.08141 10.5L11.708 19.1266C12.0987 19.5173 12.0987 20.1507 11.708 20.5413C11.512 20.736 11.256 20.8333 11 20.8333Z"
                      fill="#25314C" />
                </svg>
              </span> Check Rates
                    </a>
                </div>
            </div>
        </div>
        <!-- page-header--end -->

        <!-- pay-content -->
        <div class="pt-4 pb-5">
            <div class="container">

                <!-- rates-content -->
                <div class="rates-cotnent">
                    <div class="rates-country">
                        <div class="input-item">
                            <label for="" class="lead fw-medium mb-3">Select Country</label>
                            <div class="input-box">
                                <!-- cuntry-select -->
                                <div class="country-select">
                                    <div class="niceCountryInputSelector" data-selectedcountry="{{ $init_code }}" data-showspecial="false" data-showflags="true" data-i18nall="All selected" data-i18nnofilter="No selection" data-i18nfilter="Filter" data-onchangecallback="callback">
                                    </div>
                                </div>
                                <!-- cuntry-select--end -->
                            </div>
                        </div>
                        <form action="{{ url()->current() }}" method="get">
                            <input type="hidden" name="code" id="code" value="{{ $code }}">
                            <input type="hidden" name="init_code" id="init_code" value="{{ $init_code }}">
                            <button type="submit" class="btn btn-main w-100">Submit</button>
                        </form>

                    </div>
{{--                    @dd($rates)--}}
                    <div class="rates-count">
                        @if (count($rates) > 0)
                        <p>Rate per Minute</p>
                            @foreach($rates as $rate)
{{--                                @dd($rate)--}}
                                <div class="rates-box mb-3">
{{--                                    Rate to <span class="gd-text">{{ $init_code }}</span> : ${{ \App\Helpers\CustomerLogic::convert_price($rate['cost'], 'acc') }}/min--}}
                                    @php
                                    $string = $rate['cost'];

                                    // Regular expression to match the amount and the currency
                                    preg_match('/([0-9.]+)\s*([a-zA-Z]+)/', $string, $matches);

                                    if ($matches) {
                                        $amount = @$matches[1]; // 63.7028
                                        $currency = @$matches[2]; // PKR
                                    }

                                    @endphp
                                    Rate to <span class="gd-text">{{ $currency }}</span> : {{ number_format($amount,2) }}/min
                                </div>
                            @endforeach
                        @endif
                    </div>
                </div>
                <!-- rates-content--end -->

            </div>
        </div>
        <!-- topup-content--end -->

    </div>
    <!-- content-wrapper--end -->
</div>
<!-- root--end -->
<script>
    async function callback(iso) {
        $("#init_code").val(iso);
        try {
            const response = await fetch(`https://restcountries.com/v2/alpha/${iso}`);
            if (!response.ok) {
                throw new Error('Network response was not ok');
            }
            const countryData = await response.json();
            $("#code").val(countryData?.callingCodes[0]);
        } catch (error) {
            console.error('Error fetching dialing code:', error);
        }

    }
</script>
</body>

</html>
