<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Dashboard</title>
    <!-- css-start -->
    <link rel="stylesheet" href="update_assets/css/bootstrap.min.css" />
    <link rel="stylesheet" href="update_assets/css/intlTelInput.css" />
    <link rel="stylesheet" href="update_assets/css/niceCountryInput.css" />
    <link rel="stylesheet" href="update_assets/css/style.css" />
    <link rel="stylesheet" href="update_assets/css/responsive.css" />
    <link href="{{ asset('css/iziToast.css') }}" rel="stylesheet">
    <!-- css-start-end -->
    <!-- jquery -->
    <script src="update_assets/js/jquery-3.6.0.min.js" ></script>
    <!-- intlTelInput -->
    <script src="update_assets/js/intlTelInput.min.js" ></script>
    <!-- niceCuntryInput -->
    <script src="update_assets/js/niceCountryInput.js" ></script>
    <!-- bootstrap-js -->
    <script src="update_assets/js/bootstrap.bundle.min.js" ></script>
    <!-- script-js -->
    <script src="update_assets/js/scripts.js" defer></script>
    <style>
        .check_box:after{
            background-image: linear-gradient(89.24deg,#3dd1dc .59%,rgba(39,108,255,.96) 99.29%);
        }
        .pack-item {
            margin-bottom: 1rem;
        }
    </style>
</head>
<body>
<!-- root -->
<div class="root">
    <!-- content-wrapper -->
    <div class="content-wrapper account-wrapper mx-auto">
        <div class="container">
            <!-- account-header -->
            <div class="account-header">
                <div class="account-bal">
                    <h4 class="mb-3">AloTel credit</h4>
                    <span class="border-box">
                     $ {{ \App\Helpers\CustomerLogic::convert_price($balance, 'acc') }}
                     </span>
                </div>
                <!-- add-credit -->
                <div class="add-credit">
                    <button onclick="location.href='{{ route("add_credit") }}'" type="button" class="btn btn-main">
                     <span class="icon">
                     <img src="update_assets/img/plus.svg" alt="">
                     </span>
                        <span class="text">
                     Add Credits
                     </span>
                    </button>
                </div>
                <!-- add-credit-end -->
            </div>
            <!-- account-header--end -->
            <!-- account-content -->
            <div class="account-content">

            <?php
                $user_country = @collect($country_list)->where('id', $customer_info['country_id'])->first();
                $categories = collect($products)->where('product_category', '!=', 'Subscription')->groupBy('billing_type');
                if (count($categories) > 0) {
                    $cate_data = json_decode($categories, true); // Convert JSON string to associative array
                    $cat_keys = array_keys($cate_data);
                    $cat_f_key = @$cat_keys[0];
                    if($cat_f_key != 'Recurring Monthly'){
                        $categories = $categories->reverse();
                    }
                }
            ?>
            @foreach($categories as $key => $category)

                @if($key == 'Recurring Monthly')
                <!-- pack-item -->
                <div class="pack-item">
                    <h3 class="fw-medium fs-6 text-black mb-3">Buy Monthly Subscription</h3>
                    <!-- single-pack -->
                    <div class="box bg-white" style="padding-top: 3px;">

                        <?php
                        $countries = collect($category)->groupBy('country_id');
                        $custom_countries = [];
                        $selected_country = '';
                        $first_iso = '';
                        $s_i = 0;
                        foreach ($countries as  $c_data){
                            $c_info = @collect($country_list)->where('nicename', $c_data[0]['country_id'])->first();
                            array_push($custom_countries, strtolower($c_info['iso']));
                            if ($s_i == 1){
                                $first_iso = $c_info['iso'];
                            }
                            if ($user_country['iso'] == $c_info['iso']){
                                $selected_country =  $user_country['iso'];
                            }
                            $s_i++;
                        }
                        ?>
                        <!-- cuntry-select -->
                            <label><i>select destination country</i></label>
                        <div class="country-select">
                            <div class="niceCountryInputSelector" data-selectedcountry="{{ $selected_country != '' ? $selected_country : $first_iso }}" data-showspecial="false"
                                 data-showflags="true" data-i18nall="All selected" data-i18nnofilter="No selection"
                                 data-i18nfilter="Select destination country" data-customcountry='@json($custom_countries)' data-onchangecallback="subsCallback" >
                            </div>
                        </div>
                        <!-- cuntry-select--end -->

                        <!-- package-content -->
                            @foreach($countries as $c_ids => $country)
                                @php($c_iso = @collect($country_list)->where('nicename', $c_ids)->first()['iso'])
                                <div class="pack-content subs_data pt-4 @if($selected_country != '') {{ $selected_country != $c_iso ? 'd-none' : 'd-block' }} @else {{ $first_iso != $c_iso ? 'd-none' : 'd-block' }} @endif" id="subs_{{$c_iso}}">
                                    @foreach($country as $data)
{{--                                        @dump($data)--}}
                                    <div class="mb-5">

                                        <form action="{{ route('package_buy') }}" method="post">
                                            @csrf
                                            <input type="hidden" name="product_name" value="{{ $data['name'] }}">
                                            <input type="hidden" name="price" value="{{ $data['price'] }}">
                                            <input type="hidden" name="free_minutes" value="{{ $data['free_minutes'] }}">
                                            <h4 class="fs-4 text-dark fw-semibold my-3 px-4">
                                                <span class="gd-text"> ${{ \App\Helpers\CustomerLogic::convert_price($data['price']) }}</span> for {{ $data['free_minutes'] }} Mins
                                            </h4>
                                            <p class="fs-7 text-dark fw-semibold my-3 px-4">
                                                    Get {{$data['free_minutes']}} minutes every month for your calls to {{$data['country_id']}}

{{--
                                                <span class="gd-text"> ${{ \App\Helpers\CustomerLogic::convert_price($data['price']) }}</span> for {{ $data['free_minutes'] }} Mins--}}
                                            </p>
                                            <p class="fs-7 text-dark fw-semibold my-3 px-4"><span class="gd-text">Cancel any time</span></p>

                                            <div class="w-75 mx-auto pt-3">
                                                <button  class="btn btn-main w-100 small">Subscribe</button>
                                            </div>

                                            {{--<input type="radio" name="selectpack" id="p-1">
                                            <label onclick="" for="p-1" class="pack_color">
                                                <span>${{ \App\Helpers\CustomerLogic::convert_price($data['price']) }}  for {{ $data['free_minutes'] }} mins</span>
                                            </label>--}}
                                        </form>
                                    </div>
                                    @endforeach
                                </div>


                            @endforeach


                        <!-- package-content--end -->
                    </div>
                    <!-- single-pack--end -->
                </div>
                <!-- pack-item--end -->
                @else
                <!-- pack-item -->
                <div class="pack-item">
                    <h3 class="fw-medium fs-6 text-black mb-3">Buy Monthly Packages</h3>
                    <!-- single-pack -->
                    <div class="box bg-white mb-3" style="padding-top: 3px;">
                        <?php
                        $countries = collect($category)->groupBy('country_id');
//                        dd($countries);
                        $custom_countries = [];
                        $selected_country = '';
                        $first_iso = '';
                        $p_i = 0;
                        foreach ($countries as $c_k => $c_data){
                            $c_info = @collect($country_list)->where('nicename', $c_data[0]['country_id'])->first();
                            array_push($custom_countries, strtolower($c_info['iso']));
                            if ($p_i == 1){
                                $first_iso = $c_info['iso'];
                            }
                            if ($user_country['iso'] == $c_info['iso']){
                                $selected_country =  $user_country['iso'];
                            }
                            $p_i++;
                        }
                        ?>
                        <!-- cuntry-select -->
                            <label><i>select destination country</i></label>
                            <div class="country-select">
                                <div class="niceCountryInputSelector" data-selectedcountry="{{ $selected_country != '' ? $selected_country : $first_iso }}" data-showspecial="false"
                                     data-showflags="true" data-i18nall="All selected" data-i18nnofilter="No selection"
                                     data-i18nfilter="Select destination country" data-customcountry='@json($custom_countries)' data-onchangecallback="onChangeCallback" >
                                </div>
                            </div>
                        <!-- cuntry-select--end -->

                        <!-- package-content -->
                        <div class="pack-content pt-4">
                            <div class="w-75 mx-auto pt-3">
                                @foreach($countries as $c_ids => $country)
                                @php($c_iso = @collect($country_list)->where('nicename', $c_ids)->first()['iso'])
                                <div class="slect-pack packages_data @if($selected_country != '') {{ $selected_country != $c_iso ? 'd-none' : 'd-block' }} @else {{ $first_iso != $c_iso ? 'd-none' : 'd-block' }} @endif"  id="pack_{{$c_iso}}">
                                    @foreach($country as $data)
                                        <!-- slectpacItem -->
                                        <div class="slectPackItem" >
                                            <form action="{{ route('package_buy') }}" method="post">
                                                @csrf
                                                <input type="hidden" name="product_name" value="{{ $data['name'] }}">
                                                <input type="hidden" name="price" value="{{ $data['price'] }}">
                                                <input type="hidden" name="free_minutes" value="{{ $data['free_minutes'] }}">
                                                <button class="btn btn-main w-100 small mb-3" style="background: white; color: black; padding: 7px; border: 2px solid #e1e6ef">
                                                    <span><b>{{$data['billing_days'] == 1 ? 'Daily':($data['billing_days'] == 7 ? 'Weekly':'Monthly') }}:</b> ${{ \App\Helpers\CustomerLogic::convert_price($data['price']) }}  for {{ $data['free_minutes'] }} mins</span>
                                                </button>
                                                {{--<input type="radio" name="selectpack" id="p-1">
                                                <label onclick="" for="p-1" class="pack_color">
                                                    <span>${{ \App\Helpers\CustomerLogic::convert_price($data['price']) }}  for {{ $data['free_minutes'] }} mins</span>
                                                </label>--}}
                                            </form>
                                        </div>
                                        <!-- slectpacItem--end -->

                                    @endforeach
                                </div>
                                @endforeach

                            </div>
                        </div>
                        <!-- package-content--end -->
                    </div>
                    <!-- single-pack--end -->

                </div>
                <!-- pack-item--end -->
                @endif
            @endforeach


            <div class="pack-item">
                <!-- gd-box -->
{{--                <div class="gd-box mb-3">--}}
                    <div class="gd-box--inner" style="padding: 0 1rem 1rem 0">
                        <a href="{{route('refer_and_earn')}}" class="btn-gd active">
{{--                        <button id="inviteButton" class="btn-gd active mb-3">--}}
                           <span>
                           <span class="text">Refer and Earn $50</span>
                           </span>
                        </a>
                    </div>
{{--                </div>--}}
                <!-- gd-box--end -->
                <!-- account-links -->
                <div class="account-links">
                    <ul>
                        <li>
                            <a href="{{ route('your_subscriptions') }}" class="small">
                                My Subscriptions and packages
                                <span class="icon">
                                    <svg width="6" height="11" viewBox="0 0 6 11" fill="none" xmlns="http://www.w3.org/2000/svg">
                                       <path
                                           d="M0.749871 10.0209C0.637871 10.0209 0.525854 9.97838 0.440688 9.89263C0.269771 9.72172 0.269771 9.44461 0.440688 9.2737L4.21484 5.49955L0.440688 1.7254C0.269771 1.55448 0.269771 1.27738 0.440688 1.10646C0.611604 0.935542 0.888708 0.935542 1.05962 1.10646L5.14296 5.18979C5.31387 5.36071 5.31387 5.63781 5.14296 5.80873L1.05962 9.89206C0.973875 9.9784 0.861871 10.0209 0.749871 10.0209Z"
                                           fill="#595A5B" />
                                    </svg>
                                 </span>
                            </a>
                        </li>
                        <li>
                            <a href="{{ route('profile') }}" class="small">
                                Profile
                                <span class="icon">
                                    <svg width="6" height="11" viewBox="0 0 6 11" fill="none" xmlns="http://www.w3.org/2000/svg">
                                       <path
                                           d="M0.749871 10.0209C0.637871 10.0209 0.525854 9.97838 0.440688 9.89263C0.269771 9.72172 0.269771 9.44461 0.440688 9.2737L4.21484 5.49955L0.440688 1.7254C0.269771 1.55448 0.269771 1.27738 0.440688 1.10646C0.611604 0.935542 0.888708 0.935542 1.05962 1.10646L5.14296 5.18979C5.31387 5.36071 5.31387 5.63781 5.14296 5.80873L1.05962 9.89206C0.973875 9.9784 0.861871 10.0209 0.749871 10.0209Z"
                                           fill="#595A5B" />
                                    </svg>
                                 </span>
                            </a>
                        </li>
                        <li>
                            <a href="{{ route('payment_setting') }}" class="small">
                                Payment Methods
                                <span class="icon">
                                    <svg width="6" height="11" viewBox="0 0 6 11" fill="none" xmlns="http://www.w3.org/2000/svg">
                                       <path
                                           d="M0.749871 10.0209C0.637871 10.0209 0.525854 9.97838 0.440688 9.89263C0.269771 9.72172 0.269771 9.44461 0.440688 9.2737L4.21484 5.49955L0.440688 1.7254C0.269771 1.55448 0.269771 1.27738 0.440688 1.10646C0.611604 0.935542 0.888708 0.935542 1.05962 1.10646L5.14296 5.18979C5.31387 5.36071 5.31387 5.63781 5.14296 5.80873L1.05962 9.89206C0.973875 9.9784 0.861871 10.0209 0.749871 10.0209Z"
                                           fill="#595A5B" />
                                    </svg>
                                 </span>
                            </a>
                        </li>
                        <li>
                            <a href="{{ route('payment_history') }}" class="small">
                                Payment History
                                <span class="icon">
                                    <svg width="6" height="11" viewBox="0 0 6 11" fill="none" xmlns="http://www.w3.org/2000/svg">
                                       <path
                                           d="M0.749871 10.0209C0.637871 10.0209 0.525854 9.97838 0.440688 9.89263C0.269771 9.72172 0.269771 9.44461 0.440688 9.2737L4.21484 5.49955L0.440688 1.7254C0.269771 1.55448 0.269771 1.27738 0.440688 1.10646C0.611604 0.935542 0.888708 0.935542 1.05962 1.10646L5.14296 5.18979C5.31387 5.36071 5.31387 5.63781 5.14296 5.80873L1.05962 9.89206C0.973875 9.9784 0.861871 10.0209 0.749871 10.0209Z"
                                           fill="#595A5B" />
                                    </svg>
                                 </span>
                            </a>
                        </li>
                        <li>
                            <a href="{{ route('check_rate') }}" class="small">
                                Check Rate
                                <span class="icon">
                                    <svg width="6" height="11" viewBox="0 0 6 11" fill="none" xmlns="http://www.w3.org/2000/svg">
                                       <path
                                           d="M0.749871 10.0209C0.637871 10.0209 0.525854 9.97838 0.440688 9.89263C0.269771 9.72172 0.269771 9.44461 0.440688 9.2737L4.21484 5.49955L0.440688 1.7254C0.269771 1.55448 0.269771 1.27738 0.440688 1.10646C0.611604 0.935542 0.888708 0.935542 1.05962 1.10646L5.14296 5.18979C5.31387 5.36071 5.31387 5.63781 5.14296 5.80873L1.05962 9.89206C0.973875 9.9784 0.861871 10.0209 0.749871 10.0209Z"
                                           fill="#595A5B" />
                                    </svg>
                                 </span>
                            </a>
                        </li>
                        <li>
                            <a  href="{{ route('help')  }}" class="small">
                                Help
                                <span class="icon">
                                    <svg width="6" height="11" viewBox="0 0 6 11" fill="none" xmlns="http://www.w3.org/2000/svg">
                                       <path
                                           d="M0.749871 10.0209C0.637871 10.0209 0.525854 9.97838 0.440688 9.89263C0.269771 9.72172 0.269771 9.44461 0.440688 9.2737L4.21484 5.49955L0.440688 1.7254C0.269771 1.55448 0.269771 1.27738 0.440688 1.10646C0.611604 0.935542 0.888708 0.935542 1.05962 1.10646L5.14296 5.18979C5.31387 5.36071 5.31387 5.63781 5.14296 5.80873L1.05962 9.89206C0.973875 9.9784 0.861871 10.0209 0.749871 10.0209Z"
                                           fill="#595A5B" />
                                    </svg>
                                 </span>
                            </a>
                        </li>
                    </ul>
                </div>
                <button id="requestPermissionButton">Request Notification Permission</button>
                <!-- account-links--end -->
            </div>

            </div>
            <!-- account-content--end -->
        </div>
    </div>
    <!-- content-wrapper--end -->
</div>


<script type="module">
    // Import the functions you need from the SDKs you need
    {{--import { initializeApp } from "https://www.gstatic.com/firebasejs/10.12.5/firebase-app.js";--}}
    {{--import { getAnalytics } from "https://www.gstatic.com/firebasejs/10.12.5/firebase-analytics.js";--}}
    {{--import { getMessaging, getToken } from "https://www.gstatic.com/firebasejs/10.12.5/firebase-messaging.js";--}}

    {{--// Your web app's Firebase configuration--}}
    {{--const firebaseConfig = {--}}
    {{--    apiKey: "AIzaSyCyQl1z2kKd-D1dlcAx57cJmqUpGLr9yHM",--}}
    {{--    authDomain: "alotel-11ef4.firebaseapp.com",--}}
    {{--    projectId: "alotel-11ef4",--}}
    {{--    storageBucket: "alotel-11ef4.appspot.com",--}}
    {{--    messagingSenderId: "556617506179",--}}
    {{--    appId: "1:556617506179:web:17dc7a10729d36e829eab6",--}}
    {{--    measurementId: "G-CB1PE9NMFD"--}}
    {{--};--}}

    {{--// Initialize Firebase--}}
    {{--const app = initializeApp(firebaseConfig);--}}
    {{--const analytics = getAnalytics(app);--}}

    {{--// Initialize Firebase Messaging--}}
    {{--const messaging = getMessaging(app);--}}

    {{--// Request permission and get token--}}
    {{--async function requestNotificationPermission() {--}}
    {{--    try {--}}
    {{--        // Request permission to show notifications--}}
    {{--        const permission = await Notification.requestPermission();--}}
    {{--        if (permission === 'granted') {--}}
    {{--            // Get the FCM token--}}
    {{--            const token = await getToken(messaging, { vapidKey: 'BDSo5AaC5Yio7tH2dg2BSKJerrgVOiwaDelPVagDcksyfFOJlX3Z4rOMJfAC3AT1JG9d2rVNRPfhdeRjEmi2zuE' });--}}
    {{--            console.log('FCM Token:', token);--}}

    {{--            // Send token to server--}}
    {{--            await saveTokenToServer(token);--}}
    {{--        } else {--}}
    {{--            console.error('Notification permission denied.');--}}
    {{--        }--}}
    {{--    } catch (error) {--}}
    {{--        console.error('Error getting permission or token:', error);--}}
    {{--    }--}}
    {{--}--}}

    {{--// Function to send token to server--}}
    {{--async function saveTokenToServer(token) {--}}
    {{--    try {--}}
    {{--        const response = await fetch('https://admin.alotel.app/save-token.php', {--}}
    {{--            method: 'POST',--}}
    {{--            headers: {--}}
    {{--                'Content-Type': 'application/json'--}}
    {{--            },--}}
    {{--            body: JSON.stringify({ token: token, user_id: {{$customer_info['id']}} })--}}
    {{--        });--}}

    {{--        if (!response.ok) {--}}
    {{--            throw new Error('Failed to save token');--}}
    {{--        }--}}

    {{--        console.log('Token saved successfully.');--}}
    {{--    } catch (error) {--}}
    {{--        console.error('Error saving token to server:', error);--}}
    {{--    }--}}
    {{--}--}}

    {{--// Initialize messaging--}}
    {{--// initMessaging();--}}
    {{--document.getElementById('requestPermissionButton').addEventListener('click', () => {--}}
    {{--    requestNotificationPermission();--}}
    {{--});--}}
    {{--if ('serviceWorker' in navigator) {--}}
    {{--    navigator.serviceWorker.register('/firebase-messaging-sw.js')--}}
    {{--        .then(function(registration) {--}}
    {{--            console.log('Service Worker registered with scope:', registration.scope);--}}
    {{--        })--}}
    {{--        .catch(function(error) {--}}
    {{--            console.error('Service Worker registration failed:', error);--}}
    {{--        });--}}
    {{--}--}}
</script>

<!-- root--end -->
<script src="{{ asset('js/iziToast.js') }}"></script>
@include('vendor.lara-izitoast.toast')
			<script>
document.addEventListener("DOMContentLoaded", function() {
        var open_app = {{ session()->get('open_app') ?? 0 }};
        if (open_app == 1){
            window.location.href = "csc:{{ $customer_info['username'] }}:{{ \Illuminate\Support\Facades\Cookie::get('c_password') }}@<?php echo $cloud_id ?>";
        }
        <?php session()->forget('open_app'); ?>
    });
    function onChangeCallback(iso) {
        $(".packages_data").addClass('d-none');
        $("#pack_"+iso).removeClass('d-none');
    }
    function subsCallback(iso) {
        $(".subs_data").addClass('d-none');
        $("#subs_"+iso).removeClass('d-none');
    }
</script>


</body>
</html>
