<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Payment History</title>

    <!-- css-start -->
    <link rel="stylesheet" href="update_assets/css/bootstrap.min.css" />
    <link rel="stylesheet" href="update_assets/css/intlTelInput.css" />
    <link rel="stylesheet" href="update_assets/css/niceCountryInput.css" />
    <link rel="stylesheet" href="update_assets/css/style.css" />
    <link rel="stylesheet" href="update_assets/css/responsive.css" />
    <!-- css-start-end -->


    <!-- jquery -->
    <script src="update_assets/js/jquery-3.6.0.min.js" defer></script>
    <!-- intlTelInput -->
    <script src="update_assets/js/intlTelInput.min.js" defer></script>
    <!-- niceCuntryInput -->
    <script src="update_assets/js/niceCountryInput.js" defer></script>
    <!-- bootstrap-js -->
    <script src="update_assets/js/bootstrap.bundle.min.js" defer></script>
    <!-- script-js -->
    <script src="update_assets/js/scripts.js" defer></script>
</head>

<body>
<!-- root -->
<div class="root">
    <!-- content-wrapper -->
    <div class="content-wrapper bankcard mx-auto">

        <!-- page-header -->
        <div class="page-header py-4">
            <div class="container">
                <div class="d-flex align-items-center justify-content-between pt-3">
                    <a href="{{ route('dashboard') }}" class="page-link-back fs-4 fw-semibold">
                            <span class="icon">
                <svg width="12" height="21" viewBox="0 0 12 21" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path
                      d="M11 20.8333C10.744 20.8333 10.488 20.736 10.2933 20.54L0.959992 11.2067C0.569326 10.816 0.569326 10.1826 0.959992 9.79198L10.2933 0.458649C10.684 0.0679827 11.3174 0.0679827 11.708 0.458649C12.0987 0.849316 12.0987 1.4827 11.708 1.87336L3.08141 10.5L11.708 19.1266C12.0987 19.5173 12.0987 20.1507 11.708 20.5413C11.512 20.736 11.256 20.8333 11 20.8333Z"
                      fill="#25314C" />
                </svg>

              </span> Payment History
                    </a>
                </div>
            </div>
        </div>
        <!-- page-header--end -->

        <!-- pay-content -->
        <div class="pt-4 pb-5">
            <div class="container">

                <!-- referral-content -->
                <div class="referral-content">

                    @forelse($payments as $year => $months)
                        @foreach ($months as $month => $days)
                                <!-- referral-block -->
                                    <div class="referral-block mb-4">
                                        @foreach ($days as $day => $items)
                                        <h4 class="fs-5 mb-3">{{ \Carbon\Carbon::createFromFormat('Y-m-d', "$year-$month-$day")->format('F j, Y') }}</h4>
                                        <div class="table-responsive">
                                            <table class="table">
                                                <thead>
                                                <tr>
                                                    <th>Charge Type</th>
                                                    <th class="text-center">Amount</th>
                                                </tr>
                                                </thead>
                                                <tbody>

                                                    @foreach ($items as $item)
                                                    <tr>
                                                        <td>{{ $item['charge_type'] }}</td>
                                                        <td class="text-center"> ${{ \App\Helpers\CustomerLogic::convert_price($item['price'], 'acc') }}</td>
                                                    </tr>
                                                    @endforeach

                                                </tbody>
                                            </table>
                                        </div>
                                        @endforeach
                                    </div><!-- referral-block--end -->


                        @endforeach
                      @empty

                     @endforelse


                <?php
/*                    foreach ($payments as $year => $months) {
                        echo "<h2>Year: $year</h2>";
                        foreach ($months as $month => $days) {
                            echo "<h3>Month: " . \Carbon\Carbon::createFromFormat('m', $month)->format('F') . "</h3>";
                            foreach ($days as $day => $items) {
                                echo "<h4>Date: $year-$month-$day</h4>";
                                echo "<ul>";
                                foreach ($items as $item) {
                                    echo "<li>";
                                    echo "Time: " . $item['date']->format('H:i:s') . "<br>";
                                    echo "Description: " . $item['description'] . "<br>";
                                    echo "Debit: " . $item['debit'] . "<br>";
                                    echo "Credit: " . $item['credit'] . "<br>";
                                    echo "</li>";
                                }
                                echo "</ul>";
                            }
                        }
                    }
                 */?>



                </div>
                <!-- referral-content---end -->

            </div>
        </div>
        <!-- topup-content--end -->

    </div>
    <!-- content-wrapper--end -->
</div>
<!-- root--end -->
</body>

</html>
