<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Payment Settings</title>

    <!-- css-start -->
    <link rel="stylesheet" href="update_assets/css/bootstrap.min.css" />
    <link rel="stylesheet" href="update_assets/css/intlTelInput.css" />
    <link rel="stylesheet" href="update_assets/css/niceCountryInput.css" />
    <link rel="stylesheet" href="update_assets/css/style.css" />
    <link rel="stylesheet" href="update_assets/css/responsive.css" />
    <link href="{{ asset('css/iziToast.css') }}" rel="stylesheet">


    <!-- css-start-end -->


    <!-- jquery -->
    <script src="update_assets/js/jquery-3.6.0.min.js" defer></script>
    <!-- intlTelInput -->
    <script src="update_assets/js/intlTelInput.min.js" defer></script>
    <!-- niceCuntryInput -->
    <script src="update_assets/js/niceCountryInput.js" defer></script>
    <!-- bootstrap-js -->
    <script src="update_assets/js/bootstrap.bundle.min.js" defer></script>
    <!-- script-js -->
    <script src="update_assets/js/scripts.js" ></script>
    <style>
        .btn-custom {
            background-color: white; /* Background color */
            border: 2px solid #000000; /* Border color */
            color: #000000; /* Font color */
            padding: 0.5rem .75rem;
            font-size: 1.5rem;
            border-radius: 1.25rem; /* Adjust the border radius as needed */
            transition: all 0.3s ease;
            width: 100%; /* Make the button width 100% */
        }

        .btn-custom:hover {
            background-color: #f0f0f0; /* Optional: slightly darker background on hover */
            color: #000000; /* Font color on hover */
            border-color: #000000; /* Border color on hover */
        }
        .input-box input {
            height: 4.8rem;
            border: 1px solid #8993a6;
            border-radius: 10px;
            width: 100%;
            background-color: #fff;
            font-size: 1.6rem;
            color: #595a5b;
            padding: 0 1.7rem;
            max-width: 100%;
        }
    </style>
</head>

<body>
<!-- root -->
<div class="root">
    <!-- content-wrapper -->
    <div class="content-wrapper pay-wrapper mx-auto">

        <!-- page-header -->
        <div class="page-header py-4">
            <div class="container">
                <div class="d-flex align-items-center justify-content-between pt-3">
                    <a href="{{ route('dashboard') }}" class="page-link-back fs-2">
              <span class="icon">
                <svg width="12" height="21" viewBox="0 0 12 21" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path
                      d="M11 20.8333C10.744 20.8333 10.488 20.736 10.2933 20.54L0.959992 11.2067C0.569326 10.816 0.569326 10.1826 0.959992 9.79198L10.2933 0.458649C10.684 0.0679827 11.3174 0.0679827 11.708 0.458649C12.0987 0.849316 12.0987 1.4827 11.708 1.87336L3.08141 10.5L11.708 19.1266C12.0987 19.5173 12.0987 20.1507 11.708 20.5413C11.512 20.736 11.256 20.8333 11 20.8333Z"
                      fill="#25314C" />
                </svg>

              </span>
                        Payment Methods
                    </a>


                </div>

            </div>
        </div>
        <!-- page-header--end -->

        <!-- pay-content -->
        <div class="py-5">
            <div class="container">
                <!-- payment-method -->
                <div class="payment-method">
                    @if($paymentMethods)
                        <label for="" class="mb-3">Card </label>
                        @foreach($paymentMethods as $payment_method)
                            @if($default_payment_method_id == $payment_method->id)
                                <div class="input-item mb-4">
                                    <div class="input-box input-box-il">
                                        <a href="{{route('payment_setting')}}?id={{$payment_method->id}}&q={{$q}}">
                                            <span class="icon">
                                              <img src="update_assets/img/mastercard.png" class="img-fluid" alt="">
                                            </span>
                                            <input type="text" disabled id="creditCardInput" maxlength="19" value="************{{ $payment_method->card->last4 }}">
                                            @if($default_payment_method_id == $payment_method->id)
                                                <span class="text">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    Preffered</span>
                                            @else
                                                <span class="text">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                </span>
                                            @endif
                                        </a>
                                    </div>
                                </div>
                            @endif
                        @endforeach
                        @foreach($paymentMethods as $payment_method)
                            @if($default_payment_method_id != $payment_method->id)
                            <div class="input-item mb-4">
{{--                            <label for="" class="mb-3">Card Holder </label>--}}
                            <div class="input-box input-box-il">
                                <a href="{{route('payment_setting')}}?id={{$payment_method->id}}&q={{$q}}">
                                    <span class="icon">
                                      <img src="update_assets/img/mastercard.png" class="img-fluid" alt="">
                                    </span>
                                    <input type="text" disabled id="creditCardInput" maxlength="19" value="************{{ $payment_method->card->last4 }}">
                                    @if($default_payment_method_id == $payment_method->id)
                                        <span class="text">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    Preffered</span>
                                    @else
                                        <span class="text">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                </span>
                                    @endif
                                </a>
                            </div>
                            </div>
                            @endif
                        @endforeach
                    @else
                        <div class="input-item mb-4">
                            <div class="mb-3 text-center">Data not found. </div>
                        </div>
                    @endif
                    @if($update)
                        @if($default_payment_method_id != $payment_method_id)
                            <div class="col-12 text-center " style="margin-top: 300px">
                                <a href="{{route('set_default',['id'=>$payment_method_id,'cus_id'=>$stripe_customer->stripe_customer_id])}}?q={{$q}}"  class="btn btn-main w-75 small mt-3">Make Preferred Payment Method</a>
                            </div>
                            <div class="text-center">
                                <a onclick="return confirm('Are you sure you want to delete this payment method?');" href="{{route('drop_payment_setting',['id'=>$payment_method_id])}}?q={{$q}}" type="submit" class="btn btn-main w-75 small mt-3" style="background-color:#ffffff !important;border: 2px solid #000000;color:#000000;background-image: linear-gradient(89.24deg,#fff0 .59%,rgba(251, 251, 251, 0.96) 99.29%);">Delete Card</a>
                            </div>
                        @endif
                    @else
                    <div class="text-center">
                        <a href="{{route('add_payment_setting')}}?q={{$q}}" class="gd-text d-block fw-medium lead">Add Payment Method</a>
                    </div>
                    @endif
                </div>
                <!-- payment-method--end -->

            </div>

        </div>
        <!-- topup-content--end -->

    </div>
    <!-- content-wrapper--end -->
</div>
<!-- root--end -->
<script src="{{ asset('js/iziToast.js') }}"></script>
@include('vendor.lara-izitoast.toast')
</body>

</html>
