<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Profile</title>

    <!-- css-start -->
    <link rel="stylesheet" href="update_assets/css/bootstrap.min.css" />
    <link rel="stylesheet" href="update_assets/css/intlTelInput.css" />
    <link rel="stylesheet" href="update_assets/css/niceCountryInput.css" />
    <link rel="stylesheet" href="update_assets/css/style.css" />
    <link rel="stylesheet" href="update_assets/css/responsive.css" />
    <link href="{{ asset('css/iziToast.css') }}" rel="stylesheet">
    <!-- css-start-end -->


    <!-- jquery -->
    <script src="update_assets/js/jquery-3.6.0.min.js" defer></script>
    <!-- intlTelInput -->
    <script src="update_assets/js/intlTelInput.min.js" defer></script>
    <!-- niceCuntryInput -->
    <script src="update_assets/js/niceCountryInput.js" defer></script>
    <!-- bootstrap-js -->
    <script src="update_assets/js/bootstrap.bundle.min.js" defer></script>
    <!-- script-js -->
    <script src="update_assets/js/scripts.js" ></script>
</head>

<body>
<!-- root -->
<div class="root">
    <!-- content-wrapper -->
    <div class="content-wrapper signup-wrapper mx-auto">

        <!-- page-header -->
        <div class="page-header py-4">
            <div class="container">
                <div class="d-flex align-items-center justify-content-between pt-3">
                    <a href="{{ route('dashboard') }}" class="page-link-back fs-2">
              <span class="icon">
                <svg width="12" height="21" viewBox="0 0 12 21" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path
                      d="M11 20.8333C10.744 20.8333 10.488 20.736 10.2933 20.54L0.959992 11.2067C0.569326 10.816 0.569326 10.1826 0.959992 9.79198L10.2933 0.458649C10.684 0.0679827 11.3174 0.0679827 11.708 0.458649C12.0987 0.849316 12.0987 1.4827 11.708 1.87336L3.08141 10.5L11.708 19.1266C12.0987 19.5173 12.0987 20.1507 11.708 20.5413C11.512 20.736 11.256 20.8333 11 20.8333Z"
                      fill="#25314C" />
                </svg>

              </span>
                        Profile
                    </a>

                </div>

            </div>
        </div>
        <!-- page-header--end -->

        <!-- signup-content -->
        <div class="signup-content py-5">
            <div class="container">
                <form action="{{ route('profile_update') }}" method="post">
                    @csrf
                    <!-- single-input-box -->
                        <div class="input-item">
                            <label for="" class="fw-medium lead mb-2">First Name</label>
                            <div class="input-box">
                                <input type="text" placeholder="Enter First Name" required name="first_name" value="{{ $profile['first_name'] }}">
                            </div>
                        </div>

                        <div class="input-item">
                            <label for="" class="fw-medium lead mb-2">Last Name</label>
                            <div class="input-box">
                                <input type="text" placeholder="Enter Last Name" required name="last_name" value="{{ $profile['last_name'] }}">
                            </div>
                        </div>

                        <div class="input-item" style="display: none">
                            <label for="" class="fw-medium lead mb-2">Company Name</label>
                            <div class="input-box">
                                <input type="text" placeholder="Enter Company Name" name="company_name" value="{{ $profile['company_name'] }}">
                            </div>
                        </div>

                        <div class="input-item">
                            <label for="" class="fw-medium lead mb-2">Email</label>
                            <div class="input-box">
                                <input type="email" placeholder="Enter Email" name="email" value="{{ $profile['email'] }}">
                            </div>
                        </div>

                        <div class="input-item">
                            <label for="" class="fw-medium lead mb-2">Phone no</label>
                            <div class="input-box">

                                <input type="tel" value="{{ $profile['number'] }}" readonly placeholder="+1 123 456 7891">
                            </div>
                        </div>
                        <button type="submit" class="btn btn-main w-100 fw-medium small py-3">Continue</button>
                </form>
            </div>
        </div>
        <!-- signup-content--end -->
    </div>
    <!-- content-wrapper--end -->
</div>
<!-- root--end -->
<script src="{{ asset('js/iziToast.js') }}"></script>
@include('vendor.lara-izitoast.toast')
</body>

</html>
