<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Active Subscription</title>

    <!-- css-start -->
    <link rel="stylesheet" href="update_assets/css/bootstrap.min.css" />
    <link rel="stylesheet" href="update_assets/css/intlTelInput.css" />
    <link rel="stylesheet" href="update_assets/css/niceCountryInput.css" />
    <link rel="stylesheet" href="update_assets/css/style.css" />
    <link rel="stylesheet" href="update_assets/css/responsive.css" />
    <link href="{{ asset('css/iziToast.css') }}" rel="stylesheet">
    <!-- css-start-end -->


    <!-- jquery -->
    <script src="update_assets/js/jquery-3.6.0.min.js" ></script>
    <!-- intlTelInput -->
    <script src="update_assets/js/intlTelInput.min.js" defer></script>
    <!-- niceCuntryInput -->
    <script src="update_assets/js/niceCountryInput.js" defer></script>
    <!-- bootstrap-js -->
    <script src="update_assets/js/bootstrap.bundle.min.js" defer></script>
    <!-- script-js -->
    <script src="update_assets/js/scripts.js" defer></script>
</head>

<body>
<!-- root -->
<div class="root">
    <!-- content-wrapper -->
    <div class="content-wrapper bankcard mx-auto">

        <!-- page-header -->
        <div class="page-header py-4">
            <div class="container">
                <div class="d-flex align-items-center justify-content-between pt-3">
                    <a href="{{ route('dashboard') }}" class="page-link-back fs-2 fw-semibold">
              <span class="icon">
                <svg width="12" height="21" viewBox="0 0 12 21" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path
                      d="M11 20.8333C10.744 20.8333 10.488 20.736 10.2933 20.54L0.959992 11.2067C0.569326 10.816 0.569326 10.1826 0.959992 9.79198L10.2933 0.458649C10.684 0.0679827 11.3174 0.0679827 11.708 0.458649C12.0987 0.849316 12.0987 1.4827 11.708 1.87336L3.08141 10.5L11.708 19.1266C12.0987 19.5173 12.0987 20.1507 11.708 20.5413C11.512 20.736 11.256 20.8333 11 20.8333Z"
                      fill="#25314C" />
                </svg>

              </span>
                        Active Subscription
                    </a>


                </div>

            </div>
        </div>
        <!-- page-header--end -->

        <!-- pay-content -->
        <div class="pt-4 pb-5">
            <div class="container">


                <!-- subcriptions -->
                <div class="subscriptions">

                    <!-- subscription-item -->
                    <div class="subscription-item">
                        <h3 class="lead fw-bold text-black mb-3"> Subscriptions</h3>
                        @forelse($final_subscription as $subscription)
                        <div class="box subscription-box mb-4">

                            <!-- subscription-inner -->
                            <div class="subscription-inner">
                                <div class="subscription-row d-flex align-self-stretch justify-content-between">

                                    <!-- info -->
                                    <div class="subscription-info ">
                                        <h3 class="fs-6 fw-semibold mb-3">Subscription Name</h3>
                                        <p class="mb-0">{{ $subscription['name'] }}</p>

                                    </div>
                                    <!-- info--end -->

                                    <!-- info -->
                                    <div class="subscription-info subscription-info-expir">
                                        <h3 class="fs-6 fw-semibold mb-3">Expiry Date</h3>
                                        <p class="mb-0"> {{ date('M d, Y', strtotime($subscription['expire_date']))}}</p>
                                    </div>
                                    <!-- info--end -->

                                </div>
                            </div>
                            @if(!$subscription['is_canceled'])
                            <div class="subscription-bottom">
                                <a href="{{ route('cancel_subscriptions', \Illuminate\Support\Facades\Crypt::encrypt($subscription['id'])) }}" class="btn btn-main w-100">Cancel Subscription</a>
                            </div>
                            @else
                                <p class="text-center mt-5 text-danger">Subscription will expired {{ date('M d, Y', strtotime($subscription['expire_date']))}}</p>
                            @endif
                        </div>
                        <!-- subscription-inner--end -->
                        @empty
                            <div class="box subscription-box text-center">
                                You have no subscriptions
                            </div>
                        @endforelse

                    </div>
                </div>
                <!-- subscription-item--end -->

                <!-- subscription-item -->
                <div class="subscription-item">
                    <h3 class="lead fw-bold text-black mb-3">Active Packages</h3>

                    @forelse($packages as $package)
                        <div class="box subscription-box">

                            <!-- subscription-inner -->
                            <div class="subscription-inner">
                                <div class="subscription-row d-flex align-self-stretch justify-content-between">
                                    <!-- info -->
                                    <div class="subscription-info ">
                                        <h3 class="fs-6 fw-semibold mb-3">Package Name</h3>
                                        <p class="mb-0">{{ $package['product_name'] }}</p>
                                    </div>
                                    <!-- info--end -->

                                    <!-- info -->
                                    <div class="subscription-info subscription-info-expir">
                                        <h3 class="fs-6 fw-semibold mb-3">Expiry Date</h3>
                                        <p class="mb-0">{{ date('M d, Y', strtotime($package['next_billing_date']))}}</p>
                                    </div>
                                    <!-- info--end -->
                                </div>
                               {{-- <div class="subscription-row d-flex align-self-stretch justify-content-between">
                                    <!-- info -->
                                    <div class="subscription-info ">
                                        <h3 class="fs-6 fw-semibold mb-3">Remaining Minutes:</h3>
                                        <p class="mb-0">120</p>
                                    </div>
                                    <!-- info--end -->

                                </div>--}}
                            </div>
                        </div>
                    @empty
                        <div class="box subscription-box text-center">
                            You have no package
                        </div>
                    @endforelse

                    <!-- subscription-inner--end -->


                </div>
            </div>
            <!-- subscription-item--end -->


        </div>
        <!-- subcriptions--end -->

    </div>
</div>
<!-- topup-content--end -->

</div>
<!-- content-wrapper--end -->
</div>
<!-- root--end -->
<script src="{{ asset('js/iziToast.js') }}"></script>
@include('vendor.lara-izitoast.toast')
</body>

</html>
