@extends('layout.users.list_master')
@section('content')
     <div class="max-w-4xl mx-auto px-4 sm:px-6 lg:px-8 py-8 md:py-16">
        <section >
            <h1 class="text-center text-3xl md:text-5xl font-bold mb-4">Analyze</h1>
            <p class="text-center text-base text-gray-600 mb-8">Lorem ipsum dolor sit amet consectetur. Viverra id ultrices sagittis non amet aliquam. Etiam auctor egestas quam non. Justo eu ultricies amet at ac eget. Amet quisque condimentum bibendum ipsum vitae.</p>
            <div class="md:px-24">
            <div class="bg-white p-6 rounded-lg shadow-md ">
                <div class="flex justify-between items-center mb-6">
                    <h2 class="text-xl font-semibold flex items-center">
                        <img src="{{ url('public') }}/users/images/icon1.png" alt="" class="pr-2">
                        Input case details
                    </h2>
                    <button class="p-2 rounded-full bg-gray-200 text-gray-500">
                        <img src="{{ url('public') }}/users/images/edit.png" alt="">
                    </button>
                </div>
    
                <form class="mt-8 md:mt-12">
                    <div class="space-y-4">
                        <div>
                            <label for="caseName" class="block text-sm font-medium text-gray-700 text-left">Case Name</label>
                            <input type="text" id="caseName" placeholder="Input your case name" class="border border-gray-300 p-2 rounded-md mt-1 block w-full">
                        </div>
                        <div>
                            <label for="jurisdiction" class="block text-sm font-medium text-gray-700 text-left">Jurisdiction</label>
                            <input type="text" id="jurisdiction" placeholder="Input jurisdiction" class="border border-gray-300 p-2 rounded-md mt-1 block w-full">
                        </div>
                        <div>
                            <label for="court" class="block text-sm font-medium text-gray-700 text-left">Court</label>
                            <input type="text" id="court" placeholder="Your court name" class="border border-gray-300 p-2 rounded-md mt-1 block w-full">
                        </div>
                        <div>
                            <label for="date" class="block text-sm font-medium text-gray-700 text-left">Date</label>
                            <input type="date" id="date" value="2024-04-24" class="border border-gray-300 p-2 rounded-md mt-1 block w-full">
                        </div>
                        <div class="flex items-center space-x-4">
                            <div class="w-1/2">
                                <label for="caseType" class="block text-sm font-medium text-gray-700 text-left">Case type:</label>
                                <select id="caseType" class="border border-gray-300 p-2 rounded-md mt-1 block w-full">
                                    <option>Murder</option>
                                    <option>Theft</option>
                                    <option>Fraud</option>
                                </select>
                            </div>
                            <!-- <div class="w-1/2 flex items-center space-x-2 border">
                                <label for="partiesInvolved" class="block text-sm font-medium text-gray-700 text-left">Parties involved</label>
                                <div class="relative">
                                    <input type="checkbox" id="partiesInvolved" class="hidden toggle-checkbox">
                                    <label for="partiesInvolved" class="flex items-center cursor-pointer">
                                        <span class="w-10 h-6 flex items-center flex-shrink-0 p-1 bg-gray-300 rounded-full duration-300 ease-in-out">
                                            <span class="toggle-dot w-4 h-4 bg-white rounded-full shadow-md transform duration-300 ease-in-out"></span>
                                        </span>
                                    </label>
                                </div>
                            </div>-->
                        </div> 
                        <div>
                            <label for="details" class="block text-sm font-medium text-gray-700 text-left">Details</label>
                            <textarea id="details" rows="4" placeholder="Please explain your case in detail" class="border border-gray-300 p-2 rounded-md mt-1 block w-full"></textarea>
                        </div>
                        <div class="border-2 border-dashed border-gray-300 rounded-lg p-4 text-center flex flex-col items-center justify center">
                            <button class="flex flex-row items-center justify center space-y-2 text-blue-600 ">
                               <div class=" mr-2 mt-1"> <img src="{{ url('public') }}/users/images/upload.png" alt="" class="h-4 w-4"> </div> 
                                <span class="text-gray-500">Upload relevant documents or evidence</span>
                            </button>
                            
                        </div>
                        <p class="mt-2 text-sm ">Attach file. File size of your documents should not exceed 10MB</p>
                    </div>
    
                    <div class="mt-8">
                        <h2 class="text-xl font-semibold flex items-center">
                            <span class="pr-2"><img src="{{ url('public') }}/users/images/icon2.png" alt=""></span>
                            Select tools
                        </h2>
                        <div class="mt-4 flex flex-wrap gap-2">
                            <button class="bg-gray-200 text-black font-semibold px-4 py-2 rounded-full hover:bg-gray-300 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-500">Keyword Extraction</button>
                            <button class="bg-gray-200 text-black font-semibold px-4 py-2 rounded-full hover:bg-gray-300 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-500">Precedent Identification</button>
                            <button class="bg-gray-200 text-black font-semibold px-4 py-2 rounded-full hover:bg-gray-300 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-500">Outcome Prediction</button>
                        </div>
                    </div>
    
                    <div class="mt-8">
                        <button type="submit" class="bg-black text-white font-semibold px-6 py-3 rounded-full w-full hover:bg-gray-800 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-black">
                            Analyze your case
                        </button>
                    </div>
                </form>
            </div>
        </div>
        </section>
        <div class="py-12 flex items-center justify-center">
            <img src="{{ url('public') }}/users/images/Loading.png" height="full" width="full" alt="">
        </div>
    </div>

    <div class="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8 pb-6 md:pb-16">
        <section class="text-center">
            <h1 class="text-3xl md:text-5xl font-bold mb-4">User Statistics</h1>
            <p class="text-sm md:text-base text-gray-600 mb-8">Lorem ipsum dolor sit amet consectetur. Viverra id ultrices sagittis non amet aliquam. Etiam auctor egestas <br> quam non. Justo eu ultricies amet at ac eget. Amet quisque condimentum bibendum ipsum vitae.</p>
    
            <!-- Number of cases analysis -->
            <div class="mb-12">
                <h2 class="text-xl font-semibold mb-2">Number of cases analysis:</h2>
                <p class="text-sm md:text-base text-gray-600 mb-4">Lorem ipsum dolor sit amet consectetur. Viverra id ultrices sagittis <br> non amet aliquam. Etiam auctor egestas quam non.</p>
                <!-- Placeholder for bar chart -->
                <div class="w-full max-w-md mx-auto">
                    <img src="{{ url('public') }}/users/images/c3.png" alt="Bar Chart" class="mx-auto">
                </div>
            </div>
    
            <!-- Time spent on platform -->
            <div class="mb-12">
                <h2 class="text-xl font-semibold mb-2">Time Spent on Platform:</h2>
                <p class="text-sm md:text-base text-gray-600 mb-4">Lorem ipsum dolor sit amet consectetur. Viverra id ultrices sagittis <br> non amet aliquam. Etiam auctor egestas quam non.</p>
                <!-- Placeholder for circular chart -->
                <div class="w-32 h-32 mx-auto relative">
                    <img src="{{ url('public') }}/users/images/c2.png" alt="Circular Chart" class="mx-auto">
                    </div>
                </div>
    
            <!-- Most searched keywords -->
            <div>
                <h2 class="text-xl text-center font-semibold mb-2">Most Searched Keywords</h2>
                <p class= "text-sm md:text-base text-center text-gray-600 mb-4">Lorem ipsum dolor sit amet consectetur. Viverra id ultrices sagittis <br> non amet aliquam. Etiam auctor egestas quam non.</p>
                <!-- Placeholder for pie chart -->
                <div class="w-full max-w-xs mx-auto mb-8">
                    <img src="{{ url('public') }}/users/images/c1.png" alt="Pie Chart" class="mx-auto">
                </div>
                <!-- List of keywords -->
                <div class="flex flex-col md:flex-row justify-center md:space-x-4">
                    <div>
                        <div class="flex items-center">
                            <span class="w-4 h-4 bg-black block mr-2"></span>
                            <span>Case law</span>
                        </div>
                        <div class="flex items-center">
                            <span class="w-4 h-4 bg-gray-700 block mr-2"></span>
                            <span>Legal precedent</span>
                        </div>
                        <div class="flex items-center">
                            <span class="w-4 h-4 bg-gray-500 block mr-2"></span>
                            <span>Statutory law</span>
                        </div>
                    </div>
                    <div>
                        <div class="flex items-center">
                            <span class="w-4 h-4 bg-gray-300 block mr-2"></span>
                            <span>France</span>
                        </div>
                        <div class="flex items-center">
                            <span class="w-4 h-4 bg-gray-200 block mr-2"></span>
                            <span>Poland</span>
                        </div>
                        <div class="flex items-center">
                            <span class="w-4 h-4 bg-gray-100 block mr-2"></span>
                            <span>Czech Republic</span>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
    
    
    <div class="max-w-4xl mx-auto px-4 sm:px-6 lg:px-8 py-8 md:py-16">
        <section>
            <h1 class="text-left text-3xl md:text-5xl font-bold mb-4">Result</h1>
            <p class="text-left text-sm md:text-base text-gray-600 mb-8">Lorem ipsum dolor sit amet consectetur. Neque nisl faucibus lacus velit quam pulvinar pellentesque est. Tortor et nunc dolor augue. Congue in bibendum nunc malesuada volutpat faucibus. Hendrerit in et diam est vehicula neque et a nullam. Quis turpis sit nulla placerat enim massa sem. Sem egestas id amet euismod tincidunt aliquet. Neque gravida facilisi aenean quis. Fames tempus turpis cras leo. Feugiat sed congue at neque a quis. Ut diam augue neque enim porttitor feugiat. Iaculis quam adipiscing adipiscing sed nunc sit accumsan pellentesque suscipit.</p>
            <ul class="list-disc list-inside text-left text-sm md:text-base text-gray-600">
                <li>Lorem ipsum dolor sit amet consectetur.</li>
                <li>Neque nisl faucibus lacus velit quam pulvinar.</li>
                <li>pellentesque est. Tortor et nunc dolor augue. Congue</li>
                <li>in bibendum nunc malesuada volutpat faucibus.</li>
                <li>Hendrerit in et diam est vehicula neque et a nullam.</li>
                <li>Quis turpis sit nulla placerat enim massa sem.</li>
            </ul>
            <div class="flex justify-center items-center mt-8 space-x-4">
                <div class="relative">
                    <select class="form-select block w-full pl-3 pr-10 py-2 text-base border-gray-300 focus:outline-none focus:ring-blue-500 focus:border-blue-500 sm:text-sm rounded-md">
                        <option>pdf</option>
                        <option>doc</option>
                    </select>
                </div>
                <button class="p-2 rounded-full bg-gray-200 text-gray-500">
                    <img src="{{ url('public') }}/users/images/edit.png" alt="">
                </button>
            </div>
        </section>
    </div>
    
    <div class="max-w-4xl mx-auto px-4 sm:px-6 lg:px-8 py-8 md:py-16">
        <section class="bg-white p-6 rounded-lg shadow-md text-center">
            <div class="flex flex-row">
                <span class=""><img src="{{ url('public') }}/users/images/ic.png" class="hidden w-4 h-4 md:w-8 md:h-8" alt=""></span>
                <h2 class="text-xl md:text-2xl inline-block p-0 font-semibold flex items-center justify-center">How was your experience? Please provide feedback to aid in our continual improvement.</h2>
            </div>
            <p class="text-sm text-gray-600 mb-6">Please rate your experience.</p>
    
            <div class="flex justify-center space-x-4 mb-6">
                <button class="flex flex-col items-center border p-4 rounded-lg">
                    <img src="{{ url('public') }}/users/images/good.png" alt="">
                    <span>Good</span>
                </button>
                <button class="flex flex-col items-center  p-4 rounded-lg">
                    <img src="{{ url('public') }}/users/images/bad.png" alt="">
                    <span>Bad</span>
                </button>
            </div>
    
            <p class="text-sm text-gray-600 mb-4">Can you please provide your valuable feedback?</p>
    
            <textarea placeholder="Are you not happy with the result? What should we improve?" class="border border-gray-300 p-2 rounded-md w-full mb-6"></textarea>
    
            <button class="bg-black text-white font-semibold px-6 py-3 rounded-full w-full hover:bg-gray-800 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-black">
                Submit feedback
            </button>
        </section>
    </div>
@endsection