@extends('layout.users.list_master')
@section('content')
    <!-- Hero Section -->
    <section class="hero py-10 p-4 md:py-20">
        <div class="hero-content max-w-screen-xl mx-auto grid grid-cols-1 md:grid-cols-2 items-center gap-10">
            <!-- Left Content -->
            <div class="md:pr-20">
                <div class="mb-6">
                    <h1 class="text-left text-black text-3xl md:text-5xl font-playfair font-bold capitalize mb-4 leading-tight md:leading-snug">
                        Empower Your Legal Practice with Analytique<sup><img src="{{ url('public') }}/users/images/hero-star.png" class="inline-block ml-1" alt="" /></sup>
                    </h1>
                    
                </div>
                <div class="a-long-record-container text-left md:text-lg text-md mb-6 md:pr-20">
                <span>Streamline Case Management, Access Legal Insights, and Make Informed Decisions with our</span>
                <b>AI-powered analysis tools</b>
                </div>
                <button class="button1 bg-black text-white py-2 px-4 rounded-full hover:bg-gray-200 hover:text-black">
                <b>Get started now</b>
                </button>
            </div>
            <!-- Right Content -->
            <div class="image-wrapper">
                <img class="image-icon w-full h-auto" loading="lazy" src="{{ url('public') }}/users/images/hero-img.png" alt="Legal Image" />
            </div>
        </div>
    </section>
    
    <!-- Value Proposition Section -->
    <section class="py-8 md:py-16 bg-black">
        <div class="max-w-screen-xl mx-auto px-4">
            <div class="text-center mb-12">
                <div class="inline-block bg-gray-200 text-gray-600 px-4 py-1 rounded-full">
                Value Proposition
                </div>
                <h1 class="text-3xl md:text-5xl text-white font-bold mt-4">
                How Analytique<sup><img src="{{ url('public') }}/users/images/value-star.png" class="inline-block ml-1 h-3 w-3 md:h-6 md:w-6 " alt="" /></sup> Empowers <br> Legal Practitioners
                </h1>
            </div>
            <div class="grid gap-8 sm:grid-cols-2 lg:grid-cols-3">
                <!-- Case Management -->
                <div class="p-6 rounded-lg text-center" style="background-color: #d0d0d0;">
                    <button class="bg-white p-4 rounded-full mb-4">
                        <img class="w-12 h-12" alt="Case Management" src="{{ url('public') }}/users/images/case.png" />
                    </button>
                    <h2 class="text-xl font-bold mb-2">Case Management</h2>
                    <p class="text-md text-gray-700">Effortlessly manage your cases with our intuitive platform. Keep track of key details, deadlines, and documents all in one place.</p>
                </div>
                <!-- Search & Reference -->
                <div class="p-6 rounded-lg text-center " style="background-color: #d0d0d0;">
                    <button class="bg-white p-4 rounded-full mb-4">
                        <img class="w-12 h-12" alt="Search & Reference" src="{{ url('public') }}/users/images/search.png" />
                    </button>
                    <h2 class="text-xl font-bold mb-2">Search & Reference</h2>
                    <p class="text-md text-gray-700">Access a vast repository of legal cases and references with just a few clicks. Our advanced search capabilities ensure you find the information you need quickly and accurately.</p>
                </div>
                <!-- Outcome Management -->
                <div class="p-6 rounded-lg text-center" style="background-color: #d0d0d0;">
                    <button class="bg-white p-4 rounded-full mb-4">
                        <img class="w-12 h-12" alt="Outcome Management" src="{{ url('public') }}/users/images/outcome.png" />
                    </button>
                    <h2 class="text-xl font-bold mb-2">Outcome Management</h2>
                    <p class="text-md text-gray-70" >Stay informed about case outcomes and track precedents to make informed decisions for your clients. Our platform helps you analyze past cases and predict potential outcomes for current matters.</p>
                </div>
            </div>
        </div>
    </section>

    <!-- steps section -->
    <section class="py-8 md:py-16">
        <div class="max-w-screen-xl mx-auto px-4">
          <div class="text-center mb-12 md:mb-16">
            <h1 class="text-4xl md:text-5xl font-bold">
              Discover Analytique<sup><img src="{{ url('public') }}/users/images/hero-star.png" class="inline-block ml-1 h-3 w-3 md:h-6 md:w-6 " alt="" /></sup> <br>Step By Step
            </h1>
          </div>
          <div class="grid gap-0 sm:grid-cols-2 lg:grid-cols-3">
            <!-- Step 1 -->
            <div class="pr-8 md:pr-16 p-6 md:p-12 md:border-r border-b flex flex-col items-start">
                <div class="pb-4"><img src="{{ url('public') }}/users/images/1.png" alt="1" class="w-12 h-12"/></div>
                <div>
                  <h2 class="text-xl font-bold mb-2">Get Started</h2>
                  <p class="text-gray-700">Lorem ipsum dolor sit amet consectetur. Vel mattis vel quam at.</p>
                </div>
              </div>
              <!-- Step 2 -->
              <div class="pr-8 md:pr-16  p-6 md:p-12 md:border-r border-b flex flex-col items-start">
                <div class="pb-4"><img src="{{ url('public') }}/users/images/2.png" alt="2" class="w-12 h-12"/></div>
                <div>
                  <h2 class="text-xl font-bold mb-2">Explore Resources</h2>
                  <p class="text-gray-700">Lorem ipsum dolor sit amet consectetur. Vel mattis vel quam at.</p>
                </div>
              </div>
              <!-- Step 3 -->
              <div class="pr-8 md:pr-16  p-6 md:p-12 border-b flex flex-col items-start">
                <div class="pb-4"><img src="{{ url('public') }}/users/images/3.png" alt="3" class="w-12 h-12"/></div>
                <div>
                  <h2 class="text-xl font-bold mb-2">Search with Cases</h2>
                  <p class="text-gray-700">Lorem ipsum dolor sit amet consectetur. Vel mattis vel quam at.</p>
                </div>
              </div>
              <!-- Step 4 -->
              <div class="pr-8 md:pr-16  p-6 md:p-12 md:border-r border-b md:border-b-0 flex flex-col items-start">
                <div class="pb-4"><img src="{{ url('public') }}/users/images/4.png" alt="4" class="w-12 h-12"/></div>
                <div>
                  <h2 class="text-xl font-bold mb-2">Analyze Data with AI powered tool</h2>
                  <p class="text-gray-700">Lorem ipsum dolor sit amet consectetur. Vel mattis vel quam at.</p>
                </div>
              </div>
              <!-- Step 5 -->
              <div class="pr-8 md:pr-16  p-6 md:p-12 md:border-r border-b md:border-b-0 flex flex-col items-start">
                <div class="pb-4"><img src="{{ url('public') }}/users/images/5.png" alt="5" class="w-12 h-12"/></div>
                <div>
                  <h2 class="text-xl font-bold mb-2">Collaborate Securely</h2>
                  <p class="text-gray-700">Lorem ipsum dolor sit amet consectetur. Vel mattis vel quam at.</p>
                </div>
              </div>
              <!-- Step 6 -->
              <div class="pr-8 md:pr-16 p-6 md:p-12 flex flex-col items-start">
                <div class="pb-4"><img src="{{ url('public') }}/users/images/6.png" alt="6" class="w-12 h-12"/></div>
                <div>
                  <h2 class="text-xl font-bold mb-2">Stay Updated</h2>
                  <p class="text-gray-700">Lorem ipsum dolor sit amet consectetur. Vel mattis vel quam at.</p>
                </div>
            </div>
          </div>
        </div>
    </section>

    <!-- Login Section -->
    <section class="bg-gray-200 py-12">
        <div class="max-w-screen-lg mx-auto text-center px-4">
            <h1 class="text-3xl md:text-5xl font-bold mb-6">
                Unlock the Power of Analytique<sup><img src="{{ url('public') }}/users/images/hero-star.png" class="inline-block ml-1 h-3 w-3 md:h-5 md:w-5 " alt="" /></sup> Today
            </h1>
            <p class="text-gray-600 text-md md:text-lg mb-8">
                Sign up or log in now to experience the full range of features our platform has <br> to offer. Start optimizing your legal research and case management processes today.
            </p>
            <button class="bg-black text-white py-2 px-6 rounded-full hover:bg-gray-800">
                <b>Log in</b>
            </button>
        </div>
    </section>

    <!-- Testimonial Section -->
    <section class="py-8 md:py-16 bg-gray-100">
        <div class="max-w-screen-xl mx-auto px-4 text-center">
            <h1 class="text-3xl md:text-5xl font-bold mb-12">Hear What Our Users <br> Are Saying</h1>
            <div class="grid gap-8 sm:grid-cols-2 lg:grid-cols-3">
            <!-- Testimonial 1 -->
                <div class="bg-white p-6 rounded-lg shadow-md flex flex-col items-center text-center">
                    <img src="{{ url('public') }}/users/images/img1.png" alt="John Doe" class="w-24 h-24 rounded-full mb-4">
                    <div class="mb-4">
                        <b class="text-xl">John Doe</b>
                        <div class="text-gray-500 text-md">Attorney at Law</div>
                        <img src="{{ url('public') }}/users/images/rating.png" alt="Rating" class="w-20 mx-auto mt-2">
                    </div>
                    <div class="text-gray-700 text-md">
                        <p>Analytique has revolutionized the way I conduct legal research. The platform's intuitive interface and powerful search capabilities have saved me countless hours, allowing me to focus more on serving my clients.</p>
                    </div>
                </div>
            <!-- Testimonial 2 -->
            <div class="bg-white p-6 rounded-lg shadow-md flex flex-col items-center text-center">
                <img src="{{ url('public') }}/users/images/img2.png" alt="Jane Smith" class="w-24 h-24 rounded-full mb-4">
                <div class="mb-4">
                    <b class="text-xl">Jane Smith</b>
                    <div class="text-gray-500 text-md">Legal Consultant</div>
                    <img src="{{ url('public') }}/users/images/rating.png" alt="Rating" class="w-20 mx-auto mt-2">
                </div>
                <div class="text-gray-700 text-md">
                    <p>As a solo practitioner, I rely heavily on tools that help me stay organized and informed. Analytique's case management features have been a game-changer for me. I can easily track deadlines, store documents, and collaborate with clients, all in one place.</p>
                </div>
            </div>
            <!-- Testimonial 3 -->
            <div class="bg-white p-6 rounded-lg shadow-md flex flex-col items-center text-center">
                <img src="{{ url('public') }}/users/images/img3.png" alt="David Johnson" class="w-24 h-24 rounded-full mb-4">
                <div class="mb-4">
                    <b class="text-xl">David Johnson</b>
                    <div class="text-gray-500 text-md">Senior Partner</div>
                    <img src="{{ url('public') }}/users/images/rating.png" alt="Rating" class="w-20 mx-auto mt-2">
                </div>
                <div class="text-gray-700 text-md">
                    <p>I've been using Analytique.tech for several months now, and I'm continually impressed by its accuracy and efficiency. The platform's predictive analytics have helped me anticipate case outcomes with remarkable accuracy, giving me a competitive edge in my practice.</p>
                </div>
            </div>
            </div>
        </div>
    </section>
@endsection