@extends('layout.users.list_master')
@section('content')
    <div class="flex flex-col items-center p-8">
      <div class="py-8 md:pb-12">
      <h1 class="text-3xl md:text-5xl text-center font-bold mb-4">Select User Type</h1>

      <div class="flex mb-8 border rounded-full">
        <button id="individualBtn" class="bg-black rounded-full text-sm text-white md:px-8 px-4 py-2 font-semibold">Individual User</button>
        <button id="corporateBtn" class="bg-white rounded-full text-sm text-black md:px-8 px-4 px-8 py-2 font-semibold">Corporate Users</button>
      </div>
    </div>
  
          <div class="w-full" style="max-width: 1200px;">
            <div id="individualSection" class="grid grid-cols-1 md:grid-cols-2 gap-4 w-full py-8" >
                <!-- Left column for profile and details -->
                <div class="bg-white rounded-lg overflow-hidden text-center">
                    <!-- Image Section -->
                    <div class="relative">
                        <img src="./public/profile.png" alt="John Doe" class="w-32 h-32 mx-auto rounded-full border-4 border-white">
                        <!-- Camera Icon on top right -->
                    </div>
                    <!-- Text Content -->
                    <div class="mt-4">
                        <h2 class="text-lg font-bold">John Doe</h2>
                        <p class="text-sm">Subscription Plan: Basic</p>
                        <p class="text-sm">Expired date: 24 December 2024</p>
                    </div>
                    <!-- Button -->
                    <button class="bg-black text-white rounded-full mt-4 py-2 px-8">
                        Upgrade now
                    </button>
                </div>
    
                <!-- Right column for form inputs -->
                <div class="bg-white rounded-lg">
                    <p class="text-2xl text-center font-bold md:text-left font-semibold mb-6">Basic information</p>
                    <div class="space-y-4">
                        <!-- Each field block -->
                        <div class="flex items-center justify-between">
                            <label class="flex-grow pr-4">
                                <span class="block text-sm font-medium mb-1">First Name</span>
                                <input type="text" placeholder="John" class="form-input border p-2 rounded w-full" />
                            </label>
                        </div>
                        <div class="flex items-center justify-between">
                            <label class="flex-grow pr-4">
                                <span class="block text-sm font-medium mb-1">Last Name</span>
                                <input type="text" placeholder="Doe" class="form-input border p-2 rounded w-full" />
                            </label>
                        </div>
                        <div class="flex items-center justify-between">
                            <label class="flex-grow pr-4">
                                <span class="block text-sm font-medium mb-1">Title</span>
                                <select class="form-select w-full">
                                    <option>Mr</option>
                                    <option>Ms</option>
                                    <option>Mrs</option>
                                </select>
                            </label>
                        </div>
                        <div class="flex items-center justify-between">
                            <label class="flex-grow pr-4">
                                <span class="block text-sm font-medium mb-1">Organization</span>
                                <input type="text" placeholder="Lorem ipsum" class="form-input border p-2 rounded w-full" />
                            </label>
                        </div>
                        <div class="flex items-center justify-between">
                            <label class="flex-grow pr-4">
                                <span class="block text-sm font-medium mb-1">Email</span>
                                <input type="email" placeholder="johndoe@gmail.com" class="form-input border p-2 rounded w-full" />
                            </label>
                        </div>
                        <div class="flex items-center justify-between">
                            <label class="flex-grow pr-4">
                                <span class="block text-sm font-medium mb-1">Phone Number</span>
                                <input type="text" placeholder="************" class="form-input border p-2 rounded w-full" />
                            </label>
                        </div>
                    </div>
                </div>
            </div>
          </div>
        <section class="w-full" style="max-width: 1200px;" >
            <!-- Corporate User Section (Initially Hidden) -->
            <div id="corporateSection" class="w-full hidden  py-8">
              <div class="grid grid-cols-1 md:grid-cols-2 gap-4">
              <div class="bg-white rounded-lg overflow-hidden text-center">
                <!-- Image Section -->
                <div class="relative">
                    <img src="./public/profile2.png" alt="John Doe" class="w-32 h-32 mx-auto rounded-full border-4 border-white">
                    <!-- Camera Icon on top right -->
                </div>
                <!-- Text Content -->
                <div class="mt-4">
                    <h2 class="text-lg font-bold">Analytique</h2>
                    <p class="text-sm">Subscription Plan: Basic</p>
                    <p class="text-sm">Expired date: 24 December 2024</p>
                </div>
                <!-- Button -->
                <button class="bg-black text-white rounded-full mt-4 py-2 px-8">
                    Upgrade now
                </button>
            </div>

            <!-- Right column for form inputs -->
            <div class="bg-white rounded-lg">
                <p class="text-2xl text-center font-bold md:text-left font-semibold mb-6">Personal information</p>
                <div class="space-y-4">
                    <!-- Each field block -->
                    <div class="flex items-center justify-between">
                        <label class="flex-grow pr-4">
                            <span class="block text-sm font-medium mb-1">Company Name</span>
                            <input type="text" placeholder="John" class="form-input border p-2 rounded w-full" />
                        </label>
                    </div>
                    <div class="flex items-center justify-between">
                        <label class="flex-grow pr-4">
                            <span class="block text-sm font-medium mb-1">Company Email</span>
                            <input type="email" placeholder="johndoe@gmail.com" class="form-input border p-2 rounded w-full" />
                        </label>
                    </div>
                    <div class="flex items-center justify-between">
                        <label class="flex-grow pr-4">
                            <span class="block text-sm font-medium mb-1">Phone Number</span>
                            <input type="text" placeholder="************" class="form-input border p-2 rounded w-full" />
                        </label>
                    </div>
                </div>
            </div>
            </div>


            <section class="md:mt-24 mt-8">
              <h1 class="text-2xl font-semibold mb-6">Sub-User Management</h1>
      
              <!-- Table -->
              <div class="overflow-x-auto">
                  <table class="min-w-full bg-white">
                      <thead class="bg-gray-100">
                          <tr>
                              <th class="py-2 px-4 text-left font-medium text-gray-700">User</th>
                              <th class="py-2 px-4 text-left font-medium text-gray-700">First Name</th>
                              <th class="py-2 px-4 text-left font-medium text-gray-700">Last Name</th>
                              <th class="py-2 px-4 text-left font-medium text-gray-700">Title</th>
                              <th class="py-2 px-4 text-left font-medium text-gray-700">Email</th>
                              <th class="py-2 px-4 text-left font-medium text-gray-700">Mobile</th>
                              <th class="py-2 px-4 text-left font-medium text-gray-700"></th>
                          </tr>
                      </thead>
                      <tbody>
                          <!-- First Row -->
                          <tr class="border-b">
                              <td class="py-4 px-4 flex items-center space-x-4">
                                  <img src="./public/avatar1.png" alt="User Avatar" class="w-10 h-10 rounded-full">
                                  <span>Jane Smith</span>
                              </td>
                              <td class="py-4 px-4 text-gray-500">Jane</td>
                              <td class="py-4 px-4 text-gray-500">Smith</td>
                              <td class="py-4 px-4 text-gray-500">Jr. Lawyer</td>
                              <td class="py-4 px-4 text-gray-500">janesmith@gmail.com</td>
                              <td class="py-4 px-4 text-gray-500">098765433222</td>
                              <td class="py-4 px-4">
                                <button class="p-2 rounded-full bg-gray-200 text-gray-500">
                                  <img src="./public/edit.png" alt="User Avatar" class="rounded-full">
                                </button>
                              </td>
                          </tr>
                          <!-- Second Row -->
                          <tr class="border-b bg-gray-100">
                              <td class="py-4 px-4 flex items-center space-x-4">
                                  <img src="./public/avatar2.png" alt="User Avatar" class="w-10 h-10 rounded-full">
                                  <span>Jane Smith</span>
                              </td>
                              <td class="py-4 px-4 text-gray-900 font-bold">Jane</td>
                              <td class="py-4 px-4 text-gray-900 font-bold">Smith</td>
                              <td class="py-4 px-4 text-gray-900 font-bold">Jr. Lawyer</td>
                              <td class="py-4 px-4 text-gray-900 font-bold">janesmith@gmail.com</td>
                              <td class="py-4 px-4 text-gray-900 font-bold">098765433222</td>
                              <td class="py-4 px-4">
                                <button class="p-2 rounded-full bg-gray-200 text-gray-500">
                                  <img src="./public/edit.png" alt="User Avatar" class="rounded-full">
                                </button>
                              </td>
                          </tr>
                          <!-- Third Row -->
                          <tr class="border-b">
                              <td class="py-4 px-4 flex items-center space-x-4">
                                  <img src="./public/avatar3.png" alt="User Avatar" class="w-10 h-10 rounded-full">
                                  <span>Jane Smith</span>
                              </td>
                              <td class="py-4 px-4 text-gray-500">Jane</td>
                              <td class="py-4 px-4 text-gray-500">Smith</td>
                              <td class="py-4 px-4 text-gray-500">Jr. Lawyer</td>
                              <td class="py-4 px-4 text-gray-500">janesmith@gmail.com</td>
                              <td class="py-4 px-4 text-gray-500">098765433222</td>
                              <td class="py-4 px-4">
                                  <button class="p-2 rounded-full bg-gray-200 text-gray-500">
                                    <img src="./public/edit.png" alt="User Avatar" class="rounded-full">
                                  </button>
                              </td>
                          </tr>
                          <!-- Fourth Row -->
                          <tr class="border-b">
                              <td class="py-4 px-4 flex items-center space-x-4">
                                  <img src="./public/avatar4.png" alt="User Avatar" class="w-10 h-10 rounded-full">
                                  <span>Jane Smith</span>
                              </td>
                              <td class="py-4 px-4 text-gray-500">Jane</td>
                              <td class="py-4 px-4 text-gray-500">Smith</td>
                              <td class="py-4 px-4 text-gray-500">Jr. Lawyer</td>
                              <td class="py-4 px-4 text-gray-500">janesmith@gmail.com</td>
                              <td class="py-4 px-4 text-gray-500">098765433222</td>
                              <td class="py-4 px-4">
                                <button class="p-2 rounded-full bg-gray-200 text-gray-500">
                                  <img src="./public/edit.png" alt="User Avatar" class="rounded-full">
                                </button>
                              </td>
                          </tr>
                      </tbody>
                  </table>
              </div>
            </div>
          </section>
          </section>
        


        <div class="py-8 md:py-12">
              <h1 class="text-3xl md:text-5xl font-bold mb-4">Preferred Search Filters</h1>
              <p class="text-base text-gray-600 mb-6">Lorem ipsum dolor sit amet consectetur. Viverra id ultrices sagittis non amet aliquam. Etiam auctor egestas <br> quam non. Justo eu ultricies amet at ac eget. Amet quisque condimentum bibendum ipsum vitae.</p>
              <div class="flex flex-wrap gap-4">
                  <button class="bg-gray-200 text-black font-semibold px-4 border py-2 rounded-full hover:bg-gray-300 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-500">Jurisdiction</button>
                  <button class="bg-white border text-black font-semibold px-4 py-2 rounded-full hover:bg-gray-300 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-500">Case Type</button>
                  <button class="bg-white border text-black font-semibold px-4 py-2 rounded-full hover:bg-gray-300 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-500">Date Range</button>
                  <button class="bg-gray-200 border text-black font-semibold px-4 py-2 rounded-full hover:bg-gray-300 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-500">Court</button>
                  <button class="bg-white border text-black font-semibold px-4 py-2 rounded-full hover:bg-gray-300 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-500">Parties Involved</button>
                  <button class="bg-white border text-black font-semibold px-4 py-2 rounded-full hover:bg-gray-300 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-500">Judge or Magistrate</button>
                  <button class="bg-gray-200 border text-black font-semibold px-4 py-2 rounded-full hover:bg-gray-300 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-500">Legal Topic or Issue</button>
                  <button class="bg-white border text-black font-semibold px-4 py-2 rounded-full hover:bg-gray-300 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-500">Keywords</button>
              </div>
          </div>

<div class="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8 py-8">
    <section class="text-center">
        <h1 class="text-3xl md:text-5xl font-bold mb-4">User Statistics</h1>
        <p class="text-sm md:text-base text-gray-600 mb-8">Lorem ipsum dolor sit amet consectetur. Viverra id ultrices sagittis non amet aliquam. Etiam auctor egestas <br> quam non. Justo eu ultricies amet at ac eget. Amet quisque condimentum bibendum ipsum vitae.</p>

        <!-- Number of cases analysis -->
        <div class="mb-12">
            <h2 class="text-xl font-semibold mb-2">Number of cases analysis:</h2>
            <p class="text-sm md:text-base text-gray-600 mb-4">Lorem ipsum dolor sit amet consectetur. Viverra id ultrices sagittis <br> non amet aliquam. Etiam auctor egestas quam non.</p>
            <!-- Placeholder for bar chart -->
            <div class="w-full max-w-md mx-auto">
                <img src="./public/c3.png" alt="Bar Chart" class="mx-auto">
            </div>
        </div>

        <!-- Time spent on platform -->
        <div class="mb-12">
            <h2 class="text-xl font-semibold mb-2">Time Spent on Platform:</h2>
            <p class="text-sm md:text-base text-gray-600 mb-4">Lorem ipsum dolor sit amet consectetur. Viverra id ultrices sagittis <br> non amet aliquam. Etiam auctor egestas quam non.</p>
            <!-- Placeholder for circular chart -->
            <div class="w-32 h-32 mx-auto relative">
                <img src="./public/c2.png" alt="Circular Chart" class="mx-auto">
                </div>
            </div>
        

        <!-- Most searched keywords -->
        <div>
            <h2 class="text-xl font-semibold mb-2">Most Searched Keywords</h2>
            <p class= "text-sm md:text-base text-gray-600 mb-4">Lorem ipsum dolor sit amet consectetur. Viverra id ultrices sagittis <br> non amet aliquam. Etiam auctor egestas quam non.</p>
            <!-- Placeholder for pie chart -->
            <div class="w-full max-w-xs mx-auto mb-8">
                <img src="./public/c1.png" alt="Pie Chart" class="mx-auto">
            </div>
            <!-- List of keywords -->
            <div class="flex flex-col md:flex-row justify-center md:space-x-4">
                <div>
                    <div class="flex items-center">
                        <span class="w-4 h-4 bg-black block mr-2"></span>
                        <span>Case law</span>
                    </div>
                    <div class="flex items-center">
                        <span class="w-4 h-4 bg-gray-700 block mr-2"></span>
                        <span>Legal precedent</span>
                    </div>
                    <div class="flex items-center">
                        <span class="w-4 h-4 bg-gray-500 block mr-2"></span>
                        <span>Statutory law</span>
                    </div>
                </div>
                <div>
                    <div class="flex items-center">
                        <span class="w-4 h-4 bg-gray-300 block mr-2"></span>
                        <span>France</span>
                    </div>
                    <div class="flex items-center">
                        <span class="w-4 h-4 bg-gray-200 block mr-2"></span>
                        <span>Poland</span>
                    </div>
                    <div class="flex items-center">
                        <span class="w-4 h-4 bg-gray-100 block mr-2"></span>
                        <span>Czech Republic</span>
                    </div>
                </div>
            </div>

        </div>
    </section>
    <section class="py-8 md:py-16">
        <h1 class="text-3xl md:text-5xl font-bold mb-4">Password And Security</h1>
        <p class="md:text-base text-sm text-gray-600 mb-8">Lorem ipsum dolor sit amet consectetur. Viverra id ultrices sagittis non amet aliquam. Etiam auctor egestas <br> quam non. Justo eu ultricies amet at ac eget. Amet quisque condimentum bibendum ipsum vitae.</p>
        
        <!-- Fields Section -->
        <div class="space-y-4">
            <div class="flex items-center justify-between">
                <label class="flex-grow pr-2">
                    <span class="block text-sm font-medium mb-1">Password</span>
                    <div class="relative">
                        <input type="password" placeholder="***********" class="form-input border p-2 rounded w-full pr-10" />
                    </div>
                </label>

            </div>
            <div class="flex items-center justify-between">
                <label class="flex-grow pr-4">
                    <span class="block text-sm font-medium mb-1">Multiple sign-in</span>
                    <input type="text" placeholder="On" class="form-input border p-2 rounded w-full" />
                </label>
            </div>
            <div class="flex items-center justify-between">
                <label class="flex-grow pr-4">
                    <span class="block text-sm font-medium mb-1">Authorizing applications & sites</span>
                    <input type="text" placeholder="None" class="form-input border p-2 rounded w-full" />
                </label>
            </div>
            <div class="flex items-center justify-between">
                <label class="flex-grow pr-4">
                    <span class="block text-sm font-medium mb-1">2 step verification</span>
                    <input type="text" placeholder="Off" class="form-input border p-2 rounded w-full" />
                </label>
            </div>
        </div>
    </section>
  </div>


    </div>
    
    <script>
        const individualBtn = document.getElementById('individualBtn');
        const corporateBtn = document.getElementById('corporateBtn');
        const individualSection = document.getElementById('individualSection');
        const corporateSection = document.getElementById('corporateSection');
    
        individualBtn.addEventListener('click', () => {
            individualSection.classList.remove('hidden');
            corporateSection.classList.add('hidden');
            individualBtn.classList.remove('bg-white', 'text-black');
            individualBtn.classList.add('bg-black', 'text-white');
            corporateBtn.classList.remove('bg-black', 'text-white');
            corporateBtn.classList.add('bg-white', 'text-black');
        });
    
        corporateBtn.addEventListener('click', () => {
            corporateSection.classList.remove('hidden');
            individualSection.classList.add('hidden');
            corporateBtn.classList.remove('bg-white', 'text-black');
            corporateBtn.classList.add('bg-black', 'text-white');
            individualBtn.classList.remove('bg-black', 'text-white');
            individualBtn.classList.add('bg-white', 'text-black');
        });
    </script>
@endsection