@extends('layout.users.list_master')
@section('content')
    <div class="max-w-4xl mx-auto px-4 sm:px-6 lg:px-8 py-8 md:pb-16">
      <section class="bg-white p-6 rounded-lg">
          <h1 class="text-3xl md:text-5xl  font-semibold mb-6 md:mb-24">
              Settings and Parameters
          </h1>
  
          <!-- General Settings -->
          <div class="mb-8">
              <h3 class="text-xl font-semibold mb-2">General Settings</h3><hr>
              <div class="my-4">
                  <label class="block text-sm font-medium text-gray-700">Sensitivity Level:</label>
                  <div class="flex items-center">
                      <span class="text-sm text-gray-500 mr-2">Low</span>
                      <input type="range" min="0" max="100" class="flex-grow" />
                      <span class="text-sm text-gray-500 ml-2">High</span>
                  </div>
              </div>
              <div class="mb-4">
                  <label class="block text-sm font-medium text-gray-700">Scope:</label>
                  <select class="form-select block w-full mt-1 border-gray-300 focus:outline-none focus:ring-blue-500 focus:border-blue-500 sm:text-sm rounded-md">
                      <option>Lorem ipsum dolor</option>
                  </select>
              </div>
              <div>
                  <label class="block text-sm font-medium text-gray-700">Relevance Threshold:</label>
                  <div class="flex items-center">
                      <span class="text-sm text-gray-500 mr-2">Low</span>
                      <input type="range" min="0" max="100" class="flex-grow" />
                      <span class="text-sm text-gray-500 ml-2">High</span>
                  </div>
              </div>
          </div>
  
          <!-- Keyword Extraction Settings -->
          <div class="my-8">
              <h3 class="text-xl font-semibold mb-2">Keyword Extraction Settings</h3>
              <p class="text-sm text-gray-600 mb-2">Extracts keywords from case documents to identify key terms and phrases.</p> <hr>
              <div class="mt-7 mb-4">
                  <label class="block text-sm font-medium text-gray-700">Language Support:</label>
                  <select class="form-select block w-full mt-1 border-gray-300 focus:outline-none focus:ring-blue-500 focus:border-blue-500 sm:text-sm rounded-md">
                      <option>Lorem</option>
                  </select>
              </div>
              <div>
                  <label class="block text-sm font-medium text-gray-700">Custom Keywords:</label>
                  <input type="text" placeholder="Input custom keywords" class="form-input block w-full mt-1 border-gray-300 focus:outline-none focus:ring-blue-500 focus:border-blue-500 sm:text-sm rounded-md" />
              </div>
          </div>
  
          <!-- Precedent Identification -->
          <div class="my-8">
              <h3 class="text-xl font-semibold mb-2">Precedent Identification</h3>
              <p class="text-sm text-gray-600 mb-2">Analyzes legal precedents relevant to the case to provide context and insights.</p><hr>
              <div class="mb-4 mt-7">
                  <label class="block text-sm font-medium text-gray-700">Timeframe:</label>
                  <select class="form-select block w-full mt-1 border-gray-300 focus:outline-none focus:ring-blue-500 focus:border-blue-500 sm:text-sm rounded-md">
                      <option>Lorem</option>
                  </select>
              </div>
              <div>
                  <label class="block text-sm font-medium text-gray-700">Filter option:</label>
                  <select class="form-select block w-full mt-1 border-gray-300 focus:outline-none focus:ring-blue-500 focus:border-blue-500 sm:text-sm rounded-md">
                      <option>Lorem</option>
                  </select>
              </div>
          </div>
  
          <!-- Outcome Prediction -->
          <div>
              <h3 class="text-xl font-semibold mb-2">Outcome Prediction</h3>
              <p class="text-sm text-gray-600 mb-2">Predicts potential case outcomes based on historical data and legal trends.</p> <hr>
              <div class="mb-4 mt-7">
                  <label class="block text-sm font-medium text-gray-700">Confidence Level:</label>
                  <div class="flex items-center">
                      <span class="text-sm text-gray-500 mr-2">Low</span>
                      <input type="range" min="0" max="100" class="flex-grow" />
                      <span class="text-sm text-gray-500 ml-2">High</span>
                  </div>
              </div>
              <div>
                  <label class="block text-sm font-medium text-gray-700">Data Source:</label>
                  <select class="form-select block w-full mt-1 border-gray-300 focus:outline-none focus:ring-blue-500 focus:border-blue-500 sm:text-sm rounded-md">
                      <option>Lorem</option>
                  </select>
              </div>
          </div>
  
          <!-- Save Button -->
          <div class="mt-8 text-center">
              <button class="bg-black text-white font-semibold px-6 py-3 rounded-full hover:bg-gray-800 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-black">
                  Save
              </button>
          </div>
      </section>
  </div>
@endsection