@extends('layout.users.list_master')
@section('content')
    <div class="max-w-4xl mx-auto px-4 sm:px-6 lg:px-8 py-8 md:py-16">
        <section >
            <h1 class="text-center text-3xl md:text-5xl font-bold mb-4">Signup New Account</h1>
            <div class="md:px-24">
                <div class="bg-white p-6 rounded-lg shadow-md ">
                    <form class="mt-8 md:mt-12" action="{{ url('/signup_process') }}" method="POST">
                        @csrf
                        <div class="space-y-4">
                            <div>
                                <label for="first_name" class="block text-sm font-medium text-gray-700 text-left">First Name</label>
                                <input type="text" id="first_name" name="first_name" placeholder="Input your first name" class="border border-gray-300 p-2 rounded-md mt-1 block w-full" required>
                            </div>
                            
                            <div>
                                <label for="last_name" class="block text-sm font-medium text-gray-700 text-left">Last Name</label>
                                <input type="text" id="last_name" name="last_name" placeholder="Input your last name" class="border border-gray-300 p-2 rounded-md mt-1 block w-full" required>
                            </div>
                            
                            <div>
                                <label for="email" class="block text-sm font-medium text-gray-700 text-left">Email</label>
                                <input type="text" id="email" name="email" placeholder="Input your email address" class="border border-gray-300 p-2 rounded-md mt-1 block w-full" required>
                            </div>
                            
                            <div>
                                <label for="password" class="block text-sm font-medium text-gray-700 text-left">Password</label>
                                <input type="password" id="password" name="password" placeholder="Input your password" class="border border-gray-300 p-2 rounded-md mt-1 block w-full" required>
                            </div>
                        </div>
        
                        <div class="mt-8">
                            <button type="submit" class="bg-black text-white font-semibold px-6 py-3 rounded-full w-full hover:bg-gray-800 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-black">
                                Signup Now!
                            </button>
                        </div>
                        
                        <div class="mt-8">
                            Already have an account. 
                            <a href="{{ url('/login') }}">
                                Login Now!
                            </a>
                        </div>
                    </form>
                </div>
            </div>
        </section>
    </div>
@endsection